// java wrapper for vtkAssemblyPaths object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAssemblyPaths.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkCollection_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAssemblyPaths_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAssemblyPaths",dType)) { return me; }
  if ((res= vtkCollection_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAssemblyPaths_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAssemblyPaths *op;
  const char    *temp20;

  op = (vtkAssemblyPaths *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssemblyPaths");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAssemblyPaths_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAssemblyPaths *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAssemblyPaths *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssemblyPaths");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssemblyPaths_AddItem_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAssemblyPaths *op;
  vtkAssemblyPath  *temp0;
  temp0 = (vtkAssemblyPath *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAssemblyPath"));

  op = (vtkAssemblyPaths *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssemblyPaths");
  op->AddItem(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssemblyPaths_RemoveItem_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAssemblyPaths *op;
  vtkAssemblyPath  *temp0;
  temp0 = (vtkAssemblyPath *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAssemblyPath"));

  op = (vtkAssemblyPaths *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssemblyPaths");
  op->RemoveItem(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAssemblyPaths_IsItemPresent_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAssemblyPaths *op;
  vtkAssemblyPath  *temp0;
  int      temp20;
  temp0 = (vtkAssemblyPath *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAssemblyPath"));

  op = (vtkAssemblyPaths *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssemblyPaths");
  temp20 = (op)->IsItemPresent(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAssemblyPaths_GetNextItem_15(JNIEnv *env, jobject obj)
{
  vtkAssemblyPaths *op;
  vtkAssemblyPath  *temp20;
  jobject tempH;

  op = (vtkAssemblyPaths *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssemblyPaths");
  temp20 = (op)->GetNextItem();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAssemblyPath", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAssemblyPaths_GetMTime_16(JNIEnv *env, jobject obj)
{
  vtkAssemblyPaths *op;
   unsigned long     temp20;

  op = (vtkAssemblyPaths *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssemblyPaths");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAssemblyPaths_VTKInit(JNIEnv *env, jobject obj)
{
  vtkAssemblyPaths *aNewOne = vtkAssemblyPaths::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAssemblyPaths_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAssemblyPaths_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAssemblyPaths_Typecast);
}
