// java wrapper for vtkCollectionIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCollectionIterator.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCollectionIterator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCollectionIterator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCollectionIterator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCollectionIterator *op;
  const char    *temp20;

  op = (vtkCollectionIterator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollectionIterator");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCollectionIterator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCollectionIterator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCollectionIterator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollectionIterator");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollectionIterator_SetCollection_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCollectionIterator *op;
  vtkCollection  *temp0;
  temp0 = (vtkCollection *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCollection"));

  op = (vtkCollectionIterator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollectionIterator");
  op->SetCollection(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCollectionIterator_GetCollection_13(JNIEnv *env, jobject obj)
{
  vtkCollectionIterator *op;
  vtkCollection  *temp20;
  jobject tempH;

  op = (vtkCollectionIterator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollectionIterator");
  temp20 = (op)->GetCollection();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCollection", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollectionIterator_InitTraversal_14(JNIEnv *env, jobject obj)
{
  vtkCollectionIterator *op;

  op = (vtkCollectionIterator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollectionIterator");
  op->InitTraversal();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollectionIterator_GoToFirstItem_15(JNIEnv *env, jobject obj)
{
  vtkCollectionIterator *op;

  op = (vtkCollectionIterator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollectionIterator");
  op->GoToFirstItem();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollectionIterator_GoToNextItem_16(JNIEnv *env, jobject obj)
{
  vtkCollectionIterator *op;

  op = (vtkCollectionIterator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollectionIterator");
  op->GoToNextItem();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCollectionIterator_IsDoneWithTraversal_17(JNIEnv *env, jobject obj)
{
  vtkCollectionIterator *op;
  int      temp20;

  op = (vtkCollectionIterator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollectionIterator");
  temp20 = (op)->IsDoneWithTraversal();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCollectionIterator_GetCurrentObject_18(JNIEnv *env, jobject obj)
{
  vtkCollectionIterator *op;
  vtkObject  *temp20;
  jobject tempH;

  op = (vtkCollectionIterator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollectionIterator");
  temp20 = (op)->GetCurrentObject();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkObject", (void *)temp20);
      }
    }
  return tempH;
}

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCollectionIterator_GetObject_19(JNIEnv *env, jobject obj)
{
  vtkCollectionIterator *op;
  vtkObject  *temp20;
  jobject tempH;

  op = (vtkCollectionIterator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollectionIterator");
  temp20 = (op)->GetObject();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkObject", (void *)temp20);
      }
    }
  return tempH;
}
#endif

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCollectionIterator_VTKInit(JNIEnv *env, jobject obj)
{
  vtkCollectionIterator *aNewOne = vtkCollectionIterator::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCollectionIterator_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCollectionIterator_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCollectionIterator_Typecast);
}
