// java wrapper for vtkCriticalSection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCriticalSection.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCriticalSection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCriticalSection",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCriticalSection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCriticalSection *op;
  const char    *temp20;

  op = (vtkCriticalSection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCriticalSection");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCriticalSection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCriticalSection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCriticalSection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCriticalSection");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCriticalSection_Lock_12(JNIEnv *env, jobject obj)
{
  vtkCriticalSection *op;

  op = (vtkCriticalSection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCriticalSection");
  op->Lock();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCriticalSection_Unlock_13(JNIEnv *env, jobject obj)
{
  vtkCriticalSection *op;

  op = (vtkCriticalSection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCriticalSection");
  op->Unlock();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCriticalSection_VTKInit(JNIEnv *env, jobject obj)
{
  vtkCriticalSection *aNewOne = vtkCriticalSection::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCriticalSection_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCriticalSection_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCriticalSection_Typecast);
}
