// java wrapper for vtkLogLookupTable object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLogLookupTable.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkLookupTable_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkLogLookupTable_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkLogLookupTable",dType)) { return me; }
  if ((res= vtkLookupTable_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLogLookupTable_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkLogLookupTable *op;
  const char    *temp20;

  op = (vtkLogLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLogLookupTable");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLogLookupTable_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLogLookupTable *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLogLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLogLookupTable");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkLogLookupTable_VTKInit(JNIEnv *env, jobject obj)
{
  vtkLogLookupTable *aNewOne = vtkLogLookupTable::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkLogLookupTable_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkLogLookupTable_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkLogLookupTable_Typecast);
}
