// java wrapper for vtkObjectBase object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkObjectBase.h"
#include "vtkJavaUtil.h"


extern "C" JNIEXPORT void* vtkObjectBase_Typecast(void *me,char *dType)
{
  if (!strcmp("vtkObjectBase",dType)) { return me; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkObjectBase_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkObjectBase *op;
  const char    *temp20;

  op = (vtkObjectBase *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkObjectBase");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkObjectBase_IsTypeOf_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkObjectBase *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkObjectBase *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkObjectBase");
  temp20 = (op)->IsTypeOf(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkObjectBase_IsA_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkObjectBase *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkObjectBase *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkObjectBase");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkObjectBase_FastDelete_13(JNIEnv *env, jobject obj)
{
  vtkObjectBase *op;

  op = (vtkObjectBase *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkObjectBase");
  op->FastDelete();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkObjectBase_Register_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkObjectBase *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkObjectBase"));

  op = (vtkObjectBase *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkObjectBase");
  op->Register(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkObjectBase_UnRegister_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkObjectBase *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkObjectBase"));

  op = (vtkObjectBase *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkObjectBase");
  op->UnRegister(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkObjectBase_GetReferenceCount_16(JNIEnv *env, jobject obj)
{
  vtkObjectBase *op;
  int      temp20;

  op = (vtkObjectBase *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkObjectBase");
  temp20 = (op)->GetReferenceCount();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkObjectBase_SetReferenceCount_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkObjectBase *op;
  int      temp0;
  temp0 = id0;

  op = (vtkObjectBase *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkObjectBase");
  op->SetReferenceCount(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkObjectBase_VTKDelete(JNIEnv *env,jobject obj)
{
  vtkObjectBase *op;
  op = (vtkObjectBase *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkObjectBase");
  vtkJavaDeleteObject(env,obj);
  op->Delete();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkObjectBase_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkObjectBase_Typecast);
}
