// java wrapper for vtkUnsignedLongLongArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnsignedLongLongArray.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataArray_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUnsignedLongLongArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUnsignedLongLongArray",dType)) { return me; }
  if ((res= vtkDataArray_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnsignedLongLongArray_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUnsignedLongLongArray *op;
  const char    *temp20;

  op = (vtkUnsignedLongLongArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedLongLongArray");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedLongLongArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnsignedLongLongArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnsignedLongLongArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedLongLongArray");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedLongLongArray_GetDataType_12(JNIEnv *env, jobject obj)
{
  vtkUnsignedLongLongArray *op;
  int      temp20;

  op = (vtkUnsignedLongLongArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedLongLongArray");
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedLongLongArray_GetValue_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnsignedLongLongArray *op;
  vtkIdType   temp0;
   unsigned long long   temp20;
  temp0 = id0;

  op = (vtkUnsignedLongLongArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedLongLongArray");
  temp20 = (op)->GetValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnsignedLongLongArray_SetValue_14(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkUnsignedLongLongArray *op;
  vtkIdType   temp0;
   unsigned long long   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkUnsignedLongLongArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedLongLongArray");
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnsignedLongLongArray_SetNumberOfValues_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnsignedLongLongArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkUnsignedLongLongArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedLongLongArray");
  op->SetNumberOfValues(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnsignedLongLongArray_InsertValue_16(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkUnsignedLongLongArray *op;
  vtkIdType   temp0;
   unsigned long long   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkUnsignedLongLongArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedLongLongArray");
  op->InsertValue(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedLongLongArray_InsertNextValue_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnsignedLongLongArray *op;
   unsigned long long   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkUnsignedLongLongArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedLongLongArray");
  temp20 = (op)->InsertNextValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkUnsignedLongLongArray_VTKInit(JNIEnv *env, jobject obj)
{
  vtkUnsignedLongLongArray *aNewOne = vtkUnsignedLongLongArray::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkUnsignedLongLongArray_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkUnsignedLongLongArray_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkUnsignedLongLongArray_Typecast);
}
