// java wrapper for vtkXMLFileOutputWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLFileOutputWindow.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkFileOutputWindow_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLFileOutputWindow_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLFileOutputWindow",dType)) { return me; }
  if ((res= vtkFileOutputWindow_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLFileOutputWindow_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLFileOutputWindow *op;
  const char    *temp20;

  op = (vtkXMLFileOutputWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLFileOutputWindow");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLFileOutputWindow_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLFileOutputWindow *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLFileOutputWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLFileOutputWindow");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLFileOutputWindow_DisplayText_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLFileOutputWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLFileOutputWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLFileOutputWindow");
  op->DisplayText(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLFileOutputWindow_DisplayErrorText_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLFileOutputWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLFileOutputWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLFileOutputWindow");
  op->DisplayErrorText(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLFileOutputWindow_DisplayWarningText_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLFileOutputWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLFileOutputWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLFileOutputWindow");
  op->DisplayWarningText(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLFileOutputWindow_DisplayGenericWarningText_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLFileOutputWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLFileOutputWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLFileOutputWindow");
  op->DisplayGenericWarningText(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLFileOutputWindow_DisplayDebugText_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLFileOutputWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLFileOutputWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLFileOutputWindow");
  op->DisplayDebugText(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLFileOutputWindow_DisplayTag_17(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLFileOutputWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLFileOutputWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLFileOutputWindow");
  op->DisplayTag(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLFileOutputWindow_VTKInit(JNIEnv *env, jobject obj)
{
  vtkXMLFileOutputWindow *aNewOne = vtkXMLFileOutputWindow::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLFileOutputWindow_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLFileOutputWindow_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLFileOutputWindow_Typecast);
}
