// java wrapper for vtkAlgorithmOutput object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAlgorithmOutput.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAlgorithmOutput_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAlgorithmOutput",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAlgorithmOutput_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAlgorithmOutput *op;
  const char    *temp20;

  op = (vtkAlgorithmOutput *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithmOutput");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithmOutput_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAlgorithmOutput *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAlgorithmOutput *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithmOutput");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithmOutput_SetIndex_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithmOutput *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAlgorithmOutput *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithmOutput");
  op->SetIndex(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithmOutput_GetIndex_13(JNIEnv *env, jobject obj)
{
  vtkAlgorithmOutput *op;
  int      temp20;

  op = (vtkAlgorithmOutput *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithmOutput");
  temp20 = (op)->GetIndex();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAlgorithmOutput_GetProducer_14(JNIEnv *env, jobject obj)
{
  vtkAlgorithmOutput *op;
  vtkAlgorithm  *temp20;
  jobject tempH;

  op = (vtkAlgorithmOutput *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithmOutput");
  temp20 = (op)->GetProducer();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAlgorithm", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithmOutput_SetProducer_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithmOutput *op;
  vtkAlgorithm  *temp0;
  temp0 = (vtkAlgorithm *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAlgorithm"));

  op = (vtkAlgorithmOutput *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithmOutput");
  op->SetProducer(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAlgorithmOutput_VTKInit(JNIEnv *env, jobject obj)
{
  vtkAlgorithmOutput *aNewOne = vtkAlgorithmOutput::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAlgorithmOutput_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAlgorithmOutput_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAlgorithmOutput_Typecast);
}
