// java wrapper for vtkCardinalSpline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCardinalSpline.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkSpline_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCardinalSpline_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCardinalSpline",dType)) { return me; }
  if ((res= vtkSpline_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCardinalSpline_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCardinalSpline *op;
  const char    *temp20;

  op = (vtkCardinalSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCardinalSpline");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCardinalSpline_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCardinalSpline *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCardinalSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCardinalSpline");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCardinalSpline_Compute_12(JNIEnv *env, jobject obj)
{
  vtkCardinalSpline *op;

  op = (vtkCardinalSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCardinalSpline");
  op->Compute();
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCardinalSpline_Evaluate_13(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCardinalSpline *op;
  double   temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkCardinalSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCardinalSpline");
  temp20 = (op)->Evaluate(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCardinalSpline_DeepCopy_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCardinalSpline *op;
  vtkSpline  *temp0;
  temp0 = (vtkSpline *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkSpline"));

  op = (vtkCardinalSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCardinalSpline");
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCardinalSpline_VTKInit(JNIEnv *env, jobject obj)
{
  vtkCardinalSpline *aNewOne = vtkCardinalSpline::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCardinalSpline_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCardinalSpline_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCardinalSpline_Typecast);
}
