// java wrapper for vtkCellArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCellArray.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCellArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCellArray",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCellArray_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCellArray *op;
  const char    *temp20;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCellArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_Allocate_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkCellArray *op;
  vtkIdType   temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  temp20 = (op)->Allocate(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellArray_Initialize_13(JNIEnv *env, jobject obj)
{
  vtkCellArray *op;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_GetNumberOfCells_14(JNIEnv *env, jobject obj)
{
  vtkCellArray *op;
  vtkIdType   temp20;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  temp20 = (op)->GetNumberOfCells();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellArray_SetNumberOfCells_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  op->SetNumberOfCells(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_EstimateSize_16(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkCellArray *op;
  vtkIdType   temp0;
  int      temp1;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  temp20 = (op)->EstimateSize(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellArray_InitTraversal_17(JNIEnv *env, jobject obj)
{
  vtkCellArray *op;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  op->InitTraversal();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_GetSize_18(JNIEnv *env, jobject obj)
{
  vtkCellArray *op;
  vtkIdType   temp20;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  temp20 = (op)->GetSize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_GetNumberOfConnectivityEntries_19(JNIEnv *env, jobject obj)
{
  vtkCellArray *op;
  vtkIdType   temp20;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  temp20 = (op)->GetNumberOfConnectivityEntries();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_InsertNextCell_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCellArray *op;
  vtkCell  *temp0;
  vtkIdType   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCell"));

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  temp20 = (op)->InsertNextCell(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_InsertNextCell_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCellArray *op;
  vtkIdList  *temp0;
  vtkIdType   temp20;
  temp0 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkIdList"));

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  temp20 = (op)->InsertNextCell(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_InsertNextCell_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellArray *op;
  int      temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  temp20 = (op)->InsertNextCell(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellArray_InsertCellPoint_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  op->InsertCellPoint(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellArray_UpdateCellCount_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellArray *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  op->UpdateCellCount(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_GetInsertLocation_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellArray *op;
  int      temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  temp20 = (op)->GetInsertLocation(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_GetTraversalLocation_116(JNIEnv *env, jobject obj)
{
  vtkCellArray *op;
  vtkIdType   temp20;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  temp20 = (op)->GetTraversalLocation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellArray_SetTraversalLocation_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  op->SetTraversalLocation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_GetTraversalLocation_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellArray *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  temp20 = (op)->GetTraversalLocation(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellArray_ReverseCell_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  op->ReverseCell(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_GetMaxCellSize_120(JNIEnv *env, jobject obj)
{
  vtkCellArray *op;
  int      temp20;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  temp20 = (op)->GetMaxCellSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellArray_SetCells_121(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkCellArray *op;
  vtkIdType   temp0;
  vtkIdTypeArray  *temp1;
  temp0 = id0;
  temp1 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkIdTypeArray"));

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  op->SetCells(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellArray_DeepCopy_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCellArray *op;
  vtkCellArray  *temp0;
  temp0 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCellArray"));

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCellArray_GetData_123(JNIEnv *env, jobject obj)
{
  vtkCellArray *op;
  vtkIdTypeArray  *temp20;
  jobject tempH;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  temp20 = (op)->GetData();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkIdTypeArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellArray_Reset_124(JNIEnv *env, jobject obj)
{
  vtkCellArray *op;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  op->Reset();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellArray_Squeeze_125(JNIEnv *env, jobject obj)
{
  vtkCellArray *op;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  op->Squeeze();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_GetActualMemorySize_126(JNIEnv *env, jobject obj)
{
  vtkCellArray *op;
   unsigned long     temp20;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellArray");
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCellArray_VTKInit(JNIEnv *env, jobject obj)
{
  vtkCellArray *aNewOne = vtkCellArray::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCellArray_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCellArray_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCellArray_Typecast);
}
