// java wrapper for vtkDataSetAttributes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSetAttributes.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkFieldData_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataSetAttributes_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataSetAttributes",dType)) { return me; }
  if ((res= vtkFieldData_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataSetAttributes_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;
  const char    *temp20;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_Initialize_12(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_Update_13(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->Update();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_PassData_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetAttributes *op;
  vtkFieldData  *temp0;
  temp0 = (vtkFieldData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkFieldData"));

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->PassData(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyAllocate_15(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkDataSetAttributes *op;
  vtkDataSetAttributes  *temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  temp0 = (vtkDataSetAttributes *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSetAttributes"));
  temp1 = id1;
  temp2 = id2;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->CopyAllocate(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyData_16(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkDataSetAttributes *op;
  vtkDataSetAttributes  *temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  temp0 = (vtkDataSetAttributes *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSetAttributes"));
  temp1 = id1;
  temp2 = id2;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->CopyData(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_InterpolateAllocate_17(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkDataSetAttributes *op;
  vtkDataSetAttributes  *temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  temp0 = (vtkDataSetAttributes *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSetAttributes"));
  temp1 = id1;
  temp2 = id2;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->InterpolateAllocate(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_InterpolateEdge_18(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2,jint id3,jdouble id4)
{
  vtkDataSetAttributes *op;
  vtkDataSetAttributes  *temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  vtkIdType   temp3;
  double   temp4;
  temp0 = (vtkDataSetAttributes *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSetAttributes"));
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->InterpolateEdge(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_InterpolateTime_19(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2,jdouble id3)
{
  vtkDataSetAttributes *op;
  vtkDataSetAttributes  *temp0;
  vtkDataSetAttributes  *temp1;
  vtkIdType   temp2;
  double   temp3;
  temp0 = (vtkDataSetAttributes *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSetAttributes"));
  temp1 = (vtkDataSetAttributes *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataSetAttributes"));
  temp2 = id2;
  temp3 = id3;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->InterpolateTime(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_DeepCopy_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetAttributes *op;
  vtkFieldData  *temp0;
  temp0 = (vtkFieldData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkFieldData"));

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_ShallowCopy_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetAttributes *op;
  vtkFieldData  *temp0;
  temp0 = (vtkFieldData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkFieldData"));

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetScalars_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetAttributes *op;
  vtkDataArray  *temp0;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataArray"));

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->SetScalars(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetActiveScalars_113(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->SetActiveScalars(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetAttributes_GetScalars_114(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;
  vtkDataArray  *temp20;
  jobject tempH;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->GetScalars();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetVectors_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetAttributes *op;
  vtkDataArray  *temp0;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataArray"));

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->SetVectors(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetActiveVectors_116(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->SetActiveVectors(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetAttributes_GetVectors_117(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;
  vtkDataArray  *temp20;
  jobject tempH;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->GetVectors();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetNormals_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetAttributes *op;
  vtkDataArray  *temp0;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataArray"));

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->SetNormals(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetActiveNormals_119(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->SetActiveNormals(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetAttributes_GetNormals_120(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;
  vtkDataArray  *temp20;
  jobject tempH;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->GetNormals();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetTCoords_121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetAttributes *op;
  vtkDataArray  *temp0;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataArray"));

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->SetTCoords(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetActiveTCoords_122(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->SetActiveTCoords(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetAttributes_GetTCoords_123(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;
  vtkDataArray  *temp20;
  jobject tempH;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->GetTCoords();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetTensors_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetAttributes *op;
  vtkDataArray  *temp0;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataArray"));

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->SetTensors(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetActiveTensors_125(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->SetActiveTensors(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetAttributes_GetTensors_126(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;
  vtkDataArray  *temp20;
  jobject tempH;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->GetTensors();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetAttributes_GetScalars_127(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  vtkDataArray  *temp20;
  jobject tempH;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->GetScalars(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetAttributes_GetVectors_128(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  vtkDataArray  *temp20;
  jobject tempH;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->GetVectors(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetAttributes_GetNormals_129(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  vtkDataArray  *temp20;
  jobject tempH;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->GetNormals(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetAttributes_GetTCoords_130(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  vtkDataArray  *temp20;
  jobject tempH;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->GetTCoords(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetAttributes_GetTensors_131(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  vtkDataArray  *temp20;
  jobject tempH;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->GetTensors(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetActiveAttribute_132(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  int      temp1;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->SetActiveAttribute(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetActiveAttribute_133(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkDataSetAttributes *op;
  int      temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->SetActiveAttribute(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_SetCopyAttribute_134(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkDataSetAttributes *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->SetCopyAttribute(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_SetCopyScalars_135(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetAttributes *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->SetCopyScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_GetCopyScalars_136(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;
  int      temp20;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->GetCopyScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyScalarsOn_137(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->CopyScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyScalarsOff_138(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->CopyScalarsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_SetCopyVectors_139(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetAttributes *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->SetCopyVectors(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_GetCopyVectors_140(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;
  int      temp20;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->GetCopyVectors();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyVectorsOn_141(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->CopyVectorsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyVectorsOff_142(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->CopyVectorsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_SetCopyNormals_143(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetAttributes *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->SetCopyNormals(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_GetCopyNormals_144(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;
  int      temp20;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->GetCopyNormals();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyNormalsOn_145(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->CopyNormalsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyNormalsOff_146(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->CopyNormalsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_SetCopyTCoords_147(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetAttributes *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->SetCopyTCoords(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_GetCopyTCoords_148(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;
  int      temp20;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->GetCopyTCoords();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyTCoordsOn_149(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->CopyTCoordsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyTCoordsOff_150(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->CopyTCoordsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_SetCopyTensors_151(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetAttributes *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->SetCopyTensors(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_GetCopyTensors_152(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;
  int      temp20;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->GetCopyTensors();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyTensorsOn_153(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->CopyTensorsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyTensorsOff_154(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->CopyTensorsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyAllOn_155(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->CopyAllOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyAllOff_156(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->CopyAllOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyTuple_157(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2,jint id3)
{
  vtkDataSetAttributes *op;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  vtkIdType   temp2;
  vtkIdType   temp3;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataArray"));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataArray"));
  temp2 = id2;
  temp3 = id3;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->CopyTuple(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_IsArrayAnAttribute_158(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetAttributes *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->IsArrayAnAttribute(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetAttributes_GetAttribute_159(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetAttributes *op;
  int      temp0;
  vtkDataArray  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->GetAttribute(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_RemoveArray_160(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  op->RemoveArray(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataSetAttributes_GetAttributeTypeAsString_161(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetAttributes *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->GetAttributeTypeAsString(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataSetAttributes_GetLongAttributeTypeAsString_162(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetAttributes *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAttributes");
  temp20 = (op)->GetLongAttributeTypeAsString(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataSetAttributes_VTKInit(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *aNewOne = vtkDataSetAttributes::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataSetAttributes_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataSetAttributes_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataSetAttributes_Typecast);
}
