// java wrapper for vtkDataSetToStructuredPointsFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSetToStructuredPointsFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkStructuredPointsSource_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataSetToStructuredPointsFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataSetToStructuredPointsFilter",dType)) { return me; }
  if ((res= vtkStructuredPointsSource_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataSetToStructuredPointsFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataSetToStructuredPointsFilter *op;
  const char    *temp20;

  op = (vtkDataSetToStructuredPointsFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToStructuredPointsFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetToStructuredPointsFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetToStructuredPointsFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetToStructuredPointsFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToStructuredPointsFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetToStructuredPointsFilter_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetToStructuredPointsFilter *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkDataSetToStructuredPointsFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToStructuredPointsFilter");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetToStructuredPointsFilter_GetInput_13(JNIEnv *env, jobject obj)
{
  vtkDataSetToStructuredPointsFilter *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkDataSetToStructuredPointsFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToStructuredPointsFilter");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataSetToStructuredPointsFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataSetToStructuredPointsFilter_Typecast);
}
