// java wrapper for vtkExecutive object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExecutive.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExecutive_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExecutive",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExecutive_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExecutive *op;
  const char    *temp20;

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExecutive_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExecutive *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExecutive_GetAlgorithm_12(JNIEnv *env, jobject obj)
{
  vtkExecutive *op;
  vtkAlgorithm  *temp20;
  jobject tempH;

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  temp20 = (op)->GetAlgorithm();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAlgorithm", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExecutive_Update_13(JNIEnv *env, jobject obj)
{
  vtkExecutive *op;
  int      temp20;

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  temp20 = (op)->Update();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExecutive_Update_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkExecutive *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  temp20 = (op)->Update(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExecutive_GetNumberOfInputPorts_15(JNIEnv *env, jobject obj)
{
  vtkExecutive *op;
  int      temp20;

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  temp20 = (op)->GetNumberOfInputPorts();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExecutive_GetNumberOfOutputPorts_16(JNIEnv *env, jobject obj)
{
  vtkExecutive *op;
  int      temp20;

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  temp20 = (op)->GetNumberOfOutputPorts();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExecutive_GetNumberOfInputConnections_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkExecutive *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  temp20 = (op)->GetNumberOfInputConnections(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExecutive_GetOutputInformation_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkExecutive *op;
  int      temp0;
  vtkInformation  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  temp20 = (op)->GetOutputInformation(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformation", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExecutive_GetOutputInformation_19(JNIEnv *env, jobject obj)
{
  vtkExecutive *op;
  vtkInformationVector  *temp20;
  jobject tempH;

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  temp20 = (op)->GetOutputInformation();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationVector", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExecutive_GetInputInformation_110(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkExecutive *op;
  int      temp0;
  int      temp1;
  vtkInformation  *temp20;
  jobject tempH;
  temp0 = id0;
  temp1 = id1;

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  temp20 = (op)->GetInputInformation(temp0,temp1);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformation", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExecutive_GetInputInformation_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkExecutive *op;
  int      temp0;
  vtkInformationVector  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  temp20 = (op)->GetInputInformation(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationVector", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExecutive_GetInputExecutive_112(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkExecutive *op;
  int      temp0;
  int      temp1;
  vtkExecutive  *temp20;
  jobject tempH;
  temp0 = id0;
  temp1 = id1;

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  temp20 = (op)->GetInputExecutive(temp0,temp1);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkExecutive", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExecutive_GetOutputData_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkExecutive *op;
  int      temp0;
  vtkDataObject  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  temp20 = (op)->GetOutputData(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataObject", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExecutive_SetOutputData_114(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2)
{
  vtkExecutive *op;
  int      temp0;
  vtkDataObject  *temp1;
  vtkInformation  *temp2;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataObject"));
  temp2 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkInformation"));

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  op->SetOutputData(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExecutive_SetOutputData_115(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkExecutive *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataObject"));

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  op->SetOutputData(temp0,temp1);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExecutive_GetInputData_116(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkExecutive *op;
  int      temp0;
  int      temp1;
  vtkDataObject  *temp20;
  jobject tempH;
  temp0 = id0;
  temp1 = id1;

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  temp20 = (op)->GetInputData(temp0,temp1);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataObject", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExecutive_GetProducerPort_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExecutive *op;
  vtkDataObject  *temp0;
  vtkAlgorithmOutput  *temp20;
  jobject tempH;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  temp20 = (op)->GetProducerPort(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAlgorithmOutput", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExecutive_SetSharedOutputInformation_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExecutive *op;
  vtkInformationVector  *temp0;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationVector"));

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  op->SetSharedOutputInformation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExecutive_Register_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExecutive *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkObjectBase"));

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  op->Register(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExecutive_UnRegister_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExecutive *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkObjectBase"));

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  op->UnRegister(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExecutive_PRODUCER_121(JNIEnv *env, jobject obj)
{
  vtkExecutive *op;
  vtkInformationExecutivePortKey  *temp20;
  jobject tempH;

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  temp20 = (op)->PRODUCER();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationExecutivePortKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExecutive_CONSUMERS_122(JNIEnv *env, jobject obj)
{
  vtkExecutive *op;
  vtkInformationExecutivePortVectorKey  *temp20;
  jobject tempH;

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  temp20 = (op)->CONSUMERS();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationExecutivePortVectorKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExecutive_FROM_OUTPUT_PORT_123(JNIEnv *env, jobject obj)
{
  vtkExecutive *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  temp20 = (op)->FROM_OUTPUT_PORT();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExecutive_ALGORITHM_BEFORE_FORWARD_124(JNIEnv *env, jobject obj)
{
  vtkExecutive *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  temp20 = (op)->ALGORITHM_BEFORE_FORWARD();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExecutive_ALGORITHM_AFTER_FORWARD_125(JNIEnv *env, jobject obj)
{
  vtkExecutive *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  temp20 = (op)->ALGORITHM_AFTER_FORWARD();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExecutive_ALGORITHM_DIRECTION_126(JNIEnv *env, jobject obj)
{
  vtkExecutive *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  temp20 = (op)->ALGORITHM_DIRECTION();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExecutive_FORWARD_DIRECTION_127(JNIEnv *env, jobject obj)
{
  vtkExecutive *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  temp20 = (op)->FORWARD_DIRECTION();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExecutive_KEYS_TO_COPY_128(JNIEnv *env, jobject obj)
{
  vtkExecutive *op;
  vtkInformationKeyVectorKey  *temp20;
  jobject tempH;

  op = (vtkExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExecutive");
  temp20 = (op)->KEYS_TO_COPY();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationKeyVectorKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkExecutive_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkExecutive_Typecast);
}
