// java wrapper for vtkHierarchicalDataInformation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHierarchicalDataInformation.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHierarchicalDataInformation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHierarchicalDataInformation",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHierarchicalDataInformation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataInformation *op;
  const char    *temp20;

  op = (vtkHierarchicalDataInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataInformation");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalDataInformation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHierarchicalDataInformation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHierarchicalDataInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataInformation");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalDataInformation_GetNumberOfLevels_12(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataInformation *op;
   unsigned int      temp20;

  op = (vtkHierarchicalDataInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataInformation");
  temp20 = (op)->GetNumberOfLevels();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalDataInformation_SetNumberOfLevels_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkHierarchicalDataInformation *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkHierarchicalDataInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataInformation");
  op->SetNumberOfLevels(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalDataInformation_GetNumberOfDataSets_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkHierarchicalDataInformation *op;
   unsigned int      temp0;
   unsigned int      temp20;
  temp0 = id0;

  op = (vtkHierarchicalDataInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataInformation");
  temp20 = (op)->GetNumberOfDataSets(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalDataInformation_SetNumberOfDataSets_15(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkHierarchicalDataInformation *op;
   unsigned int      temp0;
   unsigned int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkHierarchicalDataInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataInformation");
  op->SetNumberOfDataSets(temp0,temp1);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkHierarchicalDataInformation_GetInformation_16(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkHierarchicalDataInformation *op;
   unsigned int      temp0;
   unsigned int      temp1;
  vtkInformation  *temp20;
  jobject tempH;
  temp0 = id0;
  temp1 = id1;

  op = (vtkHierarchicalDataInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataInformation");
  temp20 = (op)->GetInformation(temp0,temp1);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformation", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalDataInformation_HasInformation_17(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkHierarchicalDataInformation *op;
   unsigned int      temp0;
   unsigned int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkHierarchicalDataInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataInformation");
  temp20 = (op)->HasInformation(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalDataInformation_DeepCopy_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalDataInformation *op;
  vtkHierarchicalDataInformation  *temp0;
  temp0 = (vtkHierarchicalDataInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkHierarchicalDataInformation"));

  op = (vtkHierarchicalDataInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataInformation");
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalDataInformation_Clear_19(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataInformation *op;

  op = (vtkHierarchicalDataInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataInformation");
  op->Clear();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkHierarchicalDataInformation_VTKInit(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataInformation *aNewOne = vtkHierarchicalDataInformation::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkHierarchicalDataInformation_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkHierarchicalDataInformation_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkHierarchicalDataInformation_Typecast);
}
