// java wrapper for vtkInformationDataObjectKey object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInformationDataObjectKey.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkInformationKey_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInformationDataObjectKey_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInformationDataObjectKey",dType)) { return me; }
  if ((res= vtkInformationKey_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInformationDataObjectKey_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInformationDataObjectKey *op;
  const char    *temp20;

  op = (vtkInformationDataObjectKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationDataObjectKey");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationDataObjectKey_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInformationDataObjectKey *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInformationDataObjectKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationDataObjectKey");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationDataObjectKey_Set_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationDataObjectKey *op;
  vtkInformation  *temp0;
  vtkDataObject  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataObject"));

  op = (vtkInformationDataObjectKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationDataObjectKey");
  op->Set(temp0,temp1);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInformationDataObjectKey_Get_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationDataObjectKey *op;
  vtkInformation  *temp0;
  vtkDataObject  *temp20;
  jobject tempH;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkInformationDataObjectKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationDataObjectKey");
  temp20 = (op)->Get(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataObject", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationDataObjectKey_Has_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationDataObjectKey *op;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkInformationDataObjectKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationDataObjectKey");
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationDataObjectKey_ShallowCopy_15(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationDataObjectKey *op;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformation"));

  op = (vtkInformationDataObjectKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationDataObjectKey");
  op->ShallowCopy(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationDataObjectKey_Report_16(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationDataObjectKey *op;
  vtkInformation  *temp0;
  vtkGarbageCollector  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkGarbageCollector *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkGarbageCollector"));

  op = (vtkInformationDataObjectKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationDataObjectKey");
  op->Report(temp0,temp1);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInformationDataObjectKey_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInformationDataObjectKey_Typecast);
}
