// java wrapper for vtkSmoothErrorMetric object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSmoothErrorMetric.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkGenericSubdivisionErrorMetric_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSmoothErrorMetric_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSmoothErrorMetric",dType)) { return me; }
  if ((res= vtkGenericSubdivisionErrorMetric_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSmoothErrorMetric_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSmoothErrorMetric *op;
  const char    *temp20;

  op = (vtkSmoothErrorMetric *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothErrorMetric");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSmoothErrorMetric_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSmoothErrorMetric *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSmoothErrorMetric *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothErrorMetric");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSmoothErrorMetric_GetAngleTolerance_12(JNIEnv *env, jobject obj)
{
  vtkSmoothErrorMetric *op;
  double   temp20;

  op = (vtkSmoothErrorMetric *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothErrorMetric");
  temp20 = (op)->GetAngleTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmoothErrorMetric_SetAngleTolerance_13(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSmoothErrorMetric *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSmoothErrorMetric *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothErrorMetric");
  op->SetAngleTolerance(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSmoothErrorMetric_VTKInit(JNIEnv *env, jobject obj)
{
  vtkSmoothErrorMetric *aNewOne = vtkSmoothErrorMetric::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSmoothErrorMetric_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSmoothErrorMetric_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSmoothErrorMetric_Typecast);
}
