// java wrapper for vtkGenericGlyph3DFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericGlyph3DFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericGlyph3DFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericGlyph3DFilter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericGlyph3DFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;
  const char    *temp20;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGlyph3DFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericGlyph3DFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetSource_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericGlyph3DFilter *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPolyData"));

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetSource(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetSource_13(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkGenericGlyph3DFilter *op;
  int      temp0;
  vtkPolyData  *temp1;
  temp0 = id0;
  temp1 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkPolyData"));

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetSource(temp0,temp1);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGenericGlyph3DFilter_GetSource_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericGlyph3DFilter *op;
  int      temp0;
  vtkPolyData  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  temp20 = (op)->GetSource(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPolyData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetScaling_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericGlyph3DFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetScaling(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_ScalingOn_16(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->ScalingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_ScalingOff_17(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->ScalingOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGlyph3DFilter_GetScaling_18(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;
  int      temp20;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  temp20 = (op)->GetScaling();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetScaleMode_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericGlyph3DFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetScaleMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGlyph3DFilter_GetScaleMode_110(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;
  int      temp20;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  temp20 = (op)->GetScaleMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetScaleModeToScaleByScalar_111(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetScaleModeToScaleByScalar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetScaleModeToScaleByVector_112(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetScaleModeToScaleByVector();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetScaleModeToScaleByVectorComponents_113(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetScaleModeToScaleByVectorComponents();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetScaleModeToDataScalingOff_114(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetScaleModeToDataScalingOff();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericGlyph3DFilter_GetScaleModeAsString_115(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;
  const char    *temp20;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  temp20 = (op)->GetScaleModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetColorMode_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericGlyph3DFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetColorMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGlyph3DFilter_GetColorMode_117(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;
  int      temp20;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  temp20 = (op)->GetColorMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetColorModeToColorByScale_118(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetColorModeToColorByScale();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetColorModeToColorByScalar_119(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetColorModeToColorByScalar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetColorModeToColorByVector_120(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetColorModeToColorByVector();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericGlyph3DFilter_GetColorModeAsString_121(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;
  const char    *temp20;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  temp20 = (op)->GetColorModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetScaleFactor_122(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGenericGlyph3DFilter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetScaleFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericGlyph3DFilter_GetScaleFactor_123(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;
  double   temp20;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  temp20 = (op)->GetScaleFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetRange_124(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkGenericGlyph3DFilter *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetRange_125(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGenericGlyph3DFilter *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkGenericGlyph3DFilter_GetRange_126(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;
  double  *temp20;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  temp20 = (op)->GetRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetOrient_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericGlyph3DFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetOrient(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_OrientOn_128(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->OrientOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_OrientOff_129(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->OrientOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGlyph3DFilter_GetOrient_130(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;
  int      temp20;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  temp20 = (op)->GetOrient();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetClamping_131(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericGlyph3DFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetClamping(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_ClampingOn_132(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->ClampingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_ClampingOff_133(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->ClampingOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGlyph3DFilter_GetClamping_134(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;
  int      temp20;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  temp20 = (op)->GetClamping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetVectorMode_135(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericGlyph3DFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetVectorMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGlyph3DFilter_GetVectorMode_136(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;
  int      temp20;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  temp20 = (op)->GetVectorMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetVectorModeToUseVector_137(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetVectorModeToUseVector();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetVectorModeToUseNormal_138(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetVectorModeToUseNormal();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetVectorModeToVectorRotationOff_139(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetVectorModeToVectorRotationOff();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericGlyph3DFilter_GetVectorModeAsString_140(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;
  const char    *temp20;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  temp20 = (op)->GetVectorModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetIndexMode_141(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericGlyph3DFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetIndexMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGlyph3DFilter_GetIndexMode_142(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;
  int      temp20;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  temp20 = (op)->GetIndexMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetIndexModeToScalar_143(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetIndexModeToScalar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetIndexModeToVector_144(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetIndexModeToVector();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetIndexModeToOff_145(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetIndexModeToOff();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericGlyph3DFilter_GetIndexModeAsString_146(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;
  const char    *temp20;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  temp20 = (op)->GetIndexModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetGeneratePointIds_147(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericGlyph3DFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetGeneratePointIds(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGlyph3DFilter_GetGeneratePointIds_148(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;
  int      temp20;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  temp20 = (op)->GetGeneratePointIds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_GeneratePointIdsOn_149(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->GeneratePointIdsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_GeneratePointIdsOff_150(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->GeneratePointIdsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SetPointIdsName_151(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericGlyph3DFilter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SetPointIdsName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericGlyph3DFilter_GetPointIdsName_152(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;
  char    *temp20;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  temp20 = (op)->GetPointIdsName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericGlyph3DFilter_GetInputScalarsSelection_153(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;
  char    *temp20;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  temp20 = (op)->GetInputScalarsSelection();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SelectInputScalars_154(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericGlyph3DFilter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SelectInputScalars(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericGlyph3DFilter_GetInputVectorsSelection_155(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;
  char    *temp20;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  temp20 = (op)->GetInputVectorsSelection();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SelectInputVectors_156(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericGlyph3DFilter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SelectInputVectors(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericGlyph3DFilter_GetInputNormalsSelection_157(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *op;
  char    *temp20;

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  temp20 = (op)->GetInputNormalsSelection();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGlyph3DFilter_SelectInputNormals_158(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericGlyph3DFilter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericGlyph3DFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericGlyph3DFilter");
  op->SelectInputNormals(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGenericGlyph3DFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkGenericGlyph3DFilter *aNewOne = vtkGenericGlyph3DFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGenericGlyph3DFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGenericGlyph3DFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGenericGlyph3DFilter_Typecast);
}
