// java wrapper for vtkGenericProbeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericProbeFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataSetToDataSetFilter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericProbeFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericProbeFilter",dType)) { return me; }
  if ((res= vtkDataSetToDataSetFilter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericProbeFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericProbeFilter *op;
  const char    *temp20;

  op = (vtkGenericProbeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericProbeFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericProbeFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericProbeFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericProbeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericProbeFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericProbeFilter_SetSource_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericProbeFilter *op;
  vtkGenericDataSet  *temp0;
  temp0 = (vtkGenericDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkGenericDataSet"));

  op = (vtkGenericProbeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericProbeFilter");
  op->SetSource(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGenericProbeFilter_GetSource_13(JNIEnv *env, jobject obj)
{
  vtkGenericProbeFilter *op;
  vtkGenericDataSet  *temp20;
  jobject tempH;

  op = (vtkGenericProbeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericProbeFilter");
  temp20 = (op)->GetSource();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkGenericDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGenericProbeFilter_GetValidPoints_14(JNIEnv *env, jobject obj)
{
  vtkGenericProbeFilter *op;
  vtkIdTypeArray  *temp20;
  jobject tempH;

  op = (vtkGenericProbeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericProbeFilter");
  temp20 = (op)->GetValidPoints();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkIdTypeArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGenericProbeFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkGenericProbeFilter *aNewOne = vtkGenericProbeFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGenericProbeFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGenericProbeFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGenericProbeFilter_Typecast);
}
