// java wrapper for vtkBandedPolyDataContourFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBandedPolyDataContourFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBandedPolyDataContourFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBandedPolyDataContourFilter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBandedPolyDataContourFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBandedPolyDataContourFilter *op;
  const char    *temp20;

  op = (vtkBandedPolyDataContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBandedPolyDataContourFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBandedPolyDataContourFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBandedPolyDataContourFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBandedPolyDataContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBandedPolyDataContourFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBandedPolyDataContourFilter_SetValue_12(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkBandedPolyDataContourFilter *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkBandedPolyDataContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBandedPolyDataContourFilter");
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkBandedPolyDataContourFilter_GetValue_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkBandedPolyDataContourFilter *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkBandedPolyDataContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBandedPolyDataContourFilter");
  temp20 = (op)->GetValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBandedPolyDataContourFilter_SetNumberOfContours_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkBandedPolyDataContourFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBandedPolyDataContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBandedPolyDataContourFilter");
  op->SetNumberOfContours(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBandedPolyDataContourFilter_GetNumberOfContours_15(JNIEnv *env, jobject obj)
{
  vtkBandedPolyDataContourFilter *op;
  int      temp20;

  op = (vtkBandedPolyDataContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBandedPolyDataContourFilter");
  temp20 = (op)->GetNumberOfContours();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBandedPolyDataContourFilter_GenerateValues_16(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkBandedPolyDataContourFilter *op;
  int      temp0;
  double temp1[2];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkBandedPolyDataContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBandedPolyDataContourFilter");
  op->GenerateValues(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBandedPolyDataContourFilter_GenerateValues_17(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2)
{
  vtkBandedPolyDataContourFilter *op;
  int      temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkBandedPolyDataContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBandedPolyDataContourFilter");
  op->GenerateValues(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBandedPolyDataContourFilter_SetClipping_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkBandedPolyDataContourFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBandedPolyDataContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBandedPolyDataContourFilter");
  op->SetClipping(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBandedPolyDataContourFilter_GetClipping_19(JNIEnv *env, jobject obj)
{
  vtkBandedPolyDataContourFilter *op;
  int      temp20;

  op = (vtkBandedPolyDataContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBandedPolyDataContourFilter");
  temp20 = (op)->GetClipping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBandedPolyDataContourFilter_ClippingOn_110(JNIEnv *env, jobject obj)
{
  vtkBandedPolyDataContourFilter *op;

  op = (vtkBandedPolyDataContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBandedPolyDataContourFilter");
  op->ClippingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBandedPolyDataContourFilter_ClippingOff_111(JNIEnv *env, jobject obj)
{
  vtkBandedPolyDataContourFilter *op;

  op = (vtkBandedPolyDataContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBandedPolyDataContourFilter");
  op->ClippingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBandedPolyDataContourFilter_SetScalarMode_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkBandedPolyDataContourFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBandedPolyDataContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBandedPolyDataContourFilter");
  op->SetScalarMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBandedPolyDataContourFilter_GetScalarModeMinValue_113(JNIEnv *env, jobject obj)
{
  vtkBandedPolyDataContourFilter *op;
  int      temp20;

  op = (vtkBandedPolyDataContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBandedPolyDataContourFilter");
  temp20 = (op)->GetScalarModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBandedPolyDataContourFilter_GetScalarModeMaxValue_114(JNIEnv *env, jobject obj)
{
  vtkBandedPolyDataContourFilter *op;
  int      temp20;

  op = (vtkBandedPolyDataContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBandedPolyDataContourFilter");
  temp20 = (op)->GetScalarModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBandedPolyDataContourFilter_GetScalarMode_115(JNIEnv *env, jobject obj)
{
  vtkBandedPolyDataContourFilter *op;
  int      temp20;

  op = (vtkBandedPolyDataContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBandedPolyDataContourFilter");
  temp20 = (op)->GetScalarMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBandedPolyDataContourFilter_SetScalarModeToIndex_116(JNIEnv *env, jobject obj)
{
  vtkBandedPolyDataContourFilter *op;

  op = (vtkBandedPolyDataContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBandedPolyDataContourFilter");
  op->SetScalarModeToIndex();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBandedPolyDataContourFilter_SetScalarModeToValue_117(JNIEnv *env, jobject obj)
{
  vtkBandedPolyDataContourFilter *op;

  op = (vtkBandedPolyDataContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBandedPolyDataContourFilter");
  op->SetScalarModeToValue();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBandedPolyDataContourFilter_SetGenerateContourEdges_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkBandedPolyDataContourFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBandedPolyDataContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBandedPolyDataContourFilter");
  op->SetGenerateContourEdges(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBandedPolyDataContourFilter_GetGenerateContourEdges_119(JNIEnv *env, jobject obj)
{
  vtkBandedPolyDataContourFilter *op;
  int      temp20;

  op = (vtkBandedPolyDataContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBandedPolyDataContourFilter");
  temp20 = (op)->GetGenerateContourEdges();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBandedPolyDataContourFilter_GenerateContourEdgesOn_120(JNIEnv *env, jobject obj)
{
  vtkBandedPolyDataContourFilter *op;

  op = (vtkBandedPolyDataContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBandedPolyDataContourFilter");
  op->GenerateContourEdgesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBandedPolyDataContourFilter_GenerateContourEdgesOff_121(JNIEnv *env, jobject obj)
{
  vtkBandedPolyDataContourFilter *op;

  op = (vtkBandedPolyDataContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBandedPolyDataContourFilter");
  op->GenerateContourEdgesOff();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkBandedPolyDataContourFilter_GetContourEdgesOutput_122(JNIEnv *env, jobject obj)
{
  vtkBandedPolyDataContourFilter *op;
  vtkPolyData  *temp20;
  jobject tempH;

  op = (vtkBandedPolyDataContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBandedPolyDataContourFilter");
  temp20 = (op)->GetContourEdgesOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPolyData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBandedPolyDataContourFilter_GetMTime_123(JNIEnv *env, jobject obj)
{
  vtkBandedPolyDataContourFilter *op;
   unsigned long     temp20;

  op = (vtkBandedPolyDataContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBandedPolyDataContourFilter");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkBandedPolyDataContourFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkBandedPolyDataContourFilter *aNewOne = vtkBandedPolyDataContourFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkBandedPolyDataContourFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkBandedPolyDataContourFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkBandedPolyDataContourFilter_Typecast);
}
