// java wrapper for vtkBlankStructuredGridWithImage object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBlankStructuredGridWithImage.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkStructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBlankStructuredGridWithImage_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBlankStructuredGridWithImage",dType)) { return me; }
  if ((res= vtkStructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBlankStructuredGridWithImage_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBlankStructuredGridWithImage *op;
  const char    *temp20;

  op = (vtkBlankStructuredGridWithImage *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBlankStructuredGridWithImage");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBlankStructuredGridWithImage_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBlankStructuredGridWithImage *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBlankStructuredGridWithImage *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBlankStructuredGridWithImage");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBlankStructuredGridWithImage_SetBlankingInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBlankStructuredGridWithImage *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkImageData"));

  op = (vtkBlankStructuredGridWithImage *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBlankStructuredGridWithImage");
  op->SetBlankingInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkBlankStructuredGridWithImage_GetBlankingInput_13(JNIEnv *env, jobject obj)
{
  vtkBlankStructuredGridWithImage *op;
  vtkImageData  *temp20;
  jobject tempH;

  op = (vtkBlankStructuredGridWithImage *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBlankStructuredGridWithImage");
  temp20 = (op)->GetBlankingInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkBlankStructuredGridWithImage_VTKInit(JNIEnv *env, jobject obj)
{
  vtkBlankStructuredGridWithImage *aNewOne = vtkBlankStructuredGridWithImage::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkBlankStructuredGridWithImage_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkBlankStructuredGridWithImage_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkBlankStructuredGridWithImage_Typecast);
}
