// java wrapper for vtkCellDerivatives object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCellDerivatives.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCellDerivatives_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCellDerivatives",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCellDerivatives_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCellDerivatives *op;
  const char    *temp20;

  op = (vtkCellDerivatives *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellDerivatives");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellDerivatives_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCellDerivatives *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCellDerivatives *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellDerivatives");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellDerivatives_SetVectorMode_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellDerivatives *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCellDerivatives *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellDerivatives");
  op->SetVectorMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellDerivatives_GetVectorMode_13(JNIEnv *env, jobject obj)
{
  vtkCellDerivatives *op;
  int      temp20;

  op = (vtkCellDerivatives *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellDerivatives");
  temp20 = (op)->GetVectorMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellDerivatives_SetVectorModeToPassVectors_14(JNIEnv *env, jobject obj)
{
  vtkCellDerivatives *op;

  op = (vtkCellDerivatives *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellDerivatives");
  op->SetVectorModeToPassVectors();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellDerivatives_SetVectorModeToComputeGradient_15(JNIEnv *env, jobject obj)
{
  vtkCellDerivatives *op;

  op = (vtkCellDerivatives *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellDerivatives");
  op->SetVectorModeToComputeGradient();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellDerivatives_SetVectorModeToComputeVorticity_16(JNIEnv *env, jobject obj)
{
  vtkCellDerivatives *op;

  op = (vtkCellDerivatives *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellDerivatives");
  op->SetVectorModeToComputeVorticity();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCellDerivatives_GetVectorModeAsString_17(JNIEnv *env, jobject obj)
{
  vtkCellDerivatives *op;
  const char    *temp20;

  op = (vtkCellDerivatives *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellDerivatives");
  temp20 = (op)->GetVectorModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellDerivatives_SetTensorMode_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellDerivatives *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCellDerivatives *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellDerivatives");
  op->SetTensorMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellDerivatives_GetTensorMode_19(JNIEnv *env, jobject obj)
{
  vtkCellDerivatives *op;
  int      temp20;

  op = (vtkCellDerivatives *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellDerivatives");
  temp20 = (op)->GetTensorMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellDerivatives_SetTensorModeToPassTensors_110(JNIEnv *env, jobject obj)
{
  vtkCellDerivatives *op;

  op = (vtkCellDerivatives *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellDerivatives");
  op->SetTensorModeToPassTensors();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellDerivatives_SetTensorModeToComputeGradient_111(JNIEnv *env, jobject obj)
{
  vtkCellDerivatives *op;

  op = (vtkCellDerivatives *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellDerivatives");
  op->SetTensorModeToComputeGradient();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellDerivatives_SetTensorModeToComputeStrain_112(JNIEnv *env, jobject obj)
{
  vtkCellDerivatives *op;

  op = (vtkCellDerivatives *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellDerivatives");
  op->SetTensorModeToComputeStrain();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCellDerivatives_GetTensorModeAsString_113(JNIEnv *env, jobject obj)
{
  vtkCellDerivatives *op;
  const char    *temp20;

  op = (vtkCellDerivatives *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellDerivatives");
  temp20 = (op)->GetTensorModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCellDerivatives_VTKInit(JNIEnv *env, jobject obj)
{
  vtkCellDerivatives *aNewOne = vtkCellDerivatives::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCellDerivatives_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCellDerivatives_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCellDerivatives_Typecast);
}
