// java wrapper for vtkClipPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkClipPolyData.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkClipPolyData_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkClipPolyData",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkClipPolyData_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkClipPolyData *op;
  const char    *temp20;

  op = (vtkClipPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipPolyData");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipPolyData_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkClipPolyData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkClipPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipPolyData");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipPolyData_SetValue_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkClipPolyData *op;
  double   temp0;
  temp0 = id0;

  op = (vtkClipPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipPolyData");
  op->SetValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkClipPolyData_GetValue_13(JNIEnv *env, jobject obj)
{
  vtkClipPolyData *op;
  double   temp20;

  op = (vtkClipPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipPolyData");
  temp20 = (op)->GetValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipPolyData_SetInsideOut_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkClipPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkClipPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipPolyData");
  op->SetInsideOut(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipPolyData_GetInsideOut_15(JNIEnv *env, jobject obj)
{
  vtkClipPolyData *op;
  int      temp20;

  op = (vtkClipPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipPolyData");
  temp20 = (op)->GetInsideOut();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipPolyData_InsideOutOn_16(JNIEnv *env, jobject obj)
{
  vtkClipPolyData *op;

  op = (vtkClipPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipPolyData");
  op->InsideOutOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipPolyData_InsideOutOff_17(JNIEnv *env, jobject obj)
{
  vtkClipPolyData *op;

  op = (vtkClipPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipPolyData");
  op->InsideOutOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipPolyData_SetClipFunction_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkClipPolyData *op;
  vtkImplicitFunction  *temp0;
  temp0 = (vtkImplicitFunction *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkImplicitFunction"));

  op = (vtkClipPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipPolyData");
  op->SetClipFunction(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkClipPolyData_GetClipFunction_19(JNIEnv *env, jobject obj)
{
  vtkClipPolyData *op;
  vtkImplicitFunction  *temp20;
  jobject tempH;

  op = (vtkClipPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipPolyData");
  temp20 = (op)->GetClipFunction();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImplicitFunction", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipPolyData_SetGenerateClipScalars_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkClipPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkClipPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipPolyData");
  op->SetGenerateClipScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipPolyData_GetGenerateClipScalars_111(JNIEnv *env, jobject obj)
{
  vtkClipPolyData *op;
  int      temp20;

  op = (vtkClipPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipPolyData");
  temp20 = (op)->GetGenerateClipScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipPolyData_GenerateClipScalarsOn_112(JNIEnv *env, jobject obj)
{
  vtkClipPolyData *op;

  op = (vtkClipPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipPolyData");
  op->GenerateClipScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipPolyData_GenerateClipScalarsOff_113(JNIEnv *env, jobject obj)
{
  vtkClipPolyData *op;

  op = (vtkClipPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipPolyData");
  op->GenerateClipScalarsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipPolyData_SetGenerateClippedOutput_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkClipPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkClipPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipPolyData");
  op->SetGenerateClippedOutput(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipPolyData_GetGenerateClippedOutput_115(JNIEnv *env, jobject obj)
{
  vtkClipPolyData *op;
  int      temp20;

  op = (vtkClipPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipPolyData");
  temp20 = (op)->GetGenerateClippedOutput();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipPolyData_GenerateClippedOutputOn_116(JNIEnv *env, jobject obj)
{
  vtkClipPolyData *op;

  op = (vtkClipPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipPolyData");
  op->GenerateClippedOutputOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipPolyData_GenerateClippedOutputOff_117(JNIEnv *env, jobject obj)
{
  vtkClipPolyData *op;

  op = (vtkClipPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipPolyData");
  op->GenerateClippedOutputOff();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkClipPolyData_GetClippedOutput_118(JNIEnv *env, jobject obj)
{
  vtkClipPolyData *op;
  vtkPolyData  *temp20;
  jobject tempH;

  op = (vtkClipPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipPolyData");
  temp20 = (op)->GetClippedOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPolyData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkClipPolyData_GetClippedOutputPort_119(JNIEnv *env, jobject obj)
{
  vtkClipPolyData *op;
  vtkAlgorithmOutput  *temp20;
  jobject tempH;

  op = (vtkClipPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipPolyData");
  temp20 = (op)->GetClippedOutputPort();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAlgorithmOutput", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipPolyData_SetLocator_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkClipPolyData *op;
  vtkPointLocator  *temp0;
  temp0 = (vtkPointLocator *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPointLocator"));

  op = (vtkClipPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipPolyData");
  op->SetLocator(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkClipPolyData_GetLocator_121(JNIEnv *env, jobject obj)
{
  vtkClipPolyData *op;
  vtkPointLocator  *temp20;
  jobject tempH;

  op = (vtkClipPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipPolyData");
  temp20 = (op)->GetLocator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPointLocator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipPolyData_CreateDefaultLocator_122(JNIEnv *env, jobject obj)
{
  vtkClipPolyData *op;

  op = (vtkClipPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipPolyData");
  op->CreateDefaultLocator();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipPolyData_GetMTime_123(JNIEnv *env, jobject obj)
{
  vtkClipPolyData *op;
   unsigned long     temp20;

  op = (vtkClipPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipPolyData");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkClipPolyData_VTKInit(JNIEnv *env, jobject obj)
{
  vtkClipPolyData *aNewOne = vtkClipPolyData::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkClipPolyData_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkClipPolyData_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkClipPolyData_Typecast);
}
