// java wrapper for vtkGlyph2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGlyph2D.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkGlyph3D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGlyph2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGlyph2D",dType)) { return me; }
  if ((res= vtkGlyph3D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGlyph2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGlyph2D *op;
  const char    *temp20;

  op = (vtkGlyph2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGlyph2D");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGlyph2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGlyph2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGlyph2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGlyph2D");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGlyph2D_VTKInit(JNIEnv *env, jobject obj)
{
  vtkGlyph2D *aNewOne = vtkGlyph2D::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGlyph2D_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGlyph2D_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGlyph2D_Typecast);
}
