// java wrapper for vtkKdTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKdTree.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkLocator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkKdTree_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkKdTree",dType)) { return me; }
  if ((res= vtkLocator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkKdTree_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  const char    *temp20;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkKdTree *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_TimingOn_12(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->TimingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_TimingOff_13(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->TimingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_SetTiming_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTree *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->SetTiming(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetTiming_15(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  int      temp20;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->GetTiming();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_SetMinCells_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTree *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->SetMinCells(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetMinCells_17(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  int      temp20;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->GetMinCells();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetNumberOfRegionsOrLess_18(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  int      temp20;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->GetNumberOfRegionsOrLess();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_SetNumberOfRegionsOrLess_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTree *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->SetNumberOfRegionsOrLess(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetNumberOfRegionsOrMore_110(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  int      temp20;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->GetNumberOfRegionsOrMore();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_SetNumberOfRegionsOrMore_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTree *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->SetNumberOfRegionsOrMore(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkKdTree_GetFudgeFactor_112(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  double   temp20;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->GetFudgeFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_SetFudgeFactor_113(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkKdTree *op;
  double   temp0;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->SetFudgeFactor(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkKdTree_GetCuts_114(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  vtkBSPCuts  *temp20;
  jobject tempH;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->GetCuts();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkBSPCuts", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_SetCuts_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkKdTree *op;
  vtkBSPCuts  *temp0;
  temp0 = (vtkBSPCuts *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkBSPCuts"));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->SetCuts(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_OmitXPartitioning_116(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->OmitXPartitioning();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_OmitYPartitioning_117(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->OmitYPartitioning();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_OmitZPartitioning_118(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->OmitZPartitioning();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_OmitXYPartitioning_119(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->OmitXYPartitioning();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_OmitYZPartitioning_120(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->OmitYZPartitioning();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_OmitZXPartitioning_121(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->OmitZXPartitioning();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_OmitNoPartitioning_122(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->OmitNoPartitioning();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_SetDataSet_123(JNIEnv *env, jobject obj,jobject id0)
{
  vtkKdTree *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->SetDataSet(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_SetNthDataSet_124(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkKdTree *op;
  int      temp0;
  vtkDataSet  *temp1;
  temp0 = id0;
  temp1 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataSet"));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->SetNthDataSet(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_RemoveDataSet_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTree *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->RemoveDataSet(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_RemoveDataSet_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkKdTree *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->RemoveDataSet(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_AddDataSet_127(JNIEnv *env, jobject obj,jobject id0)
{
  vtkKdTree *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->AddDataSet(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetNumberOfDataSets_128(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  int      temp20;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->GetNumberOfDataSets();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkKdTree_GetDataSet_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTree *op;
  int      temp0;
  vtkDataSet  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->GetDataSet(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkKdTree_GetDataSet_130(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->GetDataSet();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetDataSet_131(JNIEnv *env, jobject obj,jobject id0)
{
  vtkKdTree *op;
  vtkDataSet  *temp0;
  int      temp20;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->GetDataSet(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetNumberOfRegions_132(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  int      temp20;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->GetNumberOfRegions();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_GetRegionBounds_133(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkKdTree *op;
  int      temp0;
  double temp1[6];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->GetRegionBounds(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_GetRegionDataBounds_134(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkKdTree *op;
  int      temp0;
  double temp1[6];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->GetRegionDataBounds(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_PrintTree_135(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->PrintTree();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_PrintVerboseTree_136(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->PrintVerboseTree();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_PrintRegion_137(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTree *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->PrintRegion(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_CreateCellLists_138(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->CreateCellLists();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_SetIncludeRegionBoundaryCells_139(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTree *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->SetIncludeRegionBoundaryCells(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetIncludeRegionBoundaryCells_140(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  int      temp20;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->GetIncludeRegionBoundaryCells();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_IncludeRegionBoundaryCellsOn_141(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->IncludeRegionBoundaryCellsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_IncludeRegionBoundaryCellsOff_142(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->IncludeRegionBoundaryCellsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_DeleteCellLists_143(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->DeleteCellLists();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkKdTree_GetCellList_144(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTree *op;
  int      temp0;
  vtkIdList  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->GetCellList(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkIdList", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkKdTree_GetBoundaryCellList_145(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTree *op;
  int      temp0;
  vtkIdList  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->GetBoundaryCellList(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkIdList", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetCellLists_146(JNIEnv *env, jobject obj,jobject id0,jint id1,jobject id2,jobject id3)
{
  vtkKdTree *op;
  vtkIntArray  *temp0;
  int      temp1;
  vtkIdList  *temp2;
  vtkIdList  *temp3;
  vtkIdType   temp20;
  temp0 = (vtkIntArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkIntArray"));
  temp1 = id1;
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkIdList"));
  temp3 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id3,(char *) "vtkIdList"));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->GetCellLists(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetCellLists_147(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3)
{
  vtkKdTree *op;
  vtkIntArray  *temp0;
  vtkDataSet  *temp1;
  vtkIdList  *temp2;
  vtkIdList  *temp3;
  vtkIdType   temp20;
  temp0 = (vtkIntArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkIntArray"));
  temp1 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataSet"));
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkIdList"));
  temp3 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id3,(char *) "vtkIdList"));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->GetCellLists(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetCellLists_148(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkKdTree *op;
  vtkIntArray  *temp0;
  vtkIdList  *temp1;
  vtkIdList  *temp2;
  vtkIdType   temp20;
  temp0 = (vtkIntArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkIntArray"));
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkIdList"));
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkIdList"));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->GetCellLists(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetRegionContainingCell_149(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkKdTree *op;
  vtkDataSet  *temp0;
  vtkIdType   temp1;
  int      temp20;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));
  temp1 = id1;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->GetRegionContainingCell(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetRegionContainingCell_150(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkKdTree *op;
  int      temp0;
  vtkIdType   temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->GetRegionContainingCell(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetRegionContainingCell_151(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTree *op;
  vtkIdType   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->GetRegionContainingCell(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetRegionContainingPoint_152(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkKdTree *op;
  double   temp0;
  double   temp1;
  double   temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->GetRegionContainingPoint(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_BuildLocator_153(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->BuildLocator();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_BuildLocatorFromPoints_154(JNIEnv *env, jobject obj,jobject id0)
{
  vtkKdTree *op;
  vtkPoints  *temp0;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPoints"));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->BuildLocatorFromPoints(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkKdTree_BuildMapForDuplicatePoints_155(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkKdTree *op;
  float    temp0;
  vtkIdTypeArray  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->BuildMapForDuplicatePoints(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkIdTypeArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_FindPoint_156(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkKdTree *op;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->FindPoint(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkKdTree_GetPointsInRegion_157(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTree *op;
  int      temp0;
  vtkIdTypeArray  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->GetPointsInRegion(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkIdTypeArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_FreeSearchStructure_158(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->FreeSearchStructure();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_GenerateRepresentation_159(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkKdTree *op;
  int      temp0;
  vtkPolyData  *temp1;
  temp0 = id0;
  temp1 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkPolyData"));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->GenerateRepresentation(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_GenerateRepresentationUsingDataBoundsOn_160(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->GenerateRepresentationUsingDataBoundsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_GenerateRepresentationUsingDataBoundsOff_161(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->GenerateRepresentationUsingDataBoundsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_SetGenerateRepresentationUsingDataBounds_162(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTree *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  op->SetGenerateRepresentationUsingDataBounds(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetGenerateRepresentationUsingDataBounds_163(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  int      temp20;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->GetGenerateRepresentationUsingDataBounds();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_NewGeometry_164(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  int      temp20;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->NewGeometry();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkKdTree_CopyTree_165(JNIEnv *env, jobject obj,jobject id0)
{
  vtkKdTree *op;
  vtkKdNode  *temp0;
  vtkKdNode  *temp20;
  jobject tempH;
  temp0 = (vtkKdNode *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkKdNode"));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdTree");
  temp20 = (op)->CopyTree(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkKdNode", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkKdTree_VTKInit(JNIEnv *env, jobject obj)
{
  vtkKdTree *aNewOne = vtkKdTree::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkKdTree_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkKdTree_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkKdTree_Typecast);
}
