// java wrapper for vtkMassProperties object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMassProperties.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMassProperties_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMassProperties",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMassProperties_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMassProperties *op;
  const char    *temp20;

  op = (vtkMassProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMassProperties");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMassProperties_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMassProperties *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMassProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMassProperties");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMassProperties_GetVolume_12(JNIEnv *env, jobject obj)
{
  vtkMassProperties *op;
  double   temp20;

  op = (vtkMassProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMassProperties");
  temp20 = (op)->GetVolume();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMassProperties_GetVolumeX_13(JNIEnv *env, jobject obj)
{
  vtkMassProperties *op;
  double   temp20;

  op = (vtkMassProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMassProperties");
  temp20 = (op)->GetVolumeX();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMassProperties_GetVolumeY_14(JNIEnv *env, jobject obj)
{
  vtkMassProperties *op;
  double   temp20;

  op = (vtkMassProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMassProperties");
  temp20 = (op)->GetVolumeY();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMassProperties_GetVolumeZ_15(JNIEnv *env, jobject obj)
{
  vtkMassProperties *op;
  double   temp20;

  op = (vtkMassProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMassProperties");
  temp20 = (op)->GetVolumeZ();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMassProperties_GetKx_16(JNIEnv *env, jobject obj)
{
  vtkMassProperties *op;
  double   temp20;

  op = (vtkMassProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMassProperties");
  temp20 = (op)->GetKx();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMassProperties_GetKy_17(JNIEnv *env, jobject obj)
{
  vtkMassProperties *op;
  double   temp20;

  op = (vtkMassProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMassProperties");
  temp20 = (op)->GetKy();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMassProperties_GetKz_18(JNIEnv *env, jobject obj)
{
  vtkMassProperties *op;
  double   temp20;

  op = (vtkMassProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMassProperties");
  temp20 = (op)->GetKz();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMassProperties_GetSurfaceArea_19(JNIEnv *env, jobject obj)
{
  vtkMassProperties *op;
  double   temp20;

  op = (vtkMassProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMassProperties");
  temp20 = (op)->GetSurfaceArea();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMassProperties_GetNormalizedShapeIndex_110(JNIEnv *env, jobject obj)
{
  vtkMassProperties *op;
  double   temp20;

  op = (vtkMassProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMassProperties");
  temp20 = (op)->GetNormalizedShapeIndex();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMassProperties_VTKInit(JNIEnv *env, jobject obj)
{
  vtkMassProperties *aNewOne = vtkMassProperties::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMassProperties_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMassProperties_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMassProperties_Typecast);
}
