// java wrapper for vtkModelMetadata object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkModelMetadata.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkModelMetadata_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkModelMetadata",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkModelMetadata_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  const char    *temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkModelMetadata *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_PrintGlobalInformation_12(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  op->PrintGlobalInformation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_PrintLocalInformation_13(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  op->PrintLocalInformation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_SetTitle_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkModelMetadata *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  op->SetTitle(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_AddInformationLine_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkModelMetadata *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  op->AddInformationLine(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_AddQARecord_16(JNIEnv *env, jobject obj,jstring id0,jstring id1,jstring id2,jstring id3)
{
  vtkModelMetadata *op;
  char    *temp0;
  char    *temp1;
  char    *temp2;
  char    *temp3;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = vtkJavaUTFToChar(env,id2);
  temp3 = vtkJavaUTFToChar(env,id3);

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  op->AddQARecord(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_SetTimeStepIndex_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkModelMetadata *op;
  int      temp0;
  temp0 = id0;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  op->SetTimeStepIndex(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_SetNumberOfBlocks_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkModelMetadata *op;
  int      temp0;
  temp0 = id0;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  op->SetNumberOfBlocks(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_SetNumberOfNodeSets_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkModelMetadata *op;
  int      temp0;
  temp0 = id0;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  op->SetNumberOfNodeSets(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_SetNumberOfSideSets_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkModelMetadata *op;
  int      temp0;
  temp0 = id0;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  op->SetNumberOfSideSets(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_SetAllVariablesDefinedInAllBlocks_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkModelMetadata *op;
  int      temp0;
  temp0 = id0;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  op->SetAllVariablesDefinedInAllBlocks(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_AllVariablesDefinedInAllBlocksOn_112(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  op->AllVariablesDefinedInAllBlocksOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_AllVariablesDefinedInAllBlocksOff_113(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  op->AllVariablesDefinedInAllBlocksOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_ElementVariableIsDefinedInBlock_114(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkModelMetadata *op;
  char    *temp0;
  int      temp1;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  temp20 = (op)->ElementVariableIsDefinedInBlock(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkModelMetadata_FindOriginalElementVariableName_115(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkModelMetadata *op;
  char    *temp0;
  int      temp1;
  char    *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  temp20 = (op)->FindOriginalElementVariableName(temp0,temp1);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkModelMetadata_FindOriginalNodeVariableName_116(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkModelMetadata *op;
  char    *temp0;
  int      temp1;
  char    *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  temp20 = (op)->FindOriginalNodeVariableName(temp0,temp1);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_HasMetadata_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkModelMetadata *op;
  vtkDataSet  *temp0;
  int      temp20;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  temp20 = (op)->HasMetadata(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_RemoveMetadata_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkModelMetadata *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  op->RemoveMetadata(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_Pack_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkModelMetadata *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  op->Pack(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_Unpack_120(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkModelMetadata *op;
  vtkDataSet  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));
  temp1 = id1;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  temp20 = (op)->Unpack(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_AddUGridElementVariable_121(JNIEnv *env, jobject obj,jstring id0,jstring id1,jint id2)
{
  vtkModelMetadata *op;
  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  temp20 = (op)->AddUGridElementVariable(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_RemoveUGridElementVariable_122(JNIEnv *env, jobject obj,jstring id0)
{
  vtkModelMetadata *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  temp20 = (op)->RemoveUGridElementVariable(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_AddUGridNodeVariable_123(JNIEnv *env, jobject obj,jstring id0,jstring id1,jint id2)
{
  vtkModelMetadata *op;
  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  temp20 = (op)->AddUGridNodeVariable(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_RemoveUGridNodeVariable_124(JNIEnv *env, jobject obj,jstring id0)
{
  vtkModelMetadata *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  temp20 = (op)->RemoveUGridNodeVariable(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_MergeModelMetadata_125(JNIEnv *env, jobject obj,jobject id0)
{
  vtkModelMetadata *op;
  vtkModelMetadata  *temp0;
  int      temp20;
  temp0 = (vtkModelMetadata *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkModelMetadata"));

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  temp20 = (op)->MergeModelMetadata(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_MergeGlobalInformation_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkModelMetadata *op;
  vtkModelMetadata  *temp0;
  int      temp20;
  temp0 = (vtkModelMetadata *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkModelMetadata"));

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  temp20 = (op)->MergeGlobalInformation(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkModelMetadata_ExtractModelMetadata_127(JNIEnv *env, jobject obj,jobject id0,jobject id1,jstring id2,jstring id3)
{
  vtkModelMetadata *op;
  vtkIntArray  *temp0;
  vtkDataSet  *temp1;
  char    *temp2;
  char    *temp3;
  vtkModelMetadata  *temp20;
  jobject tempH;
  temp0 = (vtkIntArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkIntArray"));
  temp1 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataSet"));
  temp2 = vtkJavaUTFToChar(env,id2);
  temp3 = vtkJavaUTFToChar(env,id3);

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  temp20 = (op)->ExtractModelMetadata(temp0,temp1,temp2,temp3);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkModelMetadata", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkModelMetadata_ExtractGlobalMetadata_128(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  vtkModelMetadata  *temp20;
  jobject tempH;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  temp20 = (op)->ExtractGlobalMetadata();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkModelMetadata", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_FreeAllGlobalData_129(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  op->FreeAllGlobalData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_FreeAllLocalData_130(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  op->FreeAllLocalData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_FreeBlockDependentData_131(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  op->FreeBlockDependentData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_FreeOriginalElementVariableNames_132(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  op->FreeOriginalElementVariableNames();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_FreeOriginalNodeVariableNames_133(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  op->FreeOriginalNodeVariableNames();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_FreeUsedElementVariableNames_134(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  op->FreeUsedElementVariableNames();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_FreeUsedNodeVariableNames_135(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  op->FreeUsedNodeVariableNames();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_FreeUsedElementVariables_136(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  op->FreeUsedElementVariables();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_FreeUsedNodeVariables_137(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  op->FreeUsedNodeVariables();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_Reset_138(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  op->Reset();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_GetBlockLocalIndex_139(JNIEnv *env, jobject obj,jint id0)
{
  vtkModelMetadata *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkModelMetadata");
  temp20 = (op)->GetBlockLocalIndex(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkModelMetadata_VTKInit(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *aNewOne = vtkModelMetadata::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkModelMetadata_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkModelMetadata_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkModelMetadata_Typecast);
}
