// java wrapper for vtkProgrammableAttributeDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProgrammableAttributeDataFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkProgrammableAttributeDataFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkProgrammableAttributeDataFilter",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProgrammableAttributeDataFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkProgrammableAttributeDataFilter *op;
  const char    *temp20;

  op = (vtkProgrammableAttributeDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProgrammableAttributeDataFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProgrammableAttributeDataFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProgrammableAttributeDataFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProgrammableAttributeDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProgrammableAttributeDataFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProgrammableAttributeDataFilter_AddInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProgrammableAttributeDataFilter *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkProgrammableAttributeDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProgrammableAttributeDataFilter");
  op->AddInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProgrammableAttributeDataFilter_RemoveInput_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProgrammableAttributeDataFilter *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkProgrammableAttributeDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProgrammableAttributeDataFilter");
  op->RemoveInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkProgrammableAttributeDataFilter_GetInputList_14(JNIEnv *env, jobject obj)
{
  vtkProgrammableAttributeDataFilter *op;
  vtkDataSetCollection  *temp20;
  jobject tempH;

  op = (vtkProgrammableAttributeDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProgrammableAttributeDataFilter");
  temp20 = (op)->GetInputList();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSetCollection", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProgrammableAttributeDataFilter_SetExecuteMethod_15(JNIEnv *env, jobject obj,jobject id0, jstring id1)
{
  vtkProgrammableAttributeDataFilter *op;
  vtkJavaVoidFuncArg *temp0 = new vtkJavaVoidFuncArg;
  env->GetJavaVM(&(temp0->vm));
  temp0->uobj = env->NewGlobalRef(id0);
  temp0->mid = env->GetMethodID(env->GetObjectClass(id0),vtkJavaUTFToChar(env,id1),"()V");

  op = (vtkProgrammableAttributeDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProgrammableAttributeDataFilter");
  op->SetExecuteMethod(vtkJavaVoidFunc,(void *)temp0);
  op->SetExecuteMethodArgDelete(vtkJavaVoidFuncArgDelete);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkProgrammableAttributeDataFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkProgrammableAttributeDataFilter *aNewOne = vtkProgrammableAttributeDataFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkProgrammableAttributeDataFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkProgrammableAttributeDataFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkProgrammableAttributeDataFilter_Typecast);
}
