// java wrapper for vtkSpatialRepresentationFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSpatialRepresentationFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataSource_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSpatialRepresentationFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSpatialRepresentationFilter",dType)) { return me; }
  if ((res= vtkPolyDataSource_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSpatialRepresentationFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSpatialRepresentationFilter *op;
  const char    *temp20;

  op = (vtkSpatialRepresentationFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSpatialRepresentationFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpatialRepresentationFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSpatialRepresentationFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSpatialRepresentationFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSpatialRepresentationFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpatialRepresentationFilter_SetSpatialRepresentation_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSpatialRepresentationFilter *op;
  vtkLocator  *temp0;
  temp0 = (vtkLocator *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkLocator"));

  op = (vtkSpatialRepresentationFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSpatialRepresentationFilter");
  op->SetSpatialRepresentation(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkSpatialRepresentationFilter_GetSpatialRepresentation_13(JNIEnv *env, jobject obj)
{
  vtkSpatialRepresentationFilter *op;
  vtkLocator  *temp20;
  jobject tempH;

  op = (vtkSpatialRepresentationFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSpatialRepresentationFilter");
  temp20 = (op)->GetSpatialRepresentation();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkLocator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpatialRepresentationFilter_GetLevel_14(JNIEnv *env, jobject obj)
{
  vtkSpatialRepresentationFilter *op;
  int      temp20;

  op = (vtkSpatialRepresentationFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSpatialRepresentationFilter");
  temp20 = (op)->GetLevel();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkSpatialRepresentationFilter_GetOutput_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkSpatialRepresentationFilter *op;
  int      temp0;
  vtkPolyData  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkSpatialRepresentationFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSpatialRepresentationFilter");
  temp20 = (op)->GetOutput(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPolyData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkSpatialRepresentationFilter_GetOutput_16(JNIEnv *env, jobject obj)
{
  vtkSpatialRepresentationFilter *op;
  vtkPolyData  *temp20;
  jobject tempH;

  op = (vtkSpatialRepresentationFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSpatialRepresentationFilter");
  temp20 = (op)->GetOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPolyData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpatialRepresentationFilter_ResetOutput_17(JNIEnv *env, jobject obj)
{
  vtkSpatialRepresentationFilter *op;

  op = (vtkSpatialRepresentationFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSpatialRepresentationFilter");
  op->ResetOutput();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpatialRepresentationFilter_SetInput_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSpatialRepresentationFilter *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkSpatialRepresentationFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSpatialRepresentationFilter");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkSpatialRepresentationFilter_GetInput_19(JNIEnv *env, jobject obj)
{
  vtkSpatialRepresentationFilter *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkSpatialRepresentationFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSpatialRepresentationFilter");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSpatialRepresentationFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkSpatialRepresentationFilter *aNewOne = vtkSpatialRepresentationFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSpatialRepresentationFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSpatialRepresentationFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSpatialRepresentationFilter_Typecast);
}
