// java wrapper for vtkStreamLine object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStreamLine.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkStreamer_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStreamLine_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStreamLine",dType)) { return me; }
  if ((res= vtkStreamer_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStreamLine_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkStreamLine *op;
  const char    *temp20;

  op = (vtkStreamLine *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamLine");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamLine_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStreamLine *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStreamLine *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamLine");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamLine_SetStepLength_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamLine *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamLine *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamLine");
  op->SetStepLength(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamLine_GetStepLengthMinValue_13(JNIEnv *env, jobject obj)
{
  vtkStreamLine *op;
  double   temp20;

  op = (vtkStreamLine *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamLine");
  temp20 = (op)->GetStepLengthMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamLine_GetStepLengthMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkStreamLine *op;
  double   temp20;

  op = (vtkStreamLine *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamLine");
  temp20 = (op)->GetStepLengthMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamLine_GetStepLength_15(JNIEnv *env, jobject obj)
{
  vtkStreamLine *op;
  double   temp20;

  op = (vtkStreamLine *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamLine");
  temp20 = (op)->GetStepLength();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkStreamLine_VTKInit(JNIEnv *env, jobject obj)
{
  vtkStreamLine *aNewOne = vtkStreamLine::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkStreamLine_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkStreamLine_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkStreamLine_Typecast);
}
