// java wrapper for vtkTensorGlyph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTensorGlyph.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTensorGlyph_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTensorGlyph",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTensorGlyph_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;
  const char    *temp20;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTensorGlyph_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTensorGlyph *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_SetSource_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTensorGlyph *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPolyData"));

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->SetSource(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkTensorGlyph_GetSource_13(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;
  vtkPolyData  *temp20;
  jobject tempH;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  temp20 = (op)->GetSource();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPolyData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_SetSourceConnection_14(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkTensorGlyph *op;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  temp0 = id0;
  temp1 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkAlgorithmOutput"));

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->SetSourceConnection(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_SetSourceConnection_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTensorGlyph *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAlgorithmOutput"));

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->SetSourceConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_SetScaling_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkTensorGlyph *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->SetScaling(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTensorGlyph_GetScaling_17(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;
  int      temp20;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  temp20 = (op)->GetScaling();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_ScalingOn_18(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->ScalingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_ScalingOff_19(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->ScalingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_SetScaleFactor_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTensorGlyph *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->SetScaleFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTensorGlyph_GetScaleFactor_111(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;
  double   temp20;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  temp20 = (op)->GetScaleFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_SetThreeGlyphs_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkTensorGlyph *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->SetThreeGlyphs(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTensorGlyph_GetThreeGlyphs_113(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;
  int      temp20;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  temp20 = (op)->GetThreeGlyphs();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_ThreeGlyphsOn_114(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->ThreeGlyphsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_ThreeGlyphsOff_115(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->ThreeGlyphsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_SetSymmetric_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkTensorGlyph *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->SetSymmetric(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTensorGlyph_GetSymmetric_117(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;
  int      temp20;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  temp20 = (op)->GetSymmetric();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_SymmetricOn_118(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->SymmetricOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_SymmetricOff_119(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->SymmetricOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_SetLength_120(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTensorGlyph *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->SetLength(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTensorGlyph_GetLength_121(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;
  double   temp20;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  temp20 = (op)->GetLength();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_SetExtractEigenvalues_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkTensorGlyph *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->SetExtractEigenvalues(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_ExtractEigenvaluesOn_123(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->ExtractEigenvaluesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_ExtractEigenvaluesOff_124(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->ExtractEigenvaluesOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTensorGlyph_GetExtractEigenvalues_125(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;
  int      temp20;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  temp20 = (op)->GetExtractEigenvalues();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_SetColorGlyphs_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkTensorGlyph *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->SetColorGlyphs(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTensorGlyph_GetColorGlyphs_127(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;
  int      temp20;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  temp20 = (op)->GetColorGlyphs();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_ColorGlyphsOn_128(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->ColorGlyphsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_ColorGlyphsOff_129(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->ColorGlyphsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_SetColorMode_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkTensorGlyph *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->SetColorMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTensorGlyph_GetColorModeMinValue_131(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;
  int      temp20;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  temp20 = (op)->GetColorModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTensorGlyph_GetColorModeMaxValue_132(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;
  int      temp20;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  temp20 = (op)->GetColorModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTensorGlyph_GetColorMode_133(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;
  int      temp20;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  temp20 = (op)->GetColorMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_SetColorModeToScalars_134(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->SetColorModeToScalars();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_SetColorModeToEigenvalues_135(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->SetColorModeToEigenvalues();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_SetClampScaling_136(JNIEnv *env, jobject obj,jint id0)
{
  vtkTensorGlyph *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->SetClampScaling(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTensorGlyph_GetClampScaling_137(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;
  int      temp20;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  temp20 = (op)->GetClampScaling();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_ClampScalingOn_138(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->ClampScalingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_ClampScalingOff_139(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->ClampScalingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorGlyph_SetMaxScaleFactor_140(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTensorGlyph *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  op->SetMaxScaleFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTensorGlyph_GetMaxScaleFactor_141(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *op;
  double   temp20;

  op = (vtkTensorGlyph *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTensorGlyph");
  temp20 = (op)->GetMaxScaleFactor();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTensorGlyph_VTKInit(JNIEnv *env, jobject obj)
{
  vtkTensorGlyph *aNewOne = vtkTensorGlyph::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTensorGlyph_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTensorGlyph_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTensorGlyph_Typecast);
}
