// java wrapper for vtkCubeAxesActor2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCubeAxesActor2D.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkActor2D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCubeAxesActor2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCubeAxesActor2D",dType)) { return me; }
  if ((res= vtkActor2D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCubeAxesActor2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  const char    *temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCubeAxesActor2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_RenderOverlay_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_RenderOpaqueGeometry_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_RenderTranslucentGeometry_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->RenderTranslucentGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetInput_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor2D *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCubeAxesActor2D_GetInput_16(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetViewProp_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor2D *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetViewProp(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCubeAxesActor2D_GetViewProp_18(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  vtkProp  *temp20;
  jobject tempH;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetViewProp();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProp", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetBounds_19(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkCubeAxesActor2D *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetBounds_110(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCubeAxesActor2D *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCubeAxesActor2D_GetBounds_111(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  double  *temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_GetBounds_112(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCubeAxesActor2D *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetRanges_113(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkCubeAxesActor2D *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetRanges(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetRanges_114(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCubeAxesActor2D *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetRanges(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCubeAxesActor2D_GetRanges_115(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  double  *temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetRanges();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_GetRanges_116(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCubeAxesActor2D *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->GetRanges(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetUseRanges_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetUseRanges(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetUseRanges_118(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetUseRanges();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_UseRangesOn_119(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->UseRangesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_UseRangesOff_120(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->UseRangesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetCamera_121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor2D *op;
  vtkCamera  *temp0;
  temp0 = (vtkCamera *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCamera"));

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetCamera(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCubeAxesActor2D_GetCamera_122(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  vtkCamera  *temp20;
  jobject tempH;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetCamera();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCamera", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetFlyMode_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetFlyMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetFlyModeMinValue_124(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetFlyModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetFlyModeMaxValue_125(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetFlyModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetFlyMode_126(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetFlyMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetFlyModeToOuterEdges_127(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetFlyModeToOuterEdges();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetFlyModeToClosestTriad_128(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetFlyModeToClosestTriad();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetScaling_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetScaling(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetScaling_130(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetScaling();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_ScalingOn_131(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->ScalingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_ScalingOff_132(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->ScalingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetNumberOfLabels_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetNumberOfLabels(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetNumberOfLabelsMinValue_134(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetNumberOfLabelsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetNumberOfLabelsMaxValue_135(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetNumberOfLabelsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetNumberOfLabels_136(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetNumberOfLabels();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetXLabel_137(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCubeAxesActor2D *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetXLabel(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCubeAxesActor2D_GetXLabel_138(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  char    *temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetXLabel();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetYLabel_139(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCubeAxesActor2D *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetYLabel(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCubeAxesActor2D_GetYLabel_140(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  char    *temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetYLabel();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetZLabel_141(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCubeAxesActor2D *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetZLabel(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCubeAxesActor2D_GetZLabel_142(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  char    *temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetZLabel();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCubeAxesActor2D_GetXAxisActor2D_143(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  vtkAxisActor2D  *temp20;
  jobject tempH;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetXAxisActor2D();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAxisActor2D", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCubeAxesActor2D_GetYAxisActor2D_144(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  vtkAxisActor2D  *temp20;
  jobject tempH;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetYAxisActor2D();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAxisActor2D", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCubeAxesActor2D_GetZAxisActor2D_145(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  vtkAxisActor2D  *temp20;
  jobject tempH;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetZAxisActor2D();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAxisActor2D", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetAxisTitleTextProperty_146(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor2D *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkTextProperty"));

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetAxisTitleTextProperty(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCubeAxesActor2D_GetAxisTitleTextProperty_147(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  vtkTextProperty  *temp20;
  jobject tempH;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetAxisTitleTextProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkTextProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetAxisLabelTextProperty_148(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor2D *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkTextProperty"));

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetAxisLabelTextProperty(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCubeAxesActor2D_GetAxisLabelTextProperty_149(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  vtkTextProperty  *temp20;
  jobject tempH;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetAxisLabelTextProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkTextProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetLabelFormat_150(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCubeAxesActor2D *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetLabelFormat(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCubeAxesActor2D_GetLabelFormat_151(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  char    *temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetLabelFormat();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetFontFactor_152(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCubeAxesActor2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetFontFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCubeAxesActor2D_GetFontFactorMinValue_153(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  double   temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetFontFactorMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCubeAxesActor2D_GetFontFactorMaxValue_154(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  double   temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetFontFactorMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCubeAxesActor2D_GetFontFactor_155(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  double   temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetFontFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetInertia_156(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetInertia(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetInertiaMinValue_157(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetInertiaMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetInertiaMaxValue_158(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetInertiaMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetInertia_159(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetInertia();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetShowActualBounds_160(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetShowActualBounds(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetShowActualBoundsMinValue_161(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetShowActualBoundsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetShowActualBoundsMaxValue_162(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetShowActualBoundsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetShowActualBounds_163(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetShowActualBounds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetCornerOffset_164(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCubeAxesActor2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetCornerOffset(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCubeAxesActor2D_GetCornerOffset_165(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  double   temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetCornerOffset();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_ReleaseGraphicsResources_166(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor2D *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkWindow"));

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetXAxisVisibility_167(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetXAxisVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetXAxisVisibility_168(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetXAxisVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_XAxisVisibilityOn_169(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->XAxisVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_XAxisVisibilityOff_170(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->XAxisVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetYAxisVisibility_171(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetYAxisVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetYAxisVisibility_172(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetYAxisVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_YAxisVisibilityOn_173(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->YAxisVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_YAxisVisibilityOff_174(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->YAxisVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetZAxisVisibility_175(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetZAxisVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetZAxisVisibility_176(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetZAxisVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_ZAxisVisibilityOn_177(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->ZAxisVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_ZAxisVisibilityOff_178(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->ZAxisVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_ShallowCopy_179(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor2D *op;
  vtkCubeAxesActor2D  *temp0;
  temp0 = (vtkCubeAxesActor2D *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCubeAxesActor2D"));

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->ShallowCopy(temp0);
}

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetProp_180(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor2D *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  op->SetProp(temp0);
}
#endif

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCubeAxesActor2D_GetProp_181(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  vtkProp  *temp20;
  jobject tempH;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCubeAxesActor2D");
  temp20 = (op)->GetProp();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProp", (void *)temp20);
      }
    }
  return tempH;
}
#endif

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCubeAxesActor2D_VTKInit(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *aNewOne = vtkCubeAxesActor2D::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCubeAxesActor2D_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCubeAxesActor2D_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCubeAxesActor2D_Typecast);
}
