// java wrapper for vtkDepthSortPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDepthSortPolyData.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDepthSortPolyData_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDepthSortPolyData",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDepthSortPolyData_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDepthSortPolyData *op;
  const char    *temp20;

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDepthSortPolyData_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDepthSortPolyData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDepthSortPolyData_SetDirection_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkDepthSortPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  op->SetDirection(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDepthSortPolyData_GetDirection_13(JNIEnv *env, jobject obj)
{
  vtkDepthSortPolyData *op;
  int      temp20;

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  temp20 = (op)->GetDirection();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDepthSortPolyData_SetDirectionToFrontToBack_14(JNIEnv *env, jobject obj)
{
  vtkDepthSortPolyData *op;

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  op->SetDirectionToFrontToBack();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDepthSortPolyData_SetDirectionToBackToFront_15(JNIEnv *env, jobject obj)
{
  vtkDepthSortPolyData *op;

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  op->SetDirectionToBackToFront();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDepthSortPolyData_SetDirectionToSpecifiedVector_16(JNIEnv *env, jobject obj)
{
  vtkDepthSortPolyData *op;

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  op->SetDirectionToSpecifiedVector();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDepthSortPolyData_SetDepthSortMode_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkDepthSortPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  op->SetDepthSortMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDepthSortPolyData_GetDepthSortMode_18(JNIEnv *env, jobject obj)
{
  vtkDepthSortPolyData *op;
  int      temp20;

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  temp20 = (op)->GetDepthSortMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDepthSortPolyData_SetDepthSortModeToFirstPoint_19(JNIEnv *env, jobject obj)
{
  vtkDepthSortPolyData *op;

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  op->SetDepthSortModeToFirstPoint();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDepthSortPolyData_SetDepthSortModeToBoundsCenter_110(JNIEnv *env, jobject obj)
{
  vtkDepthSortPolyData *op;

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  op->SetDepthSortModeToBoundsCenter();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDepthSortPolyData_SetDepthSortModeToParametricCenter_111(JNIEnv *env, jobject obj)
{
  vtkDepthSortPolyData *op;

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  op->SetDepthSortModeToParametricCenter();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDepthSortPolyData_SetCamera_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDepthSortPolyData *op;
  vtkCamera  *temp0;
  temp0 = (vtkCamera *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCamera"));

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  op->SetCamera(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDepthSortPolyData_GetCamera_113(JNIEnv *env, jobject obj)
{
  vtkDepthSortPolyData *op;
  vtkCamera  *temp20;
  jobject tempH;

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  temp20 = (op)->GetCamera();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCamera", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDepthSortPolyData_SetProp3D_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDepthSortPolyData *op;
  vtkProp3D  *temp0;
  temp0 = (vtkProp3D *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp3D"));

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  op->SetProp3D(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDepthSortPolyData_GetProp3D_115(JNIEnv *env, jobject obj)
{
  vtkDepthSortPolyData *op;
  vtkProp3D  *temp20;
  jobject tempH;

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  temp20 = (op)->GetProp3D();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProp3D", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDepthSortPolyData_SetVector_116(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkDepthSortPolyData *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  op->SetVector(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDepthSortPolyData_SetVector_117(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDepthSortPolyData *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  op->SetVector(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDepthSortPolyData_GetVector_118(JNIEnv *env, jobject obj)
{
  vtkDepthSortPolyData *op;
  double  *temp20;

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  temp20 = (op)->GetVector();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDepthSortPolyData_SetOrigin_119(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkDepthSortPolyData *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  op->SetOrigin(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDepthSortPolyData_SetOrigin_120(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDepthSortPolyData *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  op->SetOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDepthSortPolyData_GetOrigin_121(JNIEnv *env, jobject obj)
{
  vtkDepthSortPolyData *op;
  double  *temp20;

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  temp20 = (op)->GetOrigin();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDepthSortPolyData_SetSortScalars_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkDepthSortPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  op->SetSortScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDepthSortPolyData_GetSortScalars_123(JNIEnv *env, jobject obj)
{
  vtkDepthSortPolyData *op;
  int      temp20;

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  temp20 = (op)->GetSortScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDepthSortPolyData_SortScalarsOn_124(JNIEnv *env, jobject obj)
{
  vtkDepthSortPolyData *op;

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  op->SortScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDepthSortPolyData_SortScalarsOff_125(JNIEnv *env, jobject obj)
{
  vtkDepthSortPolyData *op;

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  op->SortScalarsOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDepthSortPolyData_GetMTime_126(JNIEnv *env, jobject obj)
{
  vtkDepthSortPolyData *op;
   unsigned long     temp20;

  op = (vtkDepthSortPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDepthSortPolyData");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDepthSortPolyData_VTKInit(JNIEnv *env, jobject obj)
{
  vtkDepthSortPolyData *aNewOne = vtkDepthSortPolyData::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDepthSortPolyData_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDepthSortPolyData_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDepthSortPolyData_Typecast);
}
