// java wrapper for vtkXYPlotActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXYPlotActor.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkActor2D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXYPlotActor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXYPlotActor",dType)) { return me; }
  if ((res= vtkActor2D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXYPlotActor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  const char    *temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXYPlotActor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_AddInput_12(JNIEnv *env, jobject obj,jobject id0,jstring id1,jint id2)
{
  vtkXYPlotActor *op;
  vtkDataSet  *temp0;
  char    *temp1;
  int      temp2;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->AddInput(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_AddInput_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXYPlotActor *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->AddInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_RemoveInput_14(JNIEnv *env, jobject obj,jobject id0,jstring id1,jint id2)
{
  vtkXYPlotActor *op;
  vtkDataSet  *temp0;
  char    *temp1;
  int      temp2;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->RemoveInput(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_RemoveInput_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXYPlotActor *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->RemoveInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_RemoveAllInputs_16(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->RemoveAllInputs();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXYPlotActor_GetInputList_17(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  vtkDataSetCollection  *temp20;
  jobject tempH;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetInputList();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSetCollection", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetPointComponent_18(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkXYPlotActor *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetPointComponent(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetPointComponent_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkXYPlotActor *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetPointComponent(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetXValues_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkXYPlotActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetXValues(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetXValuesMinValue_111(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  int      temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetXValuesMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetXValuesMaxValue_112(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  int      temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetXValuesMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetXValues_113(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  int      temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetXValues();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetXValuesToIndex_114(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetXValuesToIndex();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetXValuesToArcLength_115(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetXValuesToArcLength();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetXValuesToNormalizedArcLength_116(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetXValuesToNormalizedArcLength();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetXValuesToValue_117(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetXValuesToValue();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXYPlotActor_GetXValuesAsString_118(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  const char    *temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetXValuesAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_AddDataObjectInput_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXYPlotActor *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->AddDataObjectInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_RemoveDataObjectInput_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXYPlotActor *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->RemoveDataObjectInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXYPlotActor_GetDataObjectInputList_121(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  vtkDataObjectCollection  *temp20;
  jobject tempH;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetDataObjectInputList();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataObjectCollection", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetDataObjectPlotMode_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkXYPlotActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetDataObjectPlotMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetDataObjectPlotModeMinValue_123(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  int      temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetDataObjectPlotModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetDataObjectPlotModeMaxValue_124(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  int      temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetDataObjectPlotModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetDataObjectPlotMode_125(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  int      temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetDataObjectPlotMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetDataObjectPlotModeToRows_126(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetDataObjectPlotModeToRows();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetDataObjectPlotModeToColumns_127(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetDataObjectPlotModeToColumns();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXYPlotActor_GetDataObjectPlotModeAsString_128(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  const char    *temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetDataObjectPlotModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetDataObjectXComponent_129(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkXYPlotActor *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetDataObjectXComponent(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetDataObjectXComponent_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkXYPlotActor *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetDataObjectXComponent(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetDataObjectYComponent_131(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkXYPlotActor *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetDataObjectYComponent(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetDataObjectYComponent_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkXYPlotActor *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetDataObjectYComponent(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetPlotColor_133(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkXYPlotActor *op;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetPlotColor(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetPlotColor_134(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkXYPlotActor *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetPlotColor(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkXYPlotActor_GetPlotColor_135(JNIEnv *env, jobject obj,jint id0)
{
  vtkXYPlotActor *op;
  int      temp0;
  double  *temp20;
  temp0 = id0;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetPlotColor(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetPlotSymbol_136(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkXYPlotActor *op;
  int      temp0;
  vtkPolyData  *temp1;
  temp0 = id0;
  temp1 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkPolyData"));

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetPlotSymbol(temp0,temp1);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXYPlotActor_GetPlotSymbol_137(JNIEnv *env, jobject obj,jint id0)
{
  vtkXYPlotActor *op;
  int      temp0;
  vtkPolyData  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetPlotSymbol(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPolyData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetPlotLabel_138(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkXYPlotActor *op;
  int      temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetPlotLabel(temp0,temp1);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXYPlotActor_GetPlotLabel_139(JNIEnv *env, jobject obj,jint id0)
{
  vtkXYPlotActor *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetPlotLabel(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetPlotCurvePoints_140(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  int      temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetPlotCurvePoints();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetPlotCurvePoints_141(JNIEnv *env, jobject obj,jint id0)
{
  vtkXYPlotActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetPlotCurvePoints(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_PlotCurvePointsOn_142(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->PlotCurvePointsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_PlotCurvePointsOff_143(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->PlotCurvePointsOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetPlotCurveLines_144(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  int      temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetPlotCurveLines();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetPlotCurveLines_145(JNIEnv *env, jobject obj,jint id0)
{
  vtkXYPlotActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetPlotCurveLines(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_PlotCurveLinesOn_146(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->PlotCurveLinesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_PlotCurveLinesOff_147(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->PlotCurveLinesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetPlotLines_148(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkXYPlotActor *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetPlotLines(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetPlotLines_149(JNIEnv *env, jobject obj,jint id0)
{
  vtkXYPlotActor *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetPlotLines(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetPlotPoints_150(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkXYPlotActor *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetPlotPoints(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetPlotPoints_151(JNIEnv *env, jobject obj,jint id0)
{
  vtkXYPlotActor *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetPlotPoints(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetExchangeAxes_152(JNIEnv *env, jobject obj,jint id0)
{
  vtkXYPlotActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetExchangeAxes(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetExchangeAxes_153(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  int      temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetExchangeAxes();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_ExchangeAxesOn_154(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->ExchangeAxesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_ExchangeAxesOff_155(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->ExchangeAxesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetReverseXAxis_156(JNIEnv *env, jobject obj,jint id0)
{
  vtkXYPlotActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetReverseXAxis(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetReverseXAxis_157(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  int      temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetReverseXAxis();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_ReverseXAxisOn_158(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->ReverseXAxisOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_ReverseXAxisOff_159(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->ReverseXAxisOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetReverseYAxis_160(JNIEnv *env, jobject obj,jint id0)
{
  vtkXYPlotActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetReverseYAxis(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetReverseYAxis_161(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  int      temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetReverseYAxis();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_ReverseYAxisOn_162(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->ReverseYAxisOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_ReverseYAxisOff_163(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->ReverseYAxisOff();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXYPlotActor_GetLegendActor_164(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  vtkLegendBoxActor  *temp20;
  jobject tempH;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetLegendActor();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkLegendBoxActor", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXYPlotActor_GetGlyphSource_165(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  vtkGlyphSource2D  *temp20;
  jobject tempH;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetGlyphSource();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkGlyphSource2D", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetTitle_166(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXYPlotActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetTitle(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXYPlotActor_GetTitle_167(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  char    *temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetTitle();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetXTitle_168(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXYPlotActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetXTitle(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXYPlotActor_GetXTitle_169(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  char    *temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetXTitle();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetYTitle_170(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXYPlotActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetYTitle(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXYPlotActor_GetYTitle_171(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  char    *temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetYTitle();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXYPlotActor_GetXAxisActor2D_172(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  vtkAxisActor2D  *temp20;
  jobject tempH;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetXAxisActor2D();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAxisActor2D", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXYPlotActor_GetYAxisActor2D_173(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  vtkAxisActor2D  *temp20;
  jobject tempH;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetYAxisActor2D();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAxisActor2D", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetXRange_174(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkXYPlotActor *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetXRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetXRange_175(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkXYPlotActor *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetXRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkXYPlotActor_GetXRange_176(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  double  *temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetXRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetYRange_177(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkXYPlotActor *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetYRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetYRange_178(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkXYPlotActor *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetYRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkXYPlotActor_GetYRange_179(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  double  *temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetYRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetPlotRange_180(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkXYPlotActor *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetPlotRange(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetNumberOfXLabels_181(JNIEnv *env, jobject obj,jint id0)
{
  vtkXYPlotActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetNumberOfXLabels(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetNumberOfXLabelsMinValue_182(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  int      temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetNumberOfXLabelsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetNumberOfXLabelsMaxValue_183(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  int      temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetNumberOfXLabelsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetNumberOfXLabels_184(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  int      temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetNumberOfXLabels();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetNumberOfYLabels_185(JNIEnv *env, jobject obj,jint id0)
{
  vtkXYPlotActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetNumberOfYLabels(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetNumberOfYLabelsMinValue_186(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  int      temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetNumberOfYLabelsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetNumberOfYLabelsMaxValue_187(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  int      temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetNumberOfYLabelsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetNumberOfYLabels_188(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  int      temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetNumberOfYLabels();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetNumberOfLabels_189(JNIEnv *env, jobject obj,jint id0)
{
  vtkXYPlotActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetNumberOfLabels(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetLegend_190(JNIEnv *env, jobject obj,jint id0)
{
  vtkXYPlotActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetLegend(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetLegend_191(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  int      temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetLegend();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_LegendOn_192(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->LegendOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_LegendOff_193(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->LegendOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetLegendPosition_194(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkXYPlotActor *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetLegendPosition(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetLegendPosition_195(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkXYPlotActor *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetLegendPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkXYPlotActor_GetLegendPosition_196(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  double  *temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetLegendPosition();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetLegendPosition2_197(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkXYPlotActor *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetLegendPosition2(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetLegendPosition2_198(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkXYPlotActor *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetLegendPosition2(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkXYPlotActor_GetLegendPosition2_199(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  double  *temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetLegendPosition2();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetTitleTextProperty_1100(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXYPlotActor *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkTextProperty"));

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetTitleTextProperty(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXYPlotActor_GetTitleTextProperty_1101(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  vtkTextProperty  *temp20;
  jobject tempH;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetTitleTextProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkTextProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetAxisTitleTextProperty_1102(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXYPlotActor *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkTextProperty"));

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetAxisTitleTextProperty(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXYPlotActor_GetAxisTitleTextProperty_1103(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  vtkTextProperty  *temp20;
  jobject tempH;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetAxisTitleTextProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkTextProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetAxisLabelTextProperty_1104(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXYPlotActor *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkTextProperty"));

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetAxisLabelTextProperty(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXYPlotActor_GetAxisLabelTextProperty_1105(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  vtkTextProperty  *temp20;
  jobject tempH;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetAxisLabelTextProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkTextProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetLogx_1106(JNIEnv *env, jobject obj,jint id0)
{
  vtkXYPlotActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetLogx(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetLogx_1107(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  int      temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetLogx();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_LogxOn_1108(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->LogxOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_LogxOff_1109(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->LogxOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetLabelFormat_1110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXYPlotActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetLabelFormat(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXYPlotActor_GetLabelFormat_1111(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  char    *temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetLabelFormat();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetBorder_1112(JNIEnv *env, jobject obj,jint id0)
{
  vtkXYPlotActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetBorder(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetBorderMinValue_1113(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  int      temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetBorderMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetBorderMaxValue_1114(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  int      temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetBorderMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetBorder_1115(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  int      temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetBorder();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetPlotPoints_1116(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  int      temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetPlotPoints();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetPlotPoints_1117(JNIEnv *env, jobject obj,jint id0)
{
  vtkXYPlotActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetPlotPoints(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_PlotPointsOn_1118(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->PlotPointsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_PlotPointsOff_1119(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->PlotPointsOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetPlotLines_1120(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  int      temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetPlotLines();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetPlotLines_1121(JNIEnv *env, jobject obj,jint id0)
{
  vtkXYPlotActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetPlotLines(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_PlotLinesOn_1122(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->PlotLinesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_PlotLinesOff_1123(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->PlotLinesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetGlyphSize_1124(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkXYPlotActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetGlyphSize(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkXYPlotActor_GetGlyphSizeMinValue_1125(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  double   temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetGlyphSizeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkXYPlotActor_GetGlyphSizeMaxValue_1126(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  double   temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetGlyphSizeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkXYPlotActor_GetGlyphSize_1127(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  double   temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetGlyphSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_ViewportToPlotCoordinate_1128(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXYPlotActor *op;
  vtkViewport  *temp0;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->ViewportToPlotCoordinate(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetPlotCoordinate_1129(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkXYPlotActor *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetPlotCoordinate(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetPlotCoordinate_1130(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkXYPlotActor *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetPlotCoordinate(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkXYPlotActor_GetPlotCoordinate_1131(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  double  *temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetPlotCoordinate();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_PlotToViewportCoordinate_1132(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXYPlotActor *op;
  vtkViewport  *temp0;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->PlotToViewportCoordinate(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetViewportCoordinate_1133(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkXYPlotActor *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetViewportCoordinate(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotActor_SetViewportCoordinate_1134(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkXYPlotActor *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  op->SetViewportCoordinate(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkXYPlotActor_GetViewportCoordinate_1135(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
  double  *temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetViewportCoordinate();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_IsInPlot_1136(JNIEnv *env, jobject obj,jobject id0,jdouble id1,jdouble id2)
{
  vtkXYPlotActor *op;
  vtkViewport  *temp0;
  double   temp1;
  double   temp2;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));
  temp1 = id1;
  temp2 = id2;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->IsInPlot(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotActor_GetMTime_1137(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *op;
   unsigned long     temp20;

  op = (vtkXYPlotActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotActor");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXYPlotActor_VTKInit(JNIEnv *env, jobject obj)
{
  vtkXYPlotActor *aNewOne = vtkXYPlotActor::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXYPlotActor_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXYPlotActor_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXYPlotActor_Typecast);
}
