// java wrapper for vtkDataObjectWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataObjectWriter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataObjectWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataObjectWriter",dType)) { return me; }
  if ((res= vtkWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataObjectWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataObjectWriter *op;
  const char    *temp20;

  op = (vtkDataObjectWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObjectWriter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataObjectWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataObjectWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObjectWriter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectWriter_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataObjectWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataObjectWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObjectWriter");
  op->SetFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataObjectWriter_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkDataObjectWriter *op;
  char    *temp20;

  op = (vtkDataObjectWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObjectWriter");
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectWriter_SetHeader_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataObjectWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataObjectWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObjectWriter");
  op->SetHeader(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataObjectWriter_GetHeader_15(JNIEnv *env, jobject obj)
{
  vtkDataObjectWriter *op;
  char    *temp20;

  op = (vtkDataObjectWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObjectWriter");
  temp20 = (op)->GetHeader();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectWriter_SetFileType_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObjectWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataObjectWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObjectWriter");
  op->SetFileType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectWriter_GetFileType_17(JNIEnv *env, jobject obj)
{
  vtkDataObjectWriter *op;
  int      temp20;

  op = (vtkDataObjectWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObjectWriter");
  temp20 = (op)->GetFileType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectWriter_SetFileTypeToASCII_18(JNIEnv *env, jobject obj)
{
  vtkDataObjectWriter *op;

  op = (vtkDataObjectWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObjectWriter");
  op->SetFileTypeToASCII();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectWriter_SetFileTypeToBinary_19(JNIEnv *env, jobject obj)
{
  vtkDataObjectWriter *op;

  op = (vtkDataObjectWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObjectWriter");
  op->SetFileTypeToBinary();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectWriter_SetFieldDataName_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataObjectWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataObjectWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObjectWriter");
  op->SetFieldDataName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataObjectWriter_GetFieldDataName_111(JNIEnv *env, jobject obj)
{
  vtkDataObjectWriter *op;
  char    *temp20;

  op = (vtkDataObjectWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObjectWriter");
  temp20 = (op)->GetFieldDataName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataObjectWriter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkDataObjectWriter *aNewOne = vtkDataObjectWriter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataObjectWriter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataObjectWriter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataObjectWriter_Typecast);
}
