// java wrapper for vtkEnSightGoldBinaryReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkEnSightGoldBinaryReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkEnSightReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkEnSightGoldBinaryReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkEnSightGoldBinaryReader",dType)) { return me; }
  if ((res= vtkEnSightReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkEnSightGoldBinaryReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkEnSightGoldBinaryReader *op;
  const char    *temp20;

  op = (vtkEnSightGoldBinaryReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightGoldBinaryReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEnSightGoldBinaryReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkEnSightGoldBinaryReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkEnSightGoldBinaryReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightGoldBinaryReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkEnSightGoldBinaryReader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkEnSightGoldBinaryReader *aNewOne = vtkEnSightGoldBinaryReader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkEnSightGoldBinaryReader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkEnSightGoldBinaryReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkEnSightGoldBinaryReader_Typecast);
}
