// java wrapper for vtkEnSightReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkEnSightReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkGenericEnSightReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkEnSightReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkEnSightReader",dType)) { return me; }
  if ((res= vtkGenericEnSightReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkEnSightReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkEnSightReader *op;
  const char    *temp20;

  op = (vtkEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEnSightReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkEnSightReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEnSightReader_Update_12(JNIEnv *env, jobject obj)
{
  vtkEnSightReader *op;

  op = (vtkEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightReader");
  op->Update();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEnSightReader_ExecuteInformation_13(JNIEnv *env, jobject obj)
{
  vtkEnSightReader *op;

  op = (vtkEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightReader");
  op->ExecuteInformation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEnSightReader_ReplaceNthOutput_14(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkEnSightReader *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataObject"));

  op = (vtkEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightReader");
  op->ReplaceNthOutput(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEnSightReader_GetOutputsAreValid_15(JNIEnv *env, jobject obj)
{
  vtkEnSightReader *op;
  int      temp20;

  op = (vtkEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightReader");
  temp20 = (op)->GetOutputsAreValid();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkEnSightReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkEnSightReader_Typecast);
}
