// java wrapper for vtkGESignaReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGESignaReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkMedicalImageReader2_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGESignaReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGESignaReader",dType)) { return me; }
  if ((res= vtkMedicalImageReader2_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGESignaReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGESignaReader *op;
  const char    *temp20;

  op = (vtkGESignaReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGESignaReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGESignaReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGESignaReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGESignaReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGESignaReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGESignaReader_CanReadFile_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGESignaReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGESignaReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGESignaReader");
  temp20 = (op)->CanReadFile(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGESignaReader_GetFileExtensions_13(JNIEnv *env, jobject obj)
{
  vtkGESignaReader *op;
  const char    *temp20;

  op = (vtkGESignaReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGESignaReader");
  temp20 = (op)->GetFileExtensions();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGESignaReader_GetDescriptiveName_14(JNIEnv *env, jobject obj)
{
  vtkGESignaReader *op;
  const char    *temp20;

  op = (vtkGESignaReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGESignaReader");
  temp20 = (op)->GetDescriptiveName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGESignaReader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkGESignaReader *aNewOne = vtkGESignaReader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGESignaReader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGESignaReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGESignaReader_Typecast);
}
