// java wrapper for vtkIVWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkIVWriter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkIVWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkIVWriter",dType)) { return me; }
  if ((res= vtkPolyDataWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkIVWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkIVWriter *op;
  const char    *temp20;

  op = (vtkIVWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIVWriter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIVWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkIVWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkIVWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIVWriter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkIVWriter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkIVWriter *aNewOne = vtkIVWriter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkIVWriter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkIVWriter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkIVWriter_Typecast);
}
