// java wrapper for vtkUGFacetReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUGFacetReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUGFacetReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUGFacetReader",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUGFacetReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUGFacetReader *op;
  const char    *temp20;

  op = (vtkUGFacetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUGFacetReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUGFacetReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUGFacetReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUGFacetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUGFacetReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUGFacetReader_GetMTime_12(JNIEnv *env, jobject obj)
{
  vtkUGFacetReader *op;
   unsigned long     temp20;

  op = (vtkUGFacetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUGFacetReader");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUGFacetReader_SetFileName_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUGFacetReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUGFacetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUGFacetReader");
  op->SetFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUGFacetReader_GetFileName_14(JNIEnv *env, jobject obj)
{
  vtkUGFacetReader *op;
  char    *temp20;

  op = (vtkUGFacetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUGFacetReader");
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUGFacetReader_GetNumberOfParts_15(JNIEnv *env, jobject obj)
{
  vtkUGFacetReader *op;
  int      temp20;

  op = (vtkUGFacetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUGFacetReader");
  temp20 = (op)->GetNumberOfParts();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUGFacetReader_GetPartColorIndex_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkUGFacetReader *op;
  int      temp0;
  short    temp20;
  temp0 = id0;

  op = (vtkUGFacetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUGFacetReader");
  temp20 = (op)->GetPartColorIndex(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUGFacetReader_SetPartNumber_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkUGFacetReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUGFacetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUGFacetReader");
  op->SetPartNumber(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUGFacetReader_GetPartNumber_18(JNIEnv *env, jobject obj)
{
  vtkUGFacetReader *op;
  int      temp20;

  op = (vtkUGFacetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUGFacetReader");
  temp20 = (op)->GetPartNumber();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUGFacetReader_SetMerging_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkUGFacetReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUGFacetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUGFacetReader");
  op->SetMerging(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUGFacetReader_GetMerging_110(JNIEnv *env, jobject obj)
{
  vtkUGFacetReader *op;
  int      temp20;

  op = (vtkUGFacetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUGFacetReader");
  temp20 = (op)->GetMerging();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUGFacetReader_MergingOn_111(JNIEnv *env, jobject obj)
{
  vtkUGFacetReader *op;

  op = (vtkUGFacetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUGFacetReader");
  op->MergingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUGFacetReader_MergingOff_112(JNIEnv *env, jobject obj)
{
  vtkUGFacetReader *op;

  op = (vtkUGFacetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUGFacetReader");
  op->MergingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUGFacetReader_SetLocator_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUGFacetReader *op;
  vtkPointLocator  *temp0;
  temp0 = (vtkPointLocator *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPointLocator"));

  op = (vtkUGFacetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUGFacetReader");
  op->SetLocator(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkUGFacetReader_GetLocator_114(JNIEnv *env, jobject obj)
{
  vtkUGFacetReader *op;
  vtkPointLocator  *temp20;
  jobject tempH;

  op = (vtkUGFacetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUGFacetReader");
  temp20 = (op)->GetLocator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPointLocator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUGFacetReader_CreateDefaultLocator_115(JNIEnv *env, jobject obj)
{
  vtkUGFacetReader *op;

  op = (vtkUGFacetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUGFacetReader");
  op->CreateDefaultLocator();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkUGFacetReader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkUGFacetReader *aNewOne = vtkUGFacetReader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkUGFacetReader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkUGFacetReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkUGFacetReader_Typecast);
}
