// java wrapper for vtkWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkWriter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkWriter",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkWriter *op;
  const char    *temp20;

  op = (vtkWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkWriter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkWriter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWriter_Write_12(JNIEnv *env, jobject obj)
{
  vtkWriter *op;
  int      temp20;

  op = (vtkWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkWriter");
  temp20 = (op)->Write();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWriter_EncodeArrayName_13(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkWriter *op;
  char    *temp0;
  char    *temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkWriter");
  op->EncodeArrayName(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWriter_SetInput_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkWriter *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkWriter");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWriter_SetInput_15(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkWriter *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataObject"));

  op = (vtkWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkWriter");
  op->SetInput(temp0,temp1);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkWriter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkWriter_Typecast);
}
