// java wrapper for vtkXMLImageDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLImageDataReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkXMLStructuredDataReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLImageDataReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLImageDataReader",dType)) { return me; }
  if ((res= vtkXMLStructuredDataReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLImageDataReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLImageDataReader *op;
  const char    *temp20;

  op = (vtkXMLImageDataReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLImageDataReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLImageDataReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLImageDataReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLImageDataReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLImageDataReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLImageDataReader_SetOutput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXMLImageDataReader *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkImageData"));

  op = (vtkXMLImageDataReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLImageDataReader");
  op->SetOutput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXMLImageDataReader_GetOutput_13(JNIEnv *env, jobject obj)
{
  vtkXMLImageDataReader *op;
  vtkImageData  *temp20;
  jobject tempH;

  op = (vtkXMLImageDataReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLImageDataReader");
  temp20 = (op)->GetOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXMLImageDataReader_GetOutput_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLImageDataReader *op;
  int      temp0;
  vtkImageData  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkXMLImageDataReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLImageDataReader");
  temp20 = (op)->GetOutput(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLImageDataReader_CopyOutputInformation_15(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkXMLImageDataReader *op;
  vtkInformation  *temp0;
  int      temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = id1;

  op = (vtkXMLImageDataReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLImageDataReader");
  op->CopyOutputInformation(temp0,temp1);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLImageDataReader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkXMLImageDataReader *aNewOne = vtkXMLImageDataReader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLImageDataReader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLImageDataReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLImageDataReader_Typecast);
}
