// java wrapper for vtkXMLPImageDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLPImageDataWriter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkXMLPStructuredDataWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLPImageDataWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLPImageDataWriter",dType)) { return me; }
  if ((res= vtkXMLPStructuredDataWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLPImageDataWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLPImageDataWriter *op;
  const char    *temp20;

  op = (vtkXMLPImageDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPImageDataWriter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLPImageDataWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLPImageDataWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLPImageDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPImageDataWriter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLPImageDataWriter_GetDefaultFileExtension_12(JNIEnv *env, jobject obj)
{
  vtkXMLPImageDataWriter *op;
  const char    *temp20;

  op = (vtkXMLPImageDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPImageDataWriter");
  temp20 = (op)->GetDefaultFileExtension();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLPImageDataWriter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkXMLPImageDataWriter *aNewOne = vtkXMLPImageDataWriter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLPImageDataWriter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLPImageDataWriter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLPImageDataWriter_Typecast);
}
