// java wrapper for vtkXMLPStructuredDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLPStructuredDataReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkXMLPDataReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLPStructuredDataReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLPStructuredDataReader",dType)) { return me; }
  if ((res= vtkXMLPDataReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLPStructuredDataReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLPStructuredDataReader *op;
  const char    *temp20;

  op = (vtkXMLPStructuredDataReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPStructuredDataReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLPStructuredDataReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLPStructuredDataReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLPStructuredDataReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPStructuredDataReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXMLPStructuredDataReader_GetExtentTranslator_12(JNIEnv *env, jobject obj)
{
  vtkXMLPStructuredDataReader *op;
  vtkExtentTranslator  *temp20;
  jobject tempH;

  op = (vtkXMLPStructuredDataReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPStructuredDataReader");
  temp20 = (op)->GetExtentTranslator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkExtentTranslator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLPStructuredDataReader_CopyOutputInformation_13(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkXMLPStructuredDataReader *op;
  vtkInformation  *temp0;
  int      temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = id1;

  op = (vtkXMLPStructuredDataReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPStructuredDataReader");
  op->CopyOutputInformation(temp0,temp1);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLPStructuredDataReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLPStructuredDataReader_Typecast);
}
