// java wrapper for vtkXMLParser object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLParser.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLParser_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLParser",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLParser_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLParser *op;
  const char    *temp20;

  op = (vtkXMLParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLParser");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLParser_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLParser *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLParser");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLParser_TellG_12(JNIEnv *env, jobject obj)
{
  vtkXMLParser *op;
  long     temp20;

  op = (vtkXMLParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLParser");
  temp20 = (op)->TellG();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLParser_SeekG_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLParser *op;
  long     temp0;
  temp0 = id0;

  op = (vtkXMLParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLParser");
  op->SeekG(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLParser_Parse_14(JNIEnv *env, jobject obj)
{
  vtkXMLParser *op;
  int      temp20;

  op = (vtkXMLParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLParser");
  temp20 = (op)->Parse();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLParser_Parse_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLParser *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLParser");
  temp20 = (op)->Parse(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLParser_Parse_16(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkXMLParser *op;
  char    *temp0;
   unsigned int      temp1;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkXMLParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLParser");
  temp20 = (op)->Parse(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLParser_InitializeParser_17(JNIEnv *env, jobject obj)
{
  vtkXMLParser *op;
  int      temp20;

  op = (vtkXMLParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLParser");
  temp20 = (op)->InitializeParser();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLParser_ParseChunk_18(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkXMLParser *op;
  char    *temp0;
   unsigned int      temp1;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkXMLParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLParser");
  temp20 = (op)->ParseChunk(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLParser_CleanupParser_19(JNIEnv *env, jobject obj)
{
  vtkXMLParser *op;
  int      temp20;

  op = (vtkXMLParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLParser");
  temp20 = (op)->CleanupParser();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLParser_SetFileName_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLParser *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLParser");
  op->SetFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLParser_GetFileName_111(JNIEnv *env, jobject obj)
{
  vtkXMLParser *op;
  char    *temp20;

  op = (vtkXMLParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLParser");
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLParser_VTKInit(JNIEnv *env, jobject obj)
{
  vtkXMLParser *aNewOne = vtkXMLParser::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLParser_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLParser_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLParser_Typecast);
}
