// java wrapper for vtkImageGradient object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageGradient.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageGradient_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageGradient",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageGradient_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageGradient *op;
  const char    *temp20;

  op = (vtkImageGradient *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageGradient");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageGradient_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageGradient *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageGradient *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageGradient");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageGradient_SetDimensionality_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageGradient *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageGradient *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageGradient");
  op->SetDimensionality(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageGradient_GetDimensionalityMinValue_13(JNIEnv *env, jobject obj)
{
  vtkImageGradient *op;
  int      temp20;

  op = (vtkImageGradient *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageGradient");
  temp20 = (op)->GetDimensionalityMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageGradient_GetDimensionalityMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkImageGradient *op;
  int      temp20;

  op = (vtkImageGradient *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageGradient");
  temp20 = (op)->GetDimensionalityMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageGradient_GetDimensionality_15(JNIEnv *env, jobject obj)
{
  vtkImageGradient *op;
  int      temp20;

  op = (vtkImageGradient *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageGradient");
  temp20 = (op)->GetDimensionality();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageGradient_SetHandleBoundaries_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageGradient *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageGradient *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageGradient");
  op->SetHandleBoundaries(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageGradient_GetHandleBoundaries_17(JNIEnv *env, jobject obj)
{
  vtkImageGradient *op;
  int      temp20;

  op = (vtkImageGradient *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageGradient");
  temp20 = (op)->GetHandleBoundaries();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageGradient_HandleBoundariesOn_18(JNIEnv *env, jobject obj)
{
  vtkImageGradient *op;

  op = (vtkImageGradient *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageGradient");
  op->HandleBoundariesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageGradient_HandleBoundariesOff_19(JNIEnv *env, jobject obj)
{
  vtkImageGradient *op;

  op = (vtkImageGradient *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageGradient");
  op->HandleBoundariesOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageGradient_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageGradient *aNewOne = vtkImageGradient::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageGradient_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageGradient_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageGradient_Typecast);
}
