// java wrapper for vtkImageNormalize object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageNormalize.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageNormalize_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageNormalize",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageNormalize_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageNormalize *op;
  const char    *temp20;

  op = (vtkImageNormalize *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageNormalize");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageNormalize_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageNormalize *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageNormalize *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageNormalize");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageNormalize_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageNormalize *aNewOne = vtkImageNormalize::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageNormalize_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageNormalize_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageNormalize_Typecast);
}
