// java wrapper for vtkImageStencilSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageStencilSource.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageStencilSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageStencilSource",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageStencilSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageStencilSource *op;
  const char    *temp20;

  op = (vtkImageStencilSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageStencilSource");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageStencilSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageStencilSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageStencilSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageStencilSource");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageStencilSource_SetOutput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageStencilSource *op;
  vtkImageStencilData  *temp0;
  temp0 = (vtkImageStencilData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkImageStencilData"));

  op = (vtkImageStencilSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageStencilSource");
  op->SetOutput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImageStencilSource_GetOutput_13(JNIEnv *env, jobject obj)
{
  vtkImageStencilSource *op;
  vtkImageStencilData  *temp20;
  jobject tempH;

  op = (vtkImageStencilSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageStencilSource");
  temp20 = (op)->GetOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageStencilData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageStencilSource_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageStencilSource *aNewOne = vtkImageStencilSource::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageStencilSource_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageStencilSource_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageStencilSource_Typecast);
}
