// java wrapper for vtkDuplicatePolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDuplicatePolyData.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDuplicatePolyData_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDuplicatePolyData",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDuplicatePolyData_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDuplicatePolyData *op;
  const char    *temp20;

  op = (vtkDuplicatePolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDuplicatePolyData");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDuplicatePolyData_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDuplicatePolyData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDuplicatePolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDuplicatePolyData");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDuplicatePolyData_SetController_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDuplicatePolyData *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkMultiProcessController"));

  op = (vtkDuplicatePolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDuplicatePolyData");
  op->SetController(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDuplicatePolyData_GetController_13(JNIEnv *env, jobject obj)
{
  vtkDuplicatePolyData *op;
  vtkMultiProcessController  *temp20;
  jobject tempH;

  op = (vtkDuplicatePolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDuplicatePolyData");
  temp20 = (op)->GetController();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkMultiProcessController", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDuplicatePolyData_InitializeSchedule_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkDuplicatePolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDuplicatePolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDuplicatePolyData");
  op->InitializeSchedule(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDuplicatePolyData_SetSynchronous_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkDuplicatePolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDuplicatePolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDuplicatePolyData");
  op->SetSynchronous(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDuplicatePolyData_GetSynchronous_16(JNIEnv *env, jobject obj)
{
  vtkDuplicatePolyData *op;
  int      temp20;

  op = (vtkDuplicatePolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDuplicatePolyData");
  temp20 = (op)->GetSynchronous();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDuplicatePolyData_SynchronousOn_17(JNIEnv *env, jobject obj)
{
  vtkDuplicatePolyData *op;

  op = (vtkDuplicatePolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDuplicatePolyData");
  op->SynchronousOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDuplicatePolyData_SynchronousOff_18(JNIEnv *env, jobject obj)
{
  vtkDuplicatePolyData *op;

  op = (vtkDuplicatePolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDuplicatePolyData");
  op->SynchronousOff();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDuplicatePolyData_GetSocketController_19(JNIEnv *env, jobject obj)
{
  vtkDuplicatePolyData *op;
  vtkSocketController  *temp20;
  jobject tempH;

  op = (vtkDuplicatePolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDuplicatePolyData");
  temp20 = (op)->GetSocketController();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkSocketController", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDuplicatePolyData_SetSocketController_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDuplicatePolyData *op;
  vtkSocketController  *temp0;
  temp0 = (vtkSocketController *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkSocketController"));

  op = (vtkDuplicatePolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDuplicatePolyData");
  op->SetSocketController(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDuplicatePolyData_SetClientFlag_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkDuplicatePolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDuplicatePolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDuplicatePolyData");
  op->SetClientFlag(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDuplicatePolyData_GetClientFlag_112(JNIEnv *env, jobject obj)
{
  vtkDuplicatePolyData *op;
  int      temp20;

  op = (vtkDuplicatePolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDuplicatePolyData");
  temp20 = (op)->GetClientFlag();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDuplicatePolyData_GetMemorySize_113(JNIEnv *env, jobject obj)
{
  vtkDuplicatePolyData *op;
   unsigned long     temp20;

  op = (vtkDuplicatePolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDuplicatePolyData");
  temp20 = (op)->GetMemorySize();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDuplicatePolyData_VTKInit(JNIEnv *env, jobject obj)
{
  vtkDuplicatePolyData *aNewOne = vtkDuplicatePolyData::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDuplicatePolyData_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDuplicatePolyData_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDuplicatePolyData_Typecast);
}
