// java wrapper for vtkSubGroup object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSubGroup.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSubGroup_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSubGroup",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSubGroup_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSubGroup *op;
  const char    *temp20;

  op = (vtkSubGroup *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSubGroup");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSubGroup_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSubGroup *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSubGroup *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSubGroup");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSubGroup_Initialize_12(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jobject id4)
{
  vtkSubGroup *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkCommunicator  *temp4;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkCommunicator *)(vtkJavaGetPointerFromObject(env,id4,(char *) "vtkCommunicator"));

  op = (vtkSubGroup *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSubGroup");
  temp20 = (op)->Initialize(temp0,temp1,temp2,temp3,temp4);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSubGroup_Gather_13(JNIEnv *env, jobject obj,jstring id0,jstring id1,jint id2,jint id3)
{
  vtkSubGroup *op;
  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;
  temp3 = id3;

  op = (vtkSubGroup *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSubGroup");
  temp20 = (op)->Gather(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSubGroup_Broadcast_14(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2)
{
  vtkSubGroup *op;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;

  op = (vtkSubGroup *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSubGroup");
  temp20 = (op)->Broadcast(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSubGroup_setGatherPattern_15(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkSubGroup *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSubGroup *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSubGroup");
  op->setGatherPattern(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSubGroup_getLocalRank_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkSubGroup *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkSubGroup *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSubGroup");
  temp20 = (op)->getLocalRank(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSubGroup_Barrier_17(JNIEnv *env, jobject obj)
{
  vtkSubGroup *op;
  int      temp20;

  op = (vtkSubGroup *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSubGroup");
  temp20 = (op)->Barrier();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSubGroup_PrintSubGroup_18(JNIEnv *env, jobject obj)
{
  vtkSubGroup *op;

  op = (vtkSubGroup *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSubGroup");
  op->PrintSubGroup();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSubGroup_VTKInit(JNIEnv *env, jobject obj)
{
  vtkSubGroup *aNewOne = vtkSubGroup::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSubGroup_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSubGroup_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSubGroup_Typecast);
}
