// java wrapper for vtkTransmitUnstructuredGridPiece object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTransmitUnstructuredGridPiece.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTransmitUnstructuredGridPiece_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTransmitUnstructuredGridPiece",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTransmitUnstructuredGridPiece_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTransmitUnstructuredGridPiece *op;
  const char    *temp20;

  op = (vtkTransmitUnstructuredGridPiece *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransmitUnstructuredGridPiece");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransmitUnstructuredGridPiece_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTransmitUnstructuredGridPiece *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTransmitUnstructuredGridPiece *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransmitUnstructuredGridPiece");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransmitUnstructuredGridPiece_SetController_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTransmitUnstructuredGridPiece *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkMultiProcessController"));

  op = (vtkTransmitUnstructuredGridPiece *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransmitUnstructuredGridPiece");
  op->SetController(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkTransmitUnstructuredGridPiece_GetController_13(JNIEnv *env, jobject obj)
{
  vtkTransmitUnstructuredGridPiece *op;
  vtkMultiProcessController  *temp20;
  jobject tempH;

  op = (vtkTransmitUnstructuredGridPiece *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransmitUnstructuredGridPiece");
  temp20 = (op)->GetController();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkMultiProcessController", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransmitUnstructuredGridPiece_SetCreateGhostCells_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkTransmitUnstructuredGridPiece *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTransmitUnstructuredGridPiece *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransmitUnstructuredGridPiece");
  op->SetCreateGhostCells(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransmitUnstructuredGridPiece_GetCreateGhostCells_15(JNIEnv *env, jobject obj)
{
  vtkTransmitUnstructuredGridPiece *op;
  int      temp20;

  op = (vtkTransmitUnstructuredGridPiece *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransmitUnstructuredGridPiece");
  temp20 = (op)->GetCreateGhostCells();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransmitUnstructuredGridPiece_CreateGhostCellsOn_16(JNIEnv *env, jobject obj)
{
  vtkTransmitUnstructuredGridPiece *op;

  op = (vtkTransmitUnstructuredGridPiece *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransmitUnstructuredGridPiece");
  op->CreateGhostCellsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransmitUnstructuredGridPiece_CreateGhostCellsOff_17(JNIEnv *env, jobject obj)
{
  vtkTransmitUnstructuredGridPiece *op;

  op = (vtkTransmitUnstructuredGridPiece *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransmitUnstructuredGridPiece");
  op->CreateGhostCellsOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTransmitUnstructuredGridPiece_VTKInit(JNIEnv *env, jobject obj)
{
  vtkTransmitUnstructuredGridPiece *aNewOne = vtkTransmitUnstructuredGridPiece::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTransmitUnstructuredGridPiece_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTransmitUnstructuredGridPiece_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTransmitUnstructuredGridPiece_Typecast);
}
