// java wrapper for vtkAssembly object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAssembly.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkProp3D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAssembly_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAssembly",dType)) { return me; }
  if ((res= vtkProp3D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAssembly_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAssembly *op;
  const char    *temp20;

  op = (vtkAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssembly");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAssembly_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAssembly *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssembly");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssembly_AddPart_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAssembly *op;
  vtkProp3D  *temp0;
  temp0 = (vtkProp3D *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp3D"));

  op = (vtkAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssembly");
  op->AddPart(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssembly_RemovePart_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAssembly *op;
  vtkProp3D  *temp0;
  temp0 = (vtkProp3D *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp3D"));

  op = (vtkAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssembly");
  op->RemovePart(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAssembly_GetParts_14(JNIEnv *env, jobject obj)
{
  vtkAssembly *op;
  vtkProp3DCollection  *temp20;
  jobject tempH;

  op = (vtkAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssembly");
  temp20 = (op)->GetParts();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProp3DCollection", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssembly_GetActors_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAssembly *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPropCollection"));

  op = (vtkAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssembly");
  op->GetActors(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssembly_GetVolumes_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAssembly *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPropCollection"));

  op = (vtkAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssembly");
  op->GetVolumes(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAssembly_RenderOpaqueGeometry_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAssembly *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssembly");
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAssembly_RenderTranslucentGeometry_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAssembly *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssembly");
  temp20 = (op)->RenderTranslucentGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssembly_ReleaseGraphicsResources_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAssembly *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkWindow"));

  op = (vtkAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssembly");
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssembly_InitPathTraversal_110(JNIEnv *env, jobject obj)
{
  vtkAssembly *op;

  op = (vtkAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssembly");
  op->InitPathTraversal();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAssembly_GetNextPath_111(JNIEnv *env, jobject obj)
{
  vtkAssembly *op;
  vtkAssemblyPath  *temp20;
  jobject tempH;

  op = (vtkAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssembly");
  temp20 = (op)->GetNextPath();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAssemblyPath", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAssembly_GetNumberOfPaths_112(JNIEnv *env, jobject obj)
{
  vtkAssembly *op;
  int      temp20;

  op = (vtkAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssembly");
  temp20 = (op)->GetNumberOfPaths();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssembly_GetBounds_113(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAssembly *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssembly");
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAssembly_GetBounds_114(JNIEnv *env, jobject obj)
{
  vtkAssembly *op;
  double  *temp20;

  op = (vtkAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssembly");
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAssembly_GetMTime_115(JNIEnv *env, jobject obj)
{
  vtkAssembly *op;
   unsigned long     temp20;

  op = (vtkAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssembly");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssembly_ShallowCopy_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAssembly *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssembly");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAssembly_VTKInit(JNIEnv *env, jobject obj)
{
  vtkAssembly *aNewOne = vtkAssembly::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAssembly_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAssembly_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAssembly_Typecast);
}
