// java wrapper for vtkLODActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLODActor.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkActor_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkLODActor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkLODActor",dType)) { return me; }
  if ((res= vtkActor_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLODActor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkLODActor *op;
  const char    *temp20;

  op = (vtkLODActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODActor");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLODActor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLODActor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLODActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODActor");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODActor_Render_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkLODActor *op;
  vtkRenderer  *temp0;
  vtkMapper  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));
  temp1 = (vtkMapper *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkMapper"));

  op = (vtkLODActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODActor");
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLODActor_RenderOpaqueGeometry_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLODActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkLODActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODActor");
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODActor_ReleaseGraphicsResources_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLODActor *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkWindow"));

  op = (vtkLODActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODActor");
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODActor_AddLODMapper_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLODActor *op;
  vtkMapper  *temp0;
  temp0 = (vtkMapper *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkMapper"));

  op = (vtkLODActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODActor");
  op->AddLODMapper(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLODActor_GetNumberOfCloudPoints_16(JNIEnv *env, jobject obj)
{
  vtkLODActor *op;
  int      temp20;

  op = (vtkLODActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODActor");
  temp20 = (op)->GetNumberOfCloudPoints();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODActor_SetNumberOfCloudPoints_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkLODActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLODActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODActor");
  op->SetNumberOfCloudPoints(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkLODActor_GetLODMappers_18(JNIEnv *env, jobject obj)
{
  vtkLODActor *op;
  vtkMapperCollection  *temp20;
  jobject tempH;

  op = (vtkLODActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODActor");
  temp20 = (op)->GetLODMappers();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkMapperCollection", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODActor_Modified_19(JNIEnv *env, jobject obj)
{
  vtkLODActor *op;

  op = (vtkLODActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODActor");
  op->Modified();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODActor_ShallowCopy_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLODActor *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkLODActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODActor");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkLODActor_VTKInit(JNIEnv *env, jobject obj)
{
  vtkLODActor *aNewOne = vtkLODActor::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkLODActor_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkLODActor_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkLODActor_Typecast);
}
