// java wrapper for vtkTextActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTextActor.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkActor2D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTextActor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTextActor",dType)) { return me; }
  if ((res= vtkActor2D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTextActor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;
  const char    *temp20;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextActor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTextActor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_ShallowCopy_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTextActor *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_SetMapper_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTextActor *op;
  vtkTextMapper  *temp0;
  temp0 = (vtkTextMapper *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkTextMapper"));

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor");
  op->SetMapper(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_SetInput_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTextActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTextActor_GetInput_15(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;
  char    *temp20;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor");
  temp20 = (op)->GetInput();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_SetMinimumSize_16(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkTextActor *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor");
  op->SetMinimumSize(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_SetMinimumSize_17(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkTextActor *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor");
  op->SetMinimumSize(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTextActor_GetMinimumSize_18(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;
  int     *temp20;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor");
  temp20 = (op)->GetMinimumSize();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_SetMaximumLineHeight_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTextActor *op;
  float    temp0;
  temp0 = id0;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor");
  op->SetMaximumLineHeight(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTextActor_GetMaximumLineHeight_110(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;
  float    temp20;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor");
  temp20 = (op)->GetMaximumLineHeight();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_SetScaledText_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkTextActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor");
  op->SetScaledText(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextActor_GetScaledText_112(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;
  int      temp20;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor");
  temp20 = (op)->GetScaledText();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_ScaledTextOn_113(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor");
  op->ScaledTextOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_ScaledTextOff_114(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor");
  op->ScaledTextOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_SetAlignmentPoint_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkTextActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor");
  op->SetAlignmentPoint(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextActor_GetAlignmentPointMinValue_116(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;
  int      temp20;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor");
  temp20 = (op)->GetAlignmentPointMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextActor_GetAlignmentPointMaxValue_117(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;
  int      temp20;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor");
  temp20 = (op)->GetAlignmentPointMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextActor_GetAlignmentPoint_118(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;
  int      temp20;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor");
  temp20 = (op)->GetAlignmentPoint();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkTextActor_GetActualPositionCoordinate_119(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;
  vtkCoordinate  *temp20;
  jobject tempH;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor");
  temp20 = (op)->GetActualPositionCoordinate();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCoordinate", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_SetTextProperty_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTextActor *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkTextProperty"));

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor");
  op->SetTextProperty(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkTextActor_GetTextProperty_121(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;
  vtkTextProperty  *temp20;
  jobject tempH;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor");
  temp20 = (op)->GetTextProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkTextProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_SetNonLinearFontScale_122(JNIEnv *env, jobject obj,jdouble id0,jint id1)
{
  vtkTextActor *op;
  double   temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor");
  op->SetNonLinearFontScale(temp0,temp1);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTextActor_VTKInit(JNIEnv *env, jobject obj)
{
  vtkTextActor *aNewOne = vtkTextActor::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTextActor_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTextActor_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTextActor_Typecast);
}
