// java wrapper for vtkSphericalDirectionEncoder object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSphericalDirectionEncoder.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDirectionEncoder_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSphericalDirectionEncoder_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSphericalDirectionEncoder",dType)) { return me; }
  if ((res= vtkDirectionEncoder_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSphericalDirectionEncoder_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSphericalDirectionEncoder *op;
  const char    *temp20;

  op = (vtkSphericalDirectionEncoder *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSphericalDirectionEncoder");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphericalDirectionEncoder_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSphericalDirectionEncoder *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSphericalDirectionEncoder *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSphericalDirectionEncoder");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphericalDirectionEncoder_GetEncodedDirection_12(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSphericalDirectionEncoder *op;
  float  temp0[3];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkSphericalDirectionEncoder *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSphericalDirectionEncoder");
  temp20 = (op)->GetEncodedDirection(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphericalDirectionEncoder_GetNumberOfEncodedDirections_13(JNIEnv *env, jobject obj)
{
  vtkSphericalDirectionEncoder *op;
  int      temp20;

  op = (vtkSphericalDirectionEncoder *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSphericalDirectionEncoder");
  temp20 = (op)->GetNumberOfEncodedDirections();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSphericalDirectionEncoder_VTKInit(JNIEnv *env, jobject obj)
{
  vtkSphericalDirectionEncoder *aNewOne = vtkSphericalDirectionEncoder::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSphericalDirectionEncoder_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSphericalDirectionEncoder_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSphericalDirectionEncoder_Typecast);
}
