// java wrapper for vtkVolumeMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVolumeMapper.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkAbstractVolumeMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVolumeMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVolumeMapper",dType)) { return me; }
  if ((res= vtkAbstractVolumeMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVolumeMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVolumeMapper *op;
  const char    *temp20;

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVolumeMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeMapper_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVolumeMapper *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkImageData"));

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeMapper_SetInput_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVolumeMapper *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkVolumeMapper_GetInput_14(JNIEnv *env, jobject obj)
{
  vtkVolumeMapper *op;
  vtkImageData  *temp20;
  jobject tempH;

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeMapper_SetBlendMode_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  op->SetBlendMode(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeMapper_SetBlendModeToComposite_16(JNIEnv *env, jobject obj)
{
  vtkVolumeMapper *op;

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  op->SetBlendModeToComposite();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeMapper_SetBlendModeToMaximumIntensity_17(JNIEnv *env, jobject obj)
{
  vtkVolumeMapper *op;

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  op->SetBlendModeToMaximumIntensity();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeMapper_GetBlendMode_18(JNIEnv *env, jobject obj)
{
  vtkVolumeMapper *op;
  int      temp20;

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  temp20 = (op)->GetBlendMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeMapper_SetCropping_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  op->SetCropping(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeMapper_GetCroppingMinValue_110(JNIEnv *env, jobject obj)
{
  vtkVolumeMapper *op;
  int      temp20;

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  temp20 = (op)->GetCroppingMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeMapper_GetCroppingMaxValue_111(JNIEnv *env, jobject obj)
{
  vtkVolumeMapper *op;
  int      temp20;

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  temp20 = (op)->GetCroppingMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeMapper_GetCropping_112(JNIEnv *env, jobject obj)
{
  vtkVolumeMapper *op;
  int      temp20;

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  temp20 = (op)->GetCropping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeMapper_CroppingOn_113(JNIEnv *env, jobject obj)
{
  vtkVolumeMapper *op;

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  op->CroppingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeMapper_CroppingOff_114(JNIEnv *env, jobject obj)
{
  vtkVolumeMapper *op;

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  op->CroppingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeMapper_SetCroppingRegionPlanes_115(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkVolumeMapper *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  op->SetCroppingRegionPlanes(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeMapper_SetCroppingRegionPlanes_116(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkVolumeMapper *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  op->SetCroppingRegionPlanes(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVolumeMapper_GetCroppingRegionPlanes_117(JNIEnv *env, jobject obj)
{
  vtkVolumeMapper *op;
  double  *temp20;

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  temp20 = (op)->GetCroppingRegionPlanes();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVolumeMapper_GetVoxelCroppingRegionPlanes_118(JNIEnv *env, jobject obj)
{
  vtkVolumeMapper *op;
  double  *temp20;

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  temp20 = (op)->GetVoxelCroppingRegionPlanes();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeMapper_SetCroppingRegionFlags_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  op->SetCroppingRegionFlags(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeMapper_GetCroppingRegionFlagsMinValue_120(JNIEnv *env, jobject obj)
{
  vtkVolumeMapper *op;
  int      temp20;

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  temp20 = (op)->GetCroppingRegionFlagsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeMapper_GetCroppingRegionFlagsMaxValue_121(JNIEnv *env, jobject obj)
{
  vtkVolumeMapper *op;
  int      temp20;

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  temp20 = (op)->GetCroppingRegionFlagsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeMapper_GetCroppingRegionFlags_122(JNIEnv *env, jobject obj)
{
  vtkVolumeMapper *op;
  int      temp20;

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  temp20 = (op)->GetCroppingRegionFlags();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeMapper_SetCroppingRegionFlagsToSubVolume_123(JNIEnv *env, jobject obj)
{
  vtkVolumeMapper *op;

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  op->SetCroppingRegionFlagsToSubVolume();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeMapper_SetCroppingRegionFlagsToFence_124(JNIEnv *env, jobject obj)
{
  vtkVolumeMapper *op;

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  op->SetCroppingRegionFlagsToFence();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeMapper_SetCroppingRegionFlagsToInvertedFence_125(JNIEnv *env, jobject obj)
{
  vtkVolumeMapper *op;

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  op->SetCroppingRegionFlagsToInvertedFence();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeMapper_SetCroppingRegionFlagsToCross_126(JNIEnv *env, jobject obj)
{
  vtkVolumeMapper *op;

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  op->SetCroppingRegionFlagsToCross();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeMapper_SetCroppingRegionFlagsToInvertedCross_127(JNIEnv *env, jobject obj)
{
  vtkVolumeMapper *op;

  op = (vtkVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeMapper");
  op->SetCroppingRegionFlagsToInvertedCross();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkVolumeMapper_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkVolumeMapper_Typecast);
}
