// java wrapper for vtkContourValues object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContourValues.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkContourValues_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkContourValues",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkContourValues_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkContourValues *op;
  const char    *temp20;

  op = (vtkContourValues *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkContourValues");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourValues_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkContourValues *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkContourValues *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkContourValues");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourValues_SetValue_12(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkContourValues *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkContourValues *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkContourValues");
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkContourValues_GetValue_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkContourValues *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkContourValues *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkContourValues");
  temp20 = (op)->GetValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourValues_SetNumberOfContours_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkContourValues *op;
  int      temp0;
  temp0 = id0;

  op = (vtkContourValues *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkContourValues");
  op->SetNumberOfContours(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourValues_GetNumberOfContours_15(JNIEnv *env, jobject obj)
{
  vtkContourValues *op;
  int      temp20;

  op = (vtkContourValues *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkContourValues");
  temp20 = (op)->GetNumberOfContours();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourValues_GenerateValues_16(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkContourValues *op;
  int      temp0;
  double temp1[2];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkContourValues *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkContourValues");
  op->GenerateValues(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourValues_GenerateValues_17(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2)
{
  vtkContourValues *op;
  int      temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkContourValues *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkContourValues");
  op->GenerateValues(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkContourValues_VTKInit(JNIEnv *env, jobject obj)
{
  vtkContourValues *aNewOne = vtkContourValues::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkContourValues_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkContourValues_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkContourValues_Typecast);
}
