// java wrapper for vtkInitialValueProblemSolver object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInitialValueProblemSolver.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInitialValueProblemSolver_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInitialValueProblemSolver",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInitialValueProblemSolver_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInitialValueProblemSolver *op;
  const char    *temp20;

  op = (vtkInitialValueProblemSolver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInitialValueProblemSolver");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInitialValueProblemSolver_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInitialValueProblemSolver *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInitialValueProblemSolver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInitialValueProblemSolver");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInitialValueProblemSolver_SetFunctionSet_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInitialValueProblemSolver *op;
  vtkFunctionSet  *temp0;
  temp0 = (vtkFunctionSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkFunctionSet"));

  op = (vtkInitialValueProblemSolver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInitialValueProblemSolver");
  op->SetFunctionSet(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInitialValueProblemSolver_GetFunctionSet_13(JNIEnv *env, jobject obj)
{
  vtkInitialValueProblemSolver *op;
  vtkFunctionSet  *temp20;
  jobject tempH;

  op = (vtkInitialValueProblemSolver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInitialValueProblemSolver");
  temp20 = (op)->GetFunctionSet();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkFunctionSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInitialValueProblemSolver_IsAdaptive_14(JNIEnv *env, jobject obj)
{
  vtkInitialValueProblemSolver *op;
  int      temp20;

  op = (vtkInitialValueProblemSolver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInitialValueProblemSolver");
  temp20 = (op)->IsAdaptive();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInitialValueProblemSolver_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInitialValueProblemSolver_Typecast);
}
