// java wrapper for vtkTypeUInt8Array object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTypeUInt8Array.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkUnsignedCharArray_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTypeUInt8Array_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTypeUInt8Array",dType)) { return me; }
  if ((res= vtkUnsignedCharArray_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTypeUInt8Array_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTypeUInt8Array *op;
  const char    *temp20;

  op = (vtkTypeUInt8Array *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTypeUInt8Array");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTypeUInt8Array_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTypeUInt8Array *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTypeUInt8Array *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTypeUInt8Array");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTypeUInt8Array_VTKInit(JNIEnv *env, jobject obj)
{
  vtkTypeUInt8Array *aNewOne = vtkTypeUInt8Array::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTypeUInt8Array_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTypeUInt8Array_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTypeUInt8Array_Typecast);
}
