// java wrapper for vtkGenericAttributeCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericAttributeCollection.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericAttributeCollection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericAttributeCollection",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericAttributeCollection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericAttributeCollection *op;
  const char    *temp20;

  op = (vtkGenericAttributeCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericAttributeCollection");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericAttributeCollection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericAttributeCollection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericAttributeCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericAttributeCollection");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericAttributeCollection_GetNumberOfAttributes_12(JNIEnv *env, jobject obj)
{
  vtkGenericAttributeCollection *op;
  int      temp20;

  op = (vtkGenericAttributeCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericAttributeCollection");
  temp20 = (op)->GetNumberOfAttributes();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericAttributeCollection_GetNumberOfComponents_13(JNIEnv *env, jobject obj)
{
  vtkGenericAttributeCollection *op;
  int      temp20;

  op = (vtkGenericAttributeCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericAttributeCollection");
  temp20 = (op)->GetNumberOfComponents();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericAttributeCollection_GetNumberOfPointCenteredComponents_14(JNIEnv *env, jobject obj)
{
  vtkGenericAttributeCollection *op;
  int      temp20;

  op = (vtkGenericAttributeCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericAttributeCollection");
  temp20 = (op)->GetNumberOfPointCenteredComponents();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericAttributeCollection_GetMaxNumberOfComponents_15(JNIEnv *env, jobject obj)
{
  vtkGenericAttributeCollection *op;
  int      temp20;

  op = (vtkGenericAttributeCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericAttributeCollection");
  temp20 = (op)->GetMaxNumberOfComponents();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericAttributeCollection_GetActualMemorySize_16(JNIEnv *env, jobject obj)
{
  vtkGenericAttributeCollection *op;
   unsigned long     temp20;

  op = (vtkGenericAttributeCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericAttributeCollection");
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericAttributeCollection_IsEmpty_17(JNIEnv *env, jobject obj)
{
  vtkGenericAttributeCollection *op;
  int      temp20;

  op = (vtkGenericAttributeCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericAttributeCollection");
  temp20 = (op)->IsEmpty();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGenericAttributeCollection_GetAttribute_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericAttributeCollection *op;
  int      temp0;
  vtkGenericAttribute  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkGenericAttributeCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericAttributeCollection");
  temp20 = (op)->GetAttribute(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkGenericAttribute", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericAttributeCollection_FindAttribute_19(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericAttributeCollection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericAttributeCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericAttributeCollection");
  temp20 = (op)->FindAttribute(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericAttributeCollection_GetAttributeIndex_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericAttributeCollection *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkGenericAttributeCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericAttributeCollection");
  temp20 = (op)->GetAttributeIndex(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericAttributeCollection_InsertNextAttribute_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericAttributeCollection *op;
  vtkGenericAttribute  *temp0;
  temp0 = (vtkGenericAttribute *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkGenericAttribute"));

  op = (vtkGenericAttributeCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericAttributeCollection");
  op->InsertNextAttribute(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericAttributeCollection_InsertAttribute_112(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkGenericAttributeCollection *op;
  int      temp0;
  vtkGenericAttribute  *temp1;
  temp0 = id0;
  temp1 = (vtkGenericAttribute *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkGenericAttribute"));

  op = (vtkGenericAttributeCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericAttributeCollection");
  op->InsertAttribute(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericAttributeCollection_RemoveAttribute_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericAttributeCollection *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericAttributeCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericAttributeCollection");
  op->RemoveAttribute(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericAttributeCollection_Reset_114(JNIEnv *env, jobject obj)
{
  vtkGenericAttributeCollection *op;

  op = (vtkGenericAttributeCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericAttributeCollection");
  op->Reset();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericAttributeCollection_DeepCopy_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericAttributeCollection *op;
  vtkGenericAttributeCollection  *temp0;
  temp0 = (vtkGenericAttributeCollection *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkGenericAttributeCollection"));

  op = (vtkGenericAttributeCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericAttributeCollection");
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericAttributeCollection_ShallowCopy_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericAttributeCollection *op;
  vtkGenericAttributeCollection  *temp0;
  temp0 = (vtkGenericAttributeCollection *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkGenericAttributeCollection"));

  op = (vtkGenericAttributeCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericAttributeCollection");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericAttributeCollection_GetMTime_117(JNIEnv *env, jobject obj)
{
  vtkGenericAttributeCollection *op;
   unsigned long     temp20;

  op = (vtkGenericAttributeCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericAttributeCollection");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericAttributeCollection_GetActiveAttribute_118(JNIEnv *env, jobject obj)
{
  vtkGenericAttributeCollection *op;
  int      temp20;

  op = (vtkGenericAttributeCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericAttributeCollection");
  temp20 = (op)->GetActiveAttribute();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericAttributeCollection_GetActiveComponent_119(JNIEnv *env, jobject obj)
{
  vtkGenericAttributeCollection *op;
  int      temp20;

  op = (vtkGenericAttributeCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericAttributeCollection");
  temp20 = (op)->GetActiveComponent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericAttributeCollection_SetActiveAttribute_120(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkGenericAttributeCollection *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGenericAttributeCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericAttributeCollection");
  op->SetActiveAttribute(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericAttributeCollection_GetNumberOfAttributesToInterpolate_121(JNIEnv *env, jobject obj)
{
  vtkGenericAttributeCollection *op;
  int      temp20;

  op = (vtkGenericAttributeCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericAttributeCollection");
  temp20 = (op)->GetNumberOfAttributesToInterpolate();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericAttributeCollection_SetAttributesToInterpolateToAll_122(JNIEnv *env, jobject obj)
{
  vtkGenericAttributeCollection *op;

  op = (vtkGenericAttributeCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericAttributeCollection");
  op->SetAttributesToInterpolateToAll();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGenericAttributeCollection_VTKInit(JNIEnv *env, jobject obj)
{
  vtkGenericAttributeCollection *aNewOne = vtkGenericAttributeCollection::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGenericAttributeCollection_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGenericAttributeCollection_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGenericAttributeCollection_Typecast);
}
