// java wrapper for vtkGenericCellTessellator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericCellTessellator.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericCellTessellator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericCellTessellator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericCellTessellator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericCellTessellator *op;
  const char    *temp20;

  op = (vtkGenericCellTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericCellTessellator");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericCellTessellator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericCellTessellator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericCellTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericCellTessellator");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCellTessellator_TessellateFace_12(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2,jobject id3,jobject id4,jobject id5)
{
  vtkGenericCellTessellator *op;
  vtkGenericAdaptorCell  *temp0;
  vtkGenericAttributeCollection  *temp1;
  vtkIdType   temp2;
  vtkDoubleArray  *temp3;
  vtkCellArray  *temp4;
  vtkPointData  *temp5;
  temp0 = (vtkGenericAdaptorCell *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkGenericAdaptorCell"));
  temp1 = (vtkGenericAttributeCollection *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkGenericAttributeCollection"));
  temp2 = id2;
  temp3 = (vtkDoubleArray *)(vtkJavaGetPointerFromObject(env,id3,(char *) "vtkDoubleArray"));
  temp4 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id4,(char *) "vtkCellArray"));
  temp5 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id5,(char *) "vtkPointData"));

  op = (vtkGenericCellTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericCellTessellator");
  op->TessellateFace(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCellTessellator_Tessellate_13(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3,jobject id4)
{
  vtkGenericCellTessellator *op;
  vtkGenericAdaptorCell  *temp0;
  vtkGenericAttributeCollection  *temp1;
  vtkDoubleArray  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  temp0 = (vtkGenericAdaptorCell *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkGenericAdaptorCell"));
  temp1 = (vtkGenericAttributeCollection *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkGenericAttributeCollection"));
  temp2 = (vtkDoubleArray *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkDoubleArray"));
  temp3 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id3,(char *) "vtkCellArray"));
  temp4 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id4,(char *) "vtkPointData"));

  op = (vtkGenericCellTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericCellTessellator");
  op->Tessellate(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCellTessellator_Triangulate_14(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3,jobject id4)
{
  vtkGenericCellTessellator *op;
  vtkGenericAdaptorCell  *temp0;
  vtkGenericAttributeCollection  *temp1;
  vtkDoubleArray  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  temp0 = (vtkGenericAdaptorCell *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkGenericAdaptorCell"));
  temp1 = (vtkGenericAttributeCollection *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkGenericAttributeCollection"));
  temp2 = (vtkDoubleArray *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkDoubleArray"));
  temp3 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id3,(char *) "vtkCellArray"));
  temp4 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id4,(char *) "vtkPointData"));

  op = (vtkGenericCellTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericCellTessellator");
  op->Triangulate(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCellTessellator_SetErrorMetrics_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericCellTessellator *op;
  vtkCollection  *temp0;
  temp0 = (vtkCollection *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCollection"));

  op = (vtkGenericCellTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericCellTessellator");
  op->SetErrorMetrics(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGenericCellTessellator_GetErrorMetrics_16(JNIEnv *env, jobject obj)
{
  vtkGenericCellTessellator *op;
  vtkCollection  *temp20;
  jobject tempH;

  op = (vtkGenericCellTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericCellTessellator");
  temp20 = (op)->GetErrorMetrics();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCollection", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCellTessellator_Initialize_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericCellTessellator *op;
  vtkGenericDataSet  *temp0;
  temp0 = (vtkGenericDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkGenericDataSet"));

  op = (vtkGenericCellTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericCellTessellator");
  op->Initialize(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCellTessellator_InitErrorMetrics_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericCellTessellator *op;
  vtkGenericDataSet  *temp0;
  temp0 = (vtkGenericDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkGenericDataSet"));

  op = (vtkGenericCellTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericCellTessellator");
  op->InitErrorMetrics(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericCellTessellator_GetMeasurement_19(JNIEnv *env, jobject obj)
{
  vtkGenericCellTessellator *op;
  int      temp20;

  op = (vtkGenericCellTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericCellTessellator");
  temp20 = (op)->GetMeasurement();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCellTessellator_SetMeasurement_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericCellTessellator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericCellTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericCellTessellator");
  op->SetMeasurement(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGenericCellTessellator_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGenericCellTessellator_Typecast);
}
