// java wrapper for vtkInformationExecutivePortVectorKey object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInformationExecutivePortVectorKey.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkInformationKey_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInformationExecutivePortVectorKey_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInformationExecutivePortVectorKey",dType)) { return me; }
  if ((res= vtkInformationKey_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInformationExecutivePortVectorKey_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInformationExecutivePortVectorKey *op;
  const char    *temp20;

  op = (vtkInformationExecutivePortVectorKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationExecutivePortVectorKey");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationExecutivePortVectorKey_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInformationExecutivePortVectorKey *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInformationExecutivePortVectorKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationExecutivePortVectorKey");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationExecutivePortVectorKey_Append_12(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformationExecutivePortVectorKey *op;
  vtkInformation  *temp0;
  vtkExecutive  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkExecutive *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkExecutive"));
  temp2 = id2;

  op = (vtkInformationExecutivePortVectorKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationExecutivePortVectorKey");
  op->Append(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationExecutivePortVectorKey_Remove_13(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformationExecutivePortVectorKey *op;
  vtkInformation  *temp0;
  vtkExecutive  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkExecutive *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkExecutive"));
  temp2 = id2;

  op = (vtkInformationExecutivePortVectorKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationExecutivePortVectorKey");
  op->Remove(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationExecutivePortVectorKey_Length_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationExecutivePortVectorKey *op;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkInformationExecutivePortVectorKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationExecutivePortVectorKey");
  temp20 = (op)->Length(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationExecutivePortVectorKey_Has_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationExecutivePortVectorKey *op;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkInformationExecutivePortVectorKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationExecutivePortVectorKey");
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationExecutivePortVectorKey_ShallowCopy_16(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationExecutivePortVectorKey *op;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformation"));

  op = (vtkInformationExecutivePortVectorKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationExecutivePortVectorKey");
  op->ShallowCopy(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationExecutivePortVectorKey_Remove_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationExecutivePortVectorKey *op;
  vtkInformation  *temp0;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkInformationExecutivePortVectorKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationExecutivePortVectorKey");
  op->Remove(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationExecutivePortVectorKey_Report_18(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationExecutivePortVectorKey *op;
  vtkInformation  *temp0;
  vtkGarbageCollector  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkGarbageCollector *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkGarbageCollector"));

  op = (vtkInformationExecutivePortVectorKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationExecutivePortVectorKey");
  op->Report(temp0,temp1);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInformationExecutivePortVectorKey_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInformationExecutivePortVectorKey_Typecast);
}
