// java wrapper for vtkInterpolatedVelocityField object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInterpolatedVelocityField.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkFunctionSet_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInterpolatedVelocityField_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInterpolatedVelocityField",dType)) { return me; }
  if ((res= vtkFunctionSet_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInterpolatedVelocityField_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInterpolatedVelocityField *op;
  const char    *temp20;

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInterpolatedVelocityField");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInterpolatedVelocityField_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInterpolatedVelocityField *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInterpolatedVelocityField");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInterpolatedVelocityField_AddDataSet_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInterpolatedVelocityField *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInterpolatedVelocityField");
  op->AddDataSet(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInterpolatedVelocityField_GetLastCellId_13(JNIEnv *env, jobject obj)
{
  vtkInterpolatedVelocityField *op;
  vtkIdType   temp20;

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInterpolatedVelocityField");
  temp20 = (op)->GetLastCellId();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInterpolatedVelocityField_SetLastCellId_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkInterpolatedVelocityField *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInterpolatedVelocityField");
  op->SetLastCellId(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInterpolatedVelocityField_ClearLastCellId_15(JNIEnv *env, jobject obj)
{
  vtkInterpolatedVelocityField *op;

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInterpolatedVelocityField");
  op->ClearLastCellId();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInterpolatedVelocityField_GetLastLocalCoordinates_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkInterpolatedVelocityField *op;
  double temp0[3];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInterpolatedVelocityField");
  temp20 = (op)->GetLastLocalCoordinates(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInterpolatedVelocityField_GetCaching_17(JNIEnv *env, jobject obj)
{
  vtkInterpolatedVelocityField *op;
  int      temp20;

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInterpolatedVelocityField");
  temp20 = (op)->GetCaching();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInterpolatedVelocityField_SetCaching_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkInterpolatedVelocityField *op;
  int      temp0;
  temp0 = id0;

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInterpolatedVelocityField");
  op->SetCaching(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInterpolatedVelocityField_CachingOn_19(JNIEnv *env, jobject obj)
{
  vtkInterpolatedVelocityField *op;

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInterpolatedVelocityField");
  op->CachingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInterpolatedVelocityField_CachingOff_110(JNIEnv *env, jobject obj)
{
  vtkInterpolatedVelocityField *op;

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInterpolatedVelocityField");
  op->CachingOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInterpolatedVelocityField_GetCacheHit_111(JNIEnv *env, jobject obj)
{
  vtkInterpolatedVelocityField *op;
  int      temp20;

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInterpolatedVelocityField");
  temp20 = (op)->GetCacheHit();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInterpolatedVelocityField_GetCacheMiss_112(JNIEnv *env, jobject obj)
{
  vtkInterpolatedVelocityField *op;
  int      temp20;

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInterpolatedVelocityField");
  temp20 = (op)->GetCacheMiss();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInterpolatedVelocityField_GetVectorsSelection_113(JNIEnv *env, jobject obj)
{
  vtkInterpolatedVelocityField *op;
  char    *temp20;

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInterpolatedVelocityField");
  temp20 = (op)->GetVectorsSelection();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInterpolatedVelocityField_SelectVectors_114(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInterpolatedVelocityField *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInterpolatedVelocityField");
  op->SelectVectors(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInterpolatedVelocityField_GetLastDataSet_115(JNIEnv *env, jobject obj)
{
  vtkInterpolatedVelocityField *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInterpolatedVelocityField");
  temp20 = (op)->GetLastDataSet();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInterpolatedVelocityField_CopyParameters_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInterpolatedVelocityField *op;
  vtkInterpolatedVelocityField  *temp0;
  temp0 = (vtkInterpolatedVelocityField *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInterpolatedVelocityField"));

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInterpolatedVelocityField");
  op->CopyParameters(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInterpolatedVelocityField_VTKInit(JNIEnv *env, jobject obj)
{
  vtkInterpolatedVelocityField *aNewOne = vtkInterpolatedVelocityField::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInterpolatedVelocityField_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInterpolatedVelocityField_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInterpolatedVelocityField_Typecast);
}
