// java wrapper for vtkTrivialProducer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTrivialProducer.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTrivialProducer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTrivialProducer",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTrivialProducer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTrivialProducer *op;
  const char    *temp20;

  op = (vtkTrivialProducer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTrivialProducer");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTrivialProducer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTrivialProducer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTrivialProducer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTrivialProducer");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTrivialProducer_SetOutput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTrivialProducer *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkTrivialProducer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTrivialProducer");
  op->SetOutput(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTrivialProducer_GetMTime_13(JNIEnv *env, jobject obj)
{
  vtkTrivialProducer *op;
   unsigned long     temp20;

  op = (vtkTrivialProducer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTrivialProducer");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTrivialProducer_VTKInit(JNIEnv *env, jobject obj)
{
  vtkTrivialProducer *aNewOne = vtkTrivialProducer::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTrivialProducer_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTrivialProducer_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTrivialProducer_Typecast);
}
