// java wrapper for vtkUnstructuredGridToUnstructuredGridFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnstructuredGridToUnstructuredGridFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkUnstructuredGridSource_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUnstructuredGridToUnstructuredGridFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUnstructuredGridToUnstructuredGridFilter",dType)) { return me; }
  if ((res= vtkUnstructuredGridSource_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnstructuredGridToUnstructuredGridFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridToUnstructuredGridFilter *op;
  const char    *temp20;

  op = (vtkUnstructuredGridToUnstructuredGridFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridToUnstructuredGridFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridToUnstructuredGridFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnstructuredGridToUnstructuredGridFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnstructuredGridToUnstructuredGridFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridToUnstructuredGridFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridToUnstructuredGridFilter_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUnstructuredGridToUnstructuredGridFilter *op;
  vtkUnstructuredGrid  *temp0;
  temp0 = (vtkUnstructuredGrid *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkUnstructuredGrid"));

  op = (vtkUnstructuredGridToUnstructuredGridFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridToUnstructuredGridFilter");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkUnstructuredGridToUnstructuredGridFilter_GetInput_13(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridToUnstructuredGridFilter *op;
  vtkUnstructuredGrid  *temp20;
  jobject tempH;

  op = (vtkUnstructuredGridToUnstructuredGridFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridToUnstructuredGridFilter");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnstructuredGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridToUnstructuredGridFilter_FillInputPortInformation_14(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkUnstructuredGridToUnstructuredGridFilter *op;
  int      temp0;
  vtkInformation  *temp1;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformation"));

  op = (vtkUnstructuredGridToUnstructuredGridFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridToUnstructuredGridFilter");
  temp20 = (op)->FillInputPortInformation(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkUnstructuredGridToUnstructuredGridFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkUnstructuredGridToUnstructuredGridFilter_Typecast);
}
