// java wrapper for vtkArrayCalculator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkArrayCalculator.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkArrayCalculator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkArrayCalculator",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayCalculator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;
  const char    *temp20;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayCalculator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArrayCalculator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_SetFunction_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArrayCalculator *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  op->SetFunction(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayCalculator_GetFunction_13(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;
  char    *temp20;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  temp20 = (op)->GetFunction();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_AddScalarArrayName_14(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkArrayCalculator *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  op->AddScalarArrayName(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_AddVectorArrayName_15(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2,jint id3)
{
  vtkArrayCalculator *op;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  op->AddVectorArrayName(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_AddScalarVariable_16(JNIEnv *env, jobject obj,jstring id0,jstring id1,jint id2)
{
  vtkArrayCalculator *op;
  char    *temp0;
  char    *temp1;
  int      temp2;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  op->AddScalarVariable(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_AddVectorVariable_17(JNIEnv *env, jobject obj,jstring id0,jstring id1,jint id2,jint id3,jint id4)
{
  vtkArrayCalculator *op;
  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  op->AddVectorVariable(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_SetResultArrayName_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArrayCalculator *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  op->SetResultArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayCalculator_GetResultArrayName_19(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;
  char    *temp20;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  temp20 = (op)->GetResultArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_SetAttributeMode_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkArrayCalculator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  op->SetAttributeMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayCalculator_GetAttributeMode_111(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;
  int      temp20;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  temp20 = (op)->GetAttributeMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_SetAttributeModeToDefault_112(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  op->SetAttributeModeToDefault();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_SetAttributeModeToUsePointData_113(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  op->SetAttributeModeToUsePointData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_SetAttributeModeToUseCellData_114(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  op->SetAttributeModeToUseCellData();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayCalculator_GetAttributeModeAsString_115(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;
  const char    *temp20;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  temp20 = (op)->GetAttributeModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_RemoveAllVariables_116(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  op->RemoveAllVariables();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayCalculator_GetScalarArrayName_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkArrayCalculator *op;
  int      temp0;
  char    *temp20;
  temp0 = id0;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  temp20 = (op)->GetScalarArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayCalculator_GetVectorArrayName_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkArrayCalculator *op;
  int      temp0;
  char    *temp20;
  temp0 = id0;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  temp20 = (op)->GetVectorArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayCalculator_GetScalarVariableName_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkArrayCalculator *op;
  int      temp0;
  char    *temp20;
  temp0 = id0;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  temp20 = (op)->GetScalarVariableName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayCalculator_GetVectorVariableName_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkArrayCalculator *op;
  int      temp0;
  char    *temp20;
  temp0 = id0;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  temp20 = (op)->GetVectorVariableName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayCalculator_GetSelectedScalarComponent_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkArrayCalculator *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  temp20 = (op)->GetSelectedScalarComponent(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayCalculator_GetNumberOfScalarArrays_122(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;
  int      temp20;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  temp20 = (op)->GetNumberOfScalarArrays();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayCalculator_GetNumberOfVectorArrays_123(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;
  int      temp20;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  temp20 = (op)->GetNumberOfVectorArrays();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_SetReplaceInvalidValues_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkArrayCalculator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  op->SetReplaceInvalidValues(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayCalculator_GetReplaceInvalidValues_125(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;
  int      temp20;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  temp20 = (op)->GetReplaceInvalidValues();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_ReplaceInvalidValuesOn_126(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  op->ReplaceInvalidValuesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_ReplaceInvalidValuesOff_127(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  op->ReplaceInvalidValuesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_SetReplacementValue_128(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkArrayCalculator *op;
  double   temp0;
  temp0 = id0;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  op->SetReplacementValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkArrayCalculator_GetReplacementValue_129(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;
  double   temp20;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrayCalculator");
  temp20 = (op)->GetReplacementValue();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkArrayCalculator_VTKInit(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *aNewOne = vtkArrayCalculator::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkArrayCalculator_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkArrayCalculator_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkArrayCalculator_Typecast);
}
