// java wrapper for vtkClipVolume object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkClipVolume.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkClipVolume_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkClipVolume",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkClipVolume_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkClipVolume *op;
  const char    *temp20;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipVolume_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkClipVolume *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipVolume_SetValue_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkClipVolume *op;
  double   temp0;
  temp0 = id0;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  op->SetValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkClipVolume_GetValue_13(JNIEnv *env, jobject obj)
{
  vtkClipVolume *op;
  double   temp20;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  temp20 = (op)->GetValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipVolume_SetInsideOut_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkClipVolume *op;
  int      temp0;
  temp0 = id0;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  op->SetInsideOut(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipVolume_GetInsideOut_15(JNIEnv *env, jobject obj)
{
  vtkClipVolume *op;
  int      temp20;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  temp20 = (op)->GetInsideOut();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipVolume_InsideOutOn_16(JNIEnv *env, jobject obj)
{
  vtkClipVolume *op;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  op->InsideOutOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipVolume_InsideOutOff_17(JNIEnv *env, jobject obj)
{
  vtkClipVolume *op;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  op->InsideOutOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipVolume_SetClipFunction_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkClipVolume *op;
  vtkImplicitFunction  *temp0;
  temp0 = (vtkImplicitFunction *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkImplicitFunction"));

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  op->SetClipFunction(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkClipVolume_GetClipFunction_19(JNIEnv *env, jobject obj)
{
  vtkClipVolume *op;
  vtkImplicitFunction  *temp20;
  jobject tempH;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  temp20 = (op)->GetClipFunction();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImplicitFunction", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipVolume_SetGenerateClipScalars_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkClipVolume *op;
  int      temp0;
  temp0 = id0;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  op->SetGenerateClipScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipVolume_GetGenerateClipScalars_111(JNIEnv *env, jobject obj)
{
  vtkClipVolume *op;
  int      temp20;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  temp20 = (op)->GetGenerateClipScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipVolume_GenerateClipScalarsOn_112(JNIEnv *env, jobject obj)
{
  vtkClipVolume *op;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  op->GenerateClipScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipVolume_GenerateClipScalarsOff_113(JNIEnv *env, jobject obj)
{
  vtkClipVolume *op;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  op->GenerateClipScalarsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipVolume_SetGenerateClippedOutput_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkClipVolume *op;
  int      temp0;
  temp0 = id0;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  op->SetGenerateClippedOutput(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipVolume_GetGenerateClippedOutput_115(JNIEnv *env, jobject obj)
{
  vtkClipVolume *op;
  int      temp20;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  temp20 = (op)->GetGenerateClippedOutput();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipVolume_GenerateClippedOutputOn_116(JNIEnv *env, jobject obj)
{
  vtkClipVolume *op;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  op->GenerateClippedOutputOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipVolume_GenerateClippedOutputOff_117(JNIEnv *env, jobject obj)
{
  vtkClipVolume *op;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  op->GenerateClippedOutputOff();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkClipVolume_GetClippedOutput_118(JNIEnv *env, jobject obj)
{
  vtkClipVolume *op;
  vtkUnstructuredGrid  *temp20;
  jobject tempH;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  temp20 = (op)->GetClippedOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnstructuredGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipVolume_SetMixed3DCellGeneration_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkClipVolume *op;
  int      temp0;
  temp0 = id0;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  op->SetMixed3DCellGeneration(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipVolume_GetMixed3DCellGeneration_120(JNIEnv *env, jobject obj)
{
  vtkClipVolume *op;
  int      temp20;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  temp20 = (op)->GetMixed3DCellGeneration();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipVolume_Mixed3DCellGenerationOn_121(JNIEnv *env, jobject obj)
{
  vtkClipVolume *op;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  op->Mixed3DCellGenerationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipVolume_Mixed3DCellGenerationOff_122(JNIEnv *env, jobject obj)
{
  vtkClipVolume *op;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  op->Mixed3DCellGenerationOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipVolume_SetMergeTolerance_123(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkClipVolume *op;
  double   temp0;
  temp0 = id0;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  op->SetMergeTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkClipVolume_GetMergeToleranceMinValue_124(JNIEnv *env, jobject obj)
{
  vtkClipVolume *op;
  double   temp20;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  temp20 = (op)->GetMergeToleranceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkClipVolume_GetMergeToleranceMaxValue_125(JNIEnv *env, jobject obj)
{
  vtkClipVolume *op;
  double   temp20;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  temp20 = (op)->GetMergeToleranceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkClipVolume_GetMergeTolerance_126(JNIEnv *env, jobject obj)
{
  vtkClipVolume *op;
  double   temp20;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  temp20 = (op)->GetMergeTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipVolume_SetLocator_127(JNIEnv *env, jobject obj,jobject id0)
{
  vtkClipVolume *op;
  vtkPointLocator  *temp0;
  temp0 = (vtkPointLocator *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPointLocator"));

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  op->SetLocator(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkClipVolume_GetLocator_128(JNIEnv *env, jobject obj)
{
  vtkClipVolume *op;
  vtkPointLocator  *temp20;
  jobject tempH;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  temp20 = (op)->GetLocator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPointLocator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipVolume_CreateDefaultLocator_129(JNIEnv *env, jobject obj)
{
  vtkClipVolume *op;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  op->CreateDefaultLocator();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipVolume_GetMTime_130(JNIEnv *env, jobject obj)
{
  vtkClipVolume *op;
   unsigned long     temp20;

  op = (vtkClipVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipVolume");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkClipVolume_VTKInit(JNIEnv *env, jobject obj)
{
  vtkClipVolume *aNewOne = vtkClipVolume::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkClipVolume_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkClipVolume_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkClipVolume_Typecast);
}
