// java wrapper for vtkHierarchicalDataExtractLevel object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHierarchicalDataExtractLevel.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkHierarchicalDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHierarchicalDataExtractLevel_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHierarchicalDataExtractLevel",dType)) { return me; }
  if ((res= vtkHierarchicalDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHierarchicalDataExtractLevel_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataExtractLevel *op;
  const char    *temp20;

  op = (vtkHierarchicalDataExtractLevel *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataExtractLevel");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalDataExtractLevel_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHierarchicalDataExtractLevel *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHierarchicalDataExtractLevel *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataExtractLevel");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalDataExtractLevel_SetMinLevel_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkHierarchicalDataExtractLevel *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkHierarchicalDataExtractLevel *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataExtractLevel");
  op->SetMinLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalDataExtractLevel_GetMinLevel_13(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataExtractLevel *op;
   unsigned int      temp20;

  op = (vtkHierarchicalDataExtractLevel *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataExtractLevel");
  temp20 = (op)->GetMinLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalDataExtractLevel_SetMaxLevel_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkHierarchicalDataExtractLevel *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkHierarchicalDataExtractLevel *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataExtractLevel");
  op->SetMaxLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalDataExtractLevel_GetMaxLevel_15(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataExtractLevel *op;
   unsigned int      temp20;

  op = (vtkHierarchicalDataExtractLevel *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataExtractLevel");
  temp20 = (op)->GetMaxLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalDataExtractLevel_SetLevelRange_16(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkHierarchicalDataExtractLevel *op;
   unsigned int      temp0;
   unsigned int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkHierarchicalDataExtractLevel *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataExtractLevel");
  op->SetLevelRange(temp0,temp1);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkHierarchicalDataExtractLevel_GetInputLevels_17(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataExtractLevel *op;
  int     *temp20;

  op = (vtkHierarchicalDataExtractLevel *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataExtractLevel");
  temp20 = (op)->GetInputLevels();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkHierarchicalDataExtractLevel_VTKInit(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataExtractLevel *aNewOne = vtkHierarchicalDataExtractLevel::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkHierarchicalDataExtractLevel_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkHierarchicalDataExtractLevel_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkHierarchicalDataExtractLevel_Typecast);
}
