// java wrapper for vtkIdFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkIdFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkIdFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkIdFilter",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkIdFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkIdFilter *op;
  const char    *temp20;

  op = (vtkIdFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIdFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIdFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkIdFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkIdFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIdFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIdFilter_SetPointIds_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkIdFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkIdFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIdFilter");
  op->SetPointIds(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIdFilter_GetPointIds_13(JNIEnv *env, jobject obj)
{
  vtkIdFilter *op;
  int      temp20;

  op = (vtkIdFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIdFilter");
  temp20 = (op)->GetPointIds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIdFilter_PointIdsOn_14(JNIEnv *env, jobject obj)
{
  vtkIdFilter *op;

  op = (vtkIdFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIdFilter");
  op->PointIdsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIdFilter_PointIdsOff_15(JNIEnv *env, jobject obj)
{
  vtkIdFilter *op;

  op = (vtkIdFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIdFilter");
  op->PointIdsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIdFilter_SetCellIds_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkIdFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkIdFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIdFilter");
  op->SetCellIds(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIdFilter_GetCellIds_17(JNIEnv *env, jobject obj)
{
  vtkIdFilter *op;
  int      temp20;

  op = (vtkIdFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIdFilter");
  temp20 = (op)->GetCellIds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIdFilter_CellIdsOn_18(JNIEnv *env, jobject obj)
{
  vtkIdFilter *op;

  op = (vtkIdFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIdFilter");
  op->CellIdsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIdFilter_CellIdsOff_19(JNIEnv *env, jobject obj)
{
  vtkIdFilter *op;

  op = (vtkIdFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIdFilter");
  op->CellIdsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIdFilter_SetFieldData_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkIdFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkIdFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIdFilter");
  op->SetFieldData(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIdFilter_GetFieldData_111(JNIEnv *env, jobject obj)
{
  vtkIdFilter *op;
  int      temp20;

  op = (vtkIdFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIdFilter");
  temp20 = (op)->GetFieldData();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIdFilter_FieldDataOn_112(JNIEnv *env, jobject obj)
{
  vtkIdFilter *op;

  op = (vtkIdFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIdFilter");
  op->FieldDataOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIdFilter_FieldDataOff_113(JNIEnv *env, jobject obj)
{
  vtkIdFilter *op;

  op = (vtkIdFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIdFilter");
  op->FieldDataOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIdFilter_SetIdsArrayName_114(JNIEnv *env, jobject obj,jstring id0)
{
  vtkIdFilter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkIdFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIdFilter");
  op->SetIdsArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkIdFilter_GetIdsArrayName_115(JNIEnv *env, jobject obj)
{
  vtkIdFilter *op;
  char    *temp20;

  op = (vtkIdFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIdFilter");
  temp20 = (op)->GetIdsArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkIdFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkIdFilter *aNewOne = vtkIdFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkIdFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkIdFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkIdFilter_Typecast);
}
