// java wrapper for vtkMergeFields object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMergeFields.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMergeFields_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMergeFields",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMergeFields_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMergeFields *op;
  const char    *temp20;

  op = (vtkMergeFields *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFields");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMergeFields_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMergeFields *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMergeFields *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFields");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeFields_SetOutputField_12(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkMergeFields *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkMergeFields *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFields");
  op->SetOutputField(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeFields_SetOutputField_13(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkMergeFields *op;
  char    *temp0;
  char    *temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkMergeFields *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFields");
  op->SetOutputField(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeFields_Merge_14(JNIEnv *env, jobject obj,jint id0,jstring id1,jint id2)
{
  vtkMergeFields *op;
  int      temp0;
  char    *temp1;
  int      temp2;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;

  op = (vtkMergeFields *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFields");
  op->Merge(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeFields_SetNumberOfComponents_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkMergeFields *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMergeFields *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFields");
  op->SetNumberOfComponents(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMergeFields_VTKInit(JNIEnv *env, jobject obj)
{
  vtkMergeFields *aNewOne = vtkMergeFields::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMergeFields_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMergeFields_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMergeFields_Typecast);
}
