// java wrapper for vtkReflectionFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkReflectionFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkReflectionFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkReflectionFilter",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkReflectionFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkReflectionFilter *op;
  const char    *temp20;

  op = (vtkReflectionFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkReflectionFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkReflectionFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkReflectionFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkReflectionFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkReflectionFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReflectionFilter_SetPlane_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkReflectionFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkReflectionFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkReflectionFilter");
  op->SetPlane(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkReflectionFilter_GetPlaneMinValue_13(JNIEnv *env, jobject obj)
{
  vtkReflectionFilter *op;
  int      temp20;

  op = (vtkReflectionFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkReflectionFilter");
  temp20 = (op)->GetPlaneMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkReflectionFilter_GetPlaneMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkReflectionFilter *op;
  int      temp20;

  op = (vtkReflectionFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkReflectionFilter");
  temp20 = (op)->GetPlaneMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkReflectionFilter_GetPlane_15(JNIEnv *env, jobject obj)
{
  vtkReflectionFilter *op;
  int      temp20;

  op = (vtkReflectionFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkReflectionFilter");
  temp20 = (op)->GetPlane();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReflectionFilter_SetPlaneToX_16(JNIEnv *env, jobject obj)
{
  vtkReflectionFilter *op;

  op = (vtkReflectionFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkReflectionFilter");
  op->SetPlaneToX();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReflectionFilter_SetPlaneToY_17(JNIEnv *env, jobject obj)
{
  vtkReflectionFilter *op;

  op = (vtkReflectionFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkReflectionFilter");
  op->SetPlaneToY();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReflectionFilter_SetPlaneToZ_18(JNIEnv *env, jobject obj)
{
  vtkReflectionFilter *op;

  op = (vtkReflectionFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkReflectionFilter");
  op->SetPlaneToZ();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReflectionFilter_SetPlaneToXMin_19(JNIEnv *env, jobject obj)
{
  vtkReflectionFilter *op;

  op = (vtkReflectionFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkReflectionFilter");
  op->SetPlaneToXMin();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReflectionFilter_SetPlaneToYMin_110(JNIEnv *env, jobject obj)
{
  vtkReflectionFilter *op;

  op = (vtkReflectionFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkReflectionFilter");
  op->SetPlaneToYMin();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReflectionFilter_SetPlaneToZMin_111(JNIEnv *env, jobject obj)
{
  vtkReflectionFilter *op;

  op = (vtkReflectionFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkReflectionFilter");
  op->SetPlaneToZMin();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReflectionFilter_SetPlaneToXMax_112(JNIEnv *env, jobject obj)
{
  vtkReflectionFilter *op;

  op = (vtkReflectionFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkReflectionFilter");
  op->SetPlaneToXMax();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReflectionFilter_SetPlaneToYMax_113(JNIEnv *env, jobject obj)
{
  vtkReflectionFilter *op;

  op = (vtkReflectionFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkReflectionFilter");
  op->SetPlaneToYMax();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReflectionFilter_SetPlaneToZMax_114(JNIEnv *env, jobject obj)
{
  vtkReflectionFilter *op;

  op = (vtkReflectionFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkReflectionFilter");
  op->SetPlaneToZMax();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReflectionFilter_SetCenter_115(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkReflectionFilter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkReflectionFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkReflectionFilter");
  op->SetCenter(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkReflectionFilter_GetCenter_116(JNIEnv *env, jobject obj)
{
  vtkReflectionFilter *op;
  double   temp20;

  op = (vtkReflectionFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkReflectionFilter");
  temp20 = (op)->GetCenter();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReflectionFilter_SetCopyInput_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkReflectionFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkReflectionFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkReflectionFilter");
  op->SetCopyInput(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkReflectionFilter_GetCopyInput_118(JNIEnv *env, jobject obj)
{
  vtkReflectionFilter *op;
  int      temp20;

  op = (vtkReflectionFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkReflectionFilter");
  temp20 = (op)->GetCopyInput();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReflectionFilter_CopyInputOn_119(JNIEnv *env, jobject obj)
{
  vtkReflectionFilter *op;

  op = (vtkReflectionFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkReflectionFilter");
  op->CopyInputOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReflectionFilter_CopyInputOff_120(JNIEnv *env, jobject obj)
{
  vtkReflectionFilter *op;

  op = (vtkReflectionFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkReflectionFilter");
  op->CopyInputOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkReflectionFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkReflectionFilter *aNewOne = vtkReflectionFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkReflectionFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkReflectionFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkReflectionFilter_Typecast);
}
