// java wrapper for vtkSmoothPolyDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSmoothPolyDataFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSmoothPolyDataFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSmoothPolyDataFilter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSmoothPolyDataFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;
  const char    *temp20;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSmoothPolyDataFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSmoothPolyDataFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmoothPolyDataFilter_SetConvergence_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSmoothPolyDataFilter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  op->SetConvergence(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSmoothPolyDataFilter_GetConvergenceMinValue_13(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;
  double   temp20;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  temp20 = (op)->GetConvergenceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSmoothPolyDataFilter_GetConvergenceMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;
  double   temp20;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  temp20 = (op)->GetConvergenceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSmoothPolyDataFilter_GetConvergence_15(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;
  double   temp20;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  temp20 = (op)->GetConvergence();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmoothPolyDataFilter_SetNumberOfIterations_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkSmoothPolyDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  op->SetNumberOfIterations(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSmoothPolyDataFilter_GetNumberOfIterationsMinValue_17(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;
  int      temp20;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  temp20 = (op)->GetNumberOfIterationsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSmoothPolyDataFilter_GetNumberOfIterationsMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;
  int      temp20;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  temp20 = (op)->GetNumberOfIterationsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSmoothPolyDataFilter_GetNumberOfIterations_19(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;
  int      temp20;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  temp20 = (op)->GetNumberOfIterations();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmoothPolyDataFilter_SetRelaxationFactor_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSmoothPolyDataFilter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  op->SetRelaxationFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSmoothPolyDataFilter_GetRelaxationFactor_111(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;
  double   temp20;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  temp20 = (op)->GetRelaxationFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmoothPolyDataFilter_SetFeatureEdgeSmoothing_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkSmoothPolyDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  op->SetFeatureEdgeSmoothing(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSmoothPolyDataFilter_GetFeatureEdgeSmoothing_113(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;
  int      temp20;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  temp20 = (op)->GetFeatureEdgeSmoothing();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmoothPolyDataFilter_FeatureEdgeSmoothingOn_114(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  op->FeatureEdgeSmoothingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmoothPolyDataFilter_FeatureEdgeSmoothingOff_115(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  op->FeatureEdgeSmoothingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmoothPolyDataFilter_SetFeatureAngle_116(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSmoothPolyDataFilter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  op->SetFeatureAngle(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSmoothPolyDataFilter_GetFeatureAngleMinValue_117(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;
  double   temp20;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  temp20 = (op)->GetFeatureAngleMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSmoothPolyDataFilter_GetFeatureAngleMaxValue_118(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;
  double   temp20;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  temp20 = (op)->GetFeatureAngleMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSmoothPolyDataFilter_GetFeatureAngle_119(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;
  double   temp20;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  temp20 = (op)->GetFeatureAngle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmoothPolyDataFilter_SetEdgeAngle_120(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSmoothPolyDataFilter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  op->SetEdgeAngle(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSmoothPolyDataFilter_GetEdgeAngleMinValue_121(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;
  double   temp20;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  temp20 = (op)->GetEdgeAngleMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSmoothPolyDataFilter_GetEdgeAngleMaxValue_122(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;
  double   temp20;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  temp20 = (op)->GetEdgeAngleMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSmoothPolyDataFilter_GetEdgeAngle_123(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;
  double   temp20;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  temp20 = (op)->GetEdgeAngle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmoothPolyDataFilter_SetBoundarySmoothing_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkSmoothPolyDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  op->SetBoundarySmoothing(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSmoothPolyDataFilter_GetBoundarySmoothing_125(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;
  int      temp20;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  temp20 = (op)->GetBoundarySmoothing();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmoothPolyDataFilter_BoundarySmoothingOn_126(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  op->BoundarySmoothingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmoothPolyDataFilter_BoundarySmoothingOff_127(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  op->BoundarySmoothingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmoothPolyDataFilter_SetGenerateErrorScalars_128(JNIEnv *env, jobject obj,jint id0)
{
  vtkSmoothPolyDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  op->SetGenerateErrorScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSmoothPolyDataFilter_GetGenerateErrorScalars_129(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;
  int      temp20;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  temp20 = (op)->GetGenerateErrorScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmoothPolyDataFilter_GenerateErrorScalarsOn_130(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  op->GenerateErrorScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmoothPolyDataFilter_GenerateErrorScalarsOff_131(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  op->GenerateErrorScalarsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmoothPolyDataFilter_SetGenerateErrorVectors_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkSmoothPolyDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  op->SetGenerateErrorVectors(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSmoothPolyDataFilter_GetGenerateErrorVectors_133(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;
  int      temp20;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  temp20 = (op)->GetGenerateErrorVectors();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmoothPolyDataFilter_GenerateErrorVectorsOn_134(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  op->GenerateErrorVectorsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmoothPolyDataFilter_GenerateErrorVectorsOff_135(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  op->GenerateErrorVectorsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmoothPolyDataFilter_SetSource_136(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSmoothPolyDataFilter *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPolyData"));

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  op->SetSource(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkSmoothPolyDataFilter_GetSource_137(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *op;
  vtkPolyData  *temp20;
  jobject tempH;

  op = (vtkSmoothPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSmoothPolyDataFilter");
  temp20 = (op)->GetSource();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPolyData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSmoothPolyDataFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkSmoothPolyDataFilter *aNewOne = vtkSmoothPolyDataFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSmoothPolyDataFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSmoothPolyDataFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSmoothPolyDataFilter_Typecast);
}
