// java wrapper for vtkTransformTextureCoords object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTransformTextureCoords.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTransformTextureCoords_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTransformTextureCoords",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTransformTextureCoords_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTransformTextureCoords *op;
  const char    *temp20;

  op = (vtkTransformTextureCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformTextureCoords");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransformTextureCoords_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTransformTextureCoords *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTransformTextureCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformTextureCoords");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformTextureCoords_SetPosition_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkTransformTextureCoords *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkTransformTextureCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformTextureCoords");
  op->SetPosition(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformTextureCoords_SetPosition_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTransformTextureCoords *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkTransformTextureCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformTextureCoords");
  op->SetPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTransformTextureCoords_GetPosition_14(JNIEnv *env, jobject obj)
{
  vtkTransformTextureCoords *op;
  double  *temp20;

  op = (vtkTransformTextureCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformTextureCoords");
  temp20 = (op)->GetPosition();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformTextureCoords_AddPosition_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkTransformTextureCoords *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkTransformTextureCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformTextureCoords");
  op->AddPosition(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformTextureCoords_AddPosition_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTransformTextureCoords *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkTransformTextureCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformTextureCoords");
  op->AddPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformTextureCoords_SetScale_17(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkTransformTextureCoords *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkTransformTextureCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformTextureCoords");
  op->SetScale(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformTextureCoords_SetScale_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTransformTextureCoords *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkTransformTextureCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformTextureCoords");
  op->SetScale(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTransformTextureCoords_GetScale_19(JNIEnv *env, jobject obj)
{
  vtkTransformTextureCoords *op;
  double  *temp20;

  op = (vtkTransformTextureCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformTextureCoords");
  temp20 = (op)->GetScale();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformTextureCoords_SetOrigin_110(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkTransformTextureCoords *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkTransformTextureCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformTextureCoords");
  op->SetOrigin(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformTextureCoords_SetOrigin_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTransformTextureCoords *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkTransformTextureCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformTextureCoords");
  op->SetOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTransformTextureCoords_GetOrigin_112(JNIEnv *env, jobject obj)
{
  vtkTransformTextureCoords *op;
  double  *temp20;

  op = (vtkTransformTextureCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformTextureCoords");
  temp20 = (op)->GetOrigin();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformTextureCoords_SetFlipR_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkTransformTextureCoords *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTransformTextureCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformTextureCoords");
  op->SetFlipR(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransformTextureCoords_GetFlipR_114(JNIEnv *env, jobject obj)
{
  vtkTransformTextureCoords *op;
  int      temp20;

  op = (vtkTransformTextureCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformTextureCoords");
  temp20 = (op)->GetFlipR();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformTextureCoords_FlipROn_115(JNIEnv *env, jobject obj)
{
  vtkTransformTextureCoords *op;

  op = (vtkTransformTextureCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformTextureCoords");
  op->FlipROn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformTextureCoords_FlipROff_116(JNIEnv *env, jobject obj)
{
  vtkTransformTextureCoords *op;

  op = (vtkTransformTextureCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformTextureCoords");
  op->FlipROff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformTextureCoords_SetFlipS_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkTransformTextureCoords *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTransformTextureCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformTextureCoords");
  op->SetFlipS(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransformTextureCoords_GetFlipS_118(JNIEnv *env, jobject obj)
{
  vtkTransformTextureCoords *op;
  int      temp20;

  op = (vtkTransformTextureCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformTextureCoords");
  temp20 = (op)->GetFlipS();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformTextureCoords_FlipSOn_119(JNIEnv *env, jobject obj)
{
  vtkTransformTextureCoords *op;

  op = (vtkTransformTextureCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformTextureCoords");
  op->FlipSOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformTextureCoords_FlipSOff_120(JNIEnv *env, jobject obj)
{
  vtkTransformTextureCoords *op;

  op = (vtkTransformTextureCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformTextureCoords");
  op->FlipSOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformTextureCoords_SetFlipT_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkTransformTextureCoords *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTransformTextureCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformTextureCoords");
  op->SetFlipT(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransformTextureCoords_GetFlipT_122(JNIEnv *env, jobject obj)
{
  vtkTransformTextureCoords *op;
  int      temp20;

  op = (vtkTransformTextureCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformTextureCoords");
  temp20 = (op)->GetFlipT();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformTextureCoords_FlipTOn_123(JNIEnv *env, jobject obj)
{
  vtkTransformTextureCoords *op;

  op = (vtkTransformTextureCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformTextureCoords");
  op->FlipTOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformTextureCoords_FlipTOff_124(JNIEnv *env, jobject obj)
{
  vtkTransformTextureCoords *op;

  op = (vtkTransformTextureCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformTextureCoords");
  op->FlipTOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTransformTextureCoords_VTKInit(JNIEnv *env, jobject obj)
{
  vtkTransformTextureCoords *aNewOne = vtkTransformTextureCoords::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTransformTextureCoords_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTransformTextureCoords_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTransformTextureCoords_Typecast);
}
