// java wrapper for vtkTriangularTCoords object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTriangularTCoords.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTriangularTCoords_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTriangularTCoords",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTriangularTCoords_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTriangularTCoords *op;
  const char    *temp20;

  op = (vtkTriangularTCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangularTCoords");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTriangularTCoords_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTriangularTCoords *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTriangularTCoords *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangularTCoords");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTriangularTCoords_VTKInit(JNIEnv *env, jobject obj)
{
  vtkTriangularTCoords *aNewOne = vtkTriangularTCoords::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTriangularTCoords_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTriangularTCoords_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTriangularTCoords_Typecast);
}
