// java wrapper for vtkAnnotatedCubeActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAnnotatedCubeActor.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkProp3D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAnnotatedCubeActor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAnnotatedCubeActor",dType)) { return me; }
  if ((res= vtkProp3D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  const char    *temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnnotatedCubeActor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAnnotatedCubeActor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetActors_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAnnotatedCubeActor *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPropCollection"));

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  op->GetActors(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnnotatedCubeActor_RenderOpaqueGeometry_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAnnotatedCubeActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnnotatedCubeActor_RenderTranslucentGeometry_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAnnotatedCubeActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->RenderTranslucentGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_ShallowCopy_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAnnotatedCubeActor *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_ReleaseGraphicsResources_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAnnotatedCubeActor *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkWindow"));

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetBounds_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAnnotatedCubeActor *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetMTime_18(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
   unsigned long     temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetRedrawMTime_19(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
   unsigned long     temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->GetRedrawMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_SetFaceTextScale_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAnnotatedCubeActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  op->SetFaceTextScale(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetFaceTextScale_111(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  double   temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->GetFaceTextScale();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetXPlusFaceProperty_112(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  vtkProperty  *temp20;
  jobject tempH;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->GetXPlusFaceProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetXMinusFaceProperty_113(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  vtkProperty  *temp20;
  jobject tempH;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->GetXMinusFaceProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetYPlusFaceProperty_114(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  vtkProperty  *temp20;
  jobject tempH;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->GetYPlusFaceProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetYMinusFaceProperty_115(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  vtkProperty  *temp20;
  jobject tempH;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->GetYMinusFaceProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetZPlusFaceProperty_116(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  vtkProperty  *temp20;
  jobject tempH;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->GetZPlusFaceProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetZMinusFaceProperty_117(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  vtkProperty  *temp20;
  jobject tempH;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->GetZMinusFaceProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetCubeProperty_118(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  vtkProperty  *temp20;
  jobject tempH;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->GetCubeProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetTextEdgesProperty_119(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  vtkProperty  *temp20;
  jobject tempH;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->GetTextEdgesProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_SetXPlusFaceText_120(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAnnotatedCubeActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  op->SetXPlusFaceText(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetXPlusFaceText_121(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  char    *temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->GetXPlusFaceText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_SetXMinusFaceText_122(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAnnotatedCubeActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  op->SetXMinusFaceText(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetXMinusFaceText_123(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  char    *temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->GetXMinusFaceText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_SetYPlusFaceText_124(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAnnotatedCubeActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  op->SetYPlusFaceText(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetYPlusFaceText_125(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  char    *temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->GetYPlusFaceText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_SetYMinusFaceText_126(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAnnotatedCubeActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  op->SetYMinusFaceText(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetYMinusFaceText_127(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  char    *temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->GetYMinusFaceText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_SetZPlusFaceText_128(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAnnotatedCubeActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  op->SetZPlusFaceText(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetZPlusFaceText_129(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  char    *temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->GetZPlusFaceText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_SetZMinusFaceText_130(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAnnotatedCubeActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  op->SetZMinusFaceText(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetZMinusFaceText_131(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  char    *temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->GetZMinusFaceText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_SetTextEdges_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkAnnotatedCubeActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  op->SetTextEdges(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetTextEdges_133(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  int      temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->GetTextEdges();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_TextEdgesOn_134(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  op->TextEdgesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_TextEdgesOff_135(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  op->TextEdgesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_SetCube_136(JNIEnv *env, jobject obj,jint id0)
{
  vtkAnnotatedCubeActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  op->SetCube(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetCube_137(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  int      temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->GetCube();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_CubeOn_138(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  op->CubeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_CubeOff_139(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  op->CubeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_SetFaceText_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkAnnotatedCubeActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  op->SetFaceText(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetFaceText_141(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  int      temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->GetFaceText();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_FaceTextOn_142(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  op->FaceTextOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_FaceTextOff_143(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  op->FaceTextOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_SetXFaceTextRotation_144(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAnnotatedCubeActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  op->SetXFaceTextRotation(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetXFaceTextRotation_145(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  double   temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->GetXFaceTextRotation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_SetYFaceTextRotation_146(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAnnotatedCubeActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  op->SetYFaceTextRotation(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetYFaceTextRotation_147(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  double   temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->GetYFaceTextRotation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_SetZFaceTextRotation_148(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAnnotatedCubeActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  op->SetZFaceTextRotation(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetZFaceTextRotation_149(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  double   temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnnotatedCubeActor");
  temp20 = (op)->GetZFaceTextRotation();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAnnotatedCubeActor_VTKInit(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *aNewOne = vtkAnnotatedCubeActor::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAnnotatedCubeActor_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAnnotatedCubeActor_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAnnotatedCubeActor_Typecast);
}
