// java wrapper for vtkCornerAnnotation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCornerAnnotation.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkActor2D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCornerAnnotation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCornerAnnotation",dType)) { return me; }
  if ((res= vtkActor2D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCornerAnnotation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;
  const char    *temp20;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCornerAnnotation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCornerAnnotation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCornerAnnotation_RenderOpaqueGeometry_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCornerAnnotation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCornerAnnotation_RenderTranslucentGeometry_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCornerAnnotation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  temp20 = (op)->RenderTranslucentGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCornerAnnotation_RenderOverlay_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCornerAnnotation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_SetMaximumLineHeight_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCornerAnnotation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  op->SetMaximumLineHeight(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCornerAnnotation_GetMaximumLineHeight_16(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;
  double   temp20;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  temp20 = (op)->GetMaximumLineHeight();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_SetMinimumFontSize_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkCornerAnnotation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  op->SetMinimumFontSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCornerAnnotation_GetMinimumFontSize_18(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;
  int      temp20;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  temp20 = (op)->GetMinimumFontSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_SetMaximumFontSize_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkCornerAnnotation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  op->SetMaximumFontSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCornerAnnotation_GetMaximumFontSize_110(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;
  int      temp20;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  temp20 = (op)->GetMaximumFontSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_SetLinearFontScaleFactor_111(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCornerAnnotation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  op->SetLinearFontScaleFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCornerAnnotation_GetLinearFontScaleFactor_112(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;
  double   temp20;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  temp20 = (op)->GetLinearFontScaleFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_SetNonlinearFontScaleFactor_113(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCornerAnnotation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  op->SetNonlinearFontScaleFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCornerAnnotation_GetNonlinearFontScaleFactor_114(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;
  double   temp20;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  temp20 = (op)->GetNonlinearFontScaleFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_ReleaseGraphicsResources_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCornerAnnotation *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkWindow"));

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_SetText_116(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkCornerAnnotation *op;
  int      temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  op->SetText(temp0,temp1);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCornerAnnotation_GetText_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkCornerAnnotation *op;
  int      temp0;
  char    *temp20;
  temp0 = id0;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  temp20 = (op)->GetText(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_ClearAllTexts_118(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  op->ClearAllTexts();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_CopyAllTextsFrom_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCornerAnnotation *op;
  vtkCornerAnnotation  *temp0;
  temp0 = (vtkCornerAnnotation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCornerAnnotation"));

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  op->CopyAllTextsFrom(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_SetImageActor_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCornerAnnotation *op;
  vtkImageActor  *temp0;
  temp0 = (vtkImageActor *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkImageActor"));

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  op->SetImageActor(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCornerAnnotation_GetImageActor_121(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;
  vtkImageActor  *temp20;
  jobject tempH;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  temp20 = (op)->GetImageActor();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageActor", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_SetWindowLevel_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCornerAnnotation *op;
  vtkImageMapToWindowLevelColors  *temp0;
  temp0 = (vtkImageMapToWindowLevelColors *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkImageMapToWindowLevelColors"));

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  op->SetWindowLevel(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCornerAnnotation_GetWindowLevel_123(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;
  vtkImageMapToWindowLevelColors  *temp20;
  jobject tempH;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  temp20 = (op)->GetWindowLevel();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageMapToWindowLevelColors", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_SetLevelShift_124(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCornerAnnotation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  op->SetLevelShift(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCornerAnnotation_GetLevelShift_125(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;
  double   temp20;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  temp20 = (op)->GetLevelShift();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_SetLevelScale_126(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCornerAnnotation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  op->SetLevelScale(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCornerAnnotation_GetLevelScale_127(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;
  double   temp20;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  temp20 = (op)->GetLevelScale();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_SetTextProperty_128(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCornerAnnotation *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkTextProperty"));

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  op->SetTextProperty(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCornerAnnotation_GetTextProperty_129(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;
  vtkTextProperty  *temp20;
  jobject tempH;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  temp20 = (op)->GetTextProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkTextProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_ShowSliceAndImageOn_130(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  op->ShowSliceAndImageOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_ShowSliceAndImageOff_131(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  op->ShowSliceAndImageOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_SetShowSliceAndImage_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkCornerAnnotation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  op->SetShowSliceAndImage(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCornerAnnotation_GetShowSliceAndImage_133(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;
  int      temp20;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCornerAnnotation");
  temp20 = (op)->GetShowSliceAndImage();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCornerAnnotation_VTKInit(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *aNewOne = vtkCornerAnnotation::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCornerAnnotation_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCornerAnnotation_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCornerAnnotation_Typecast);
}
