// java wrapper for vtkRenderLargeImage object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderLargeImage.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRenderLargeImage_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRenderLargeImage",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderLargeImage_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRenderLargeImage *op;
  const char    *temp20;

  op = (vtkRenderLargeImage *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderLargeImage");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderLargeImage_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderLargeImage *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderLargeImage *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderLargeImage");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderLargeImage_SetMagnification_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderLargeImage *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderLargeImage *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderLargeImage");
  op->SetMagnification(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderLargeImage_GetMagnification_13(JNIEnv *env, jobject obj)
{
  vtkRenderLargeImage *op;
  int      temp20;

  op = (vtkRenderLargeImage *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderLargeImage");
  temp20 = (op)->GetMagnification();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderLargeImage_SetInput_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderLargeImage *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));

  op = (vtkRenderLargeImage *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderLargeImage");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkRenderLargeImage_GetInput_15(JNIEnv *env, jobject obj)
{
  vtkRenderLargeImage *op;
  vtkRenderer  *temp20;
  jobject tempH;

  op = (vtkRenderLargeImage *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderLargeImage");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRenderer", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkRenderLargeImage_GetOutput_16(JNIEnv *env, jobject obj)
{
  vtkRenderLargeImage *op;
  vtkImageData  *temp20;
  jobject tempH;

  op = (vtkRenderLargeImage *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderLargeImage");
  temp20 = (op)->GetOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkRenderLargeImage_VTKInit(JNIEnv *env, jobject obj)
{
  vtkRenderLargeImage *aNewOne = vtkRenderLargeImage::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkRenderLargeImage_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkRenderLargeImage_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkRenderLargeImage_Typecast);
}
