// java wrapper for vtkBMPReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBMPReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkImageReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBMPReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBMPReader",dType)) { return me; }
  if ((res= vtkImageReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBMPReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBMPReader *op;
  const char    *temp20;

  op = (vtkBMPReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBMPReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBMPReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBMPReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBMPReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBMPReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBMPReader_GetDepth_12(JNIEnv *env, jobject obj)
{
  vtkBMPReader *op;
  int      temp20;

  op = (vtkBMPReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBMPReader");
  temp20 = (op)->GetDepth();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBMPReader_CanReadFile_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBMPReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBMPReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBMPReader");
  temp20 = (op)->CanReadFile(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBMPReader_GetFileExtensions_14(JNIEnv *env, jobject obj)
{
  vtkBMPReader *op;
  const char    *temp20;

  op = (vtkBMPReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBMPReader");
  temp20 = (op)->GetFileExtensions();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBMPReader_GetDescriptiveName_15(JNIEnv *env, jobject obj)
{
  vtkBMPReader *op;
  const char    *temp20;

  op = (vtkBMPReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBMPReader");
  temp20 = (op)->GetDescriptiveName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBMPReader_SetAllow8BitBMP_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkBMPReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBMPReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBMPReader");
  op->SetAllow8BitBMP(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBMPReader_GetAllow8BitBMP_17(JNIEnv *env, jobject obj)
{
  vtkBMPReader *op;
  int      temp20;

  op = (vtkBMPReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBMPReader");
  temp20 = (op)->GetAllow8BitBMP();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBMPReader_Allow8BitBMPOn_18(JNIEnv *env, jobject obj)
{
  vtkBMPReader *op;

  op = (vtkBMPReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBMPReader");
  op->Allow8BitBMPOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBMPReader_Allow8BitBMPOff_19(JNIEnv *env, jobject obj)
{
  vtkBMPReader *op;

  op = (vtkBMPReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBMPReader");
  op->Allow8BitBMPOff();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkBMPReader_GetLookupTable_110(JNIEnv *env, jobject obj)
{
  vtkBMPReader *op;
  vtkLookupTable  *temp20;
  jobject tempH;

  op = (vtkBMPReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBMPReader");
  temp20 = (op)->GetLookupTable();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkLookupTable", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkBMPReader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkBMPReader *aNewOne = vtkBMPReader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkBMPReader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkBMPReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkBMPReader_Typecast);
}
