// java wrapper for vtkGenericEnSightReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericEnSightReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataSetSource_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericEnSightReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericEnSightReader",dType)) { return me; }
  if ((res= vtkDataSetSource_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericEnSightReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  const char    *temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericEnSightReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_SetCaseFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericEnSightReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  op->SetCaseFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericEnSightReader_GetCaseFileName_13(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  char    *temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetCaseFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_SetFilePath_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericEnSightReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  op->SetFilePath(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericEnSightReader_GetFilePath_15(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  char    *temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetFilePath();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_Update_16(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  op->Update();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_ExecuteInformation_17(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  op->ExecuteInformation();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfVariables_18(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetNumberOfVariables();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfComplexVariables_19(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetNumberOfComplexVariables();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfVariables_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericEnSightReader *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetNumberOfVariables(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfScalarsPerNode_111(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetNumberOfScalarsPerNode();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfVectorsPerNode_112(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetNumberOfVectorsPerNode();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfTensorsSymmPerNode_113(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetNumberOfTensorsSymmPerNode();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfScalarsPerElement_114(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetNumberOfScalarsPerElement();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfVectorsPerElement_115(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetNumberOfVectorsPerElement();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfTensorsSymmPerElement_116(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetNumberOfTensorsSymmPerElement();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfScalarsPerMeasuredNode_117(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetNumberOfScalarsPerMeasuredNode();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfVectorsPerMeasuredNode_118(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetNumberOfVectorsPerMeasuredNode();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfComplexScalarsPerNode_119(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetNumberOfComplexScalarsPerNode();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfComplexVectorsPerNode_120(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetNumberOfComplexVectorsPerNode();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfComplexScalarsPerElement_121(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetNumberOfComplexScalarsPerElement();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfComplexVectorsPerElement_122(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetNumberOfComplexVectorsPerElement();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericEnSightReader_GetDescription_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericEnSightReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetDescription(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericEnSightReader_GetComplexDescription_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericEnSightReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetComplexDescription(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericEnSightReader_GetDescription_125(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkGenericEnSightReader *op;
  int      temp0;
  int      temp1;
  const char    *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetDescription(temp0,temp1);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetVariableType_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericEnSightReader *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetVariableType(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetComplexVariableType_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericEnSightReader *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetComplexVariableType(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_SetTimeValue_128(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGenericEnSightReader *op;
  float    temp0;
  temp0 = id0;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  op->SetTimeValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericEnSightReader_GetTimeValue_129(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  float    temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetTimeValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericEnSightReader_GetMinimumTimeValue_130(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  float    temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetMinimumTimeValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericEnSightReader_GetMaximumTimeValue_131(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  float    temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetMaximumTimeValue();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGenericEnSightReader_GetTimeSets_132(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  vtkDataArrayCollection  *temp20;
  jobject tempH;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetTimeSets();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataArrayCollection", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_DetermineEnSightVersion_133(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->DetermineEnSightVersion();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_ReadAllVariablesOn_134(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  op->ReadAllVariablesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_ReadAllVariablesOff_135(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  op->ReadAllVariablesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_SetReadAllVariables_136(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericEnSightReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  op->SetReadAllVariables(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetReadAllVariables_137(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetReadAllVariables();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGenericEnSightReader_GetPointDataArraySelection_138(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  vtkDataArraySelection  *temp20;
  jobject tempH;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetPointDataArraySelection();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataArraySelection", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGenericEnSightReader_GetCellDataArraySelection_139(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  vtkDataArraySelection  *temp20;
  jobject tempH;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetCellDataArraySelection();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataArraySelection", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfPointArrays_140(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetNumberOfPointArrays();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfCellArrays_141(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetNumberOfCellArrays();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericEnSightReader_GetPointArrayName_142(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericEnSightReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetPointArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericEnSightReader_GetCellArrayName_143(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericEnSightReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetCellArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetPointArrayStatus_144(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericEnSightReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetPointArrayStatus(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetCellArrayStatus_145(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericEnSightReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetCellArrayStatus(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_SetPointArrayStatus_146(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkGenericEnSightReader *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  op->SetPointArrayStatus(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_SetCellArrayStatus_147(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkGenericEnSightReader *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  op->SetCellArrayStatus(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_SetByteOrderToBigEndian_148(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  op->SetByteOrderToBigEndian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_SetByteOrderToLittleEndian_149(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  op->SetByteOrderToLittleEndian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_SetByteOrder_150(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericEnSightReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  op->SetByteOrder(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetByteOrder_151(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetByteOrder();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericEnSightReader_GetByteOrderAsString_152(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  const char    *temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericEnSightReader");
  temp20 = (op)->GetByteOrderAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGenericEnSightReader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *aNewOne = vtkGenericEnSightReader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGenericEnSightReader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGenericEnSightReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGenericEnSightReader_Typecast);
}
