// java wrapper for vtkPNGWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPNGWriter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkImageWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPNGWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPNGWriter",dType)) { return me; }
  if ((res= vtkImageWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPNGWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPNGWriter *op;
  const char    *temp20;

  op = (vtkPNGWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPNGWriter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPNGWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPNGWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPNGWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPNGWriter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPNGWriter_Write_12(JNIEnv *env, jobject obj)
{
  vtkPNGWriter *op;

  op = (vtkPNGWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPNGWriter");
  op->Write();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPNGWriter_SetWriteToMemory_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkPNGWriter *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkPNGWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPNGWriter");
  op->SetWriteToMemory(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPNGWriter_GetWriteToMemory_14(JNIEnv *env, jobject obj)
{
  vtkPNGWriter *op;
   unsigned int      temp20;

  op = (vtkPNGWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPNGWriter");
  temp20 = (op)->GetWriteToMemory();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPNGWriter_WriteToMemoryOn_15(JNIEnv *env, jobject obj)
{
  vtkPNGWriter *op;

  op = (vtkPNGWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPNGWriter");
  op->WriteToMemoryOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPNGWriter_WriteToMemoryOff_16(JNIEnv *env, jobject obj)
{
  vtkPNGWriter *op;

  op = (vtkPNGWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPNGWriter");
  op->WriteToMemoryOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPNGWriter_SetResult_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPNGWriter *op;
  vtkUnsignedCharArray  *temp0;
  temp0 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkUnsignedCharArray"));

  op = (vtkPNGWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPNGWriter");
  op->SetResult(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPNGWriter_GetResult_18(JNIEnv *env, jobject obj)
{
  vtkPNGWriter *op;
  vtkUnsignedCharArray  *temp20;
  jobject tempH;

  op = (vtkPNGWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPNGWriter");
  temp20 = (op)->GetResult();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnsignedCharArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPNGWriter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkPNGWriter *aNewOne = vtkPNGWriter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPNGWriter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPNGWriter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPNGWriter_Typecast);
}
