// java wrapper for vtkXMLPStructuredDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLPStructuredDataWriter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkXMLPDataWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLPStructuredDataWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLPStructuredDataWriter",dType)) { return me; }
  if ((res= vtkXMLPDataWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLPStructuredDataWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLPStructuredDataWriter *op;
  const char    *temp20;

  op = (vtkXMLPStructuredDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPStructuredDataWriter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLPStructuredDataWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLPStructuredDataWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLPStructuredDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPStructuredDataWriter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLPStructuredDataWriter_SetExtentTranslator_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXMLPStructuredDataWriter *op;
  vtkExtentTranslator  *temp0;
  temp0 = (vtkExtentTranslator *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkExtentTranslator"));

  op = (vtkXMLPStructuredDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPStructuredDataWriter");
  op->SetExtentTranslator(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXMLPStructuredDataWriter_GetExtentTranslator_13(JNIEnv *env, jobject obj)
{
  vtkXMLPStructuredDataWriter *op;
  vtkExtentTranslator  *temp20;
  jobject tempH;

  op = (vtkXMLPStructuredDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPStructuredDataWriter");
  temp20 = (op)->GetExtentTranslator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkExtentTranslator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLPStructuredDataWriter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLPStructuredDataWriter_Typecast);
}
