// java wrapper for vtkXMLRectilinearGridWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLRectilinearGridWriter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkXMLStructuredDataWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLRectilinearGridWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLRectilinearGridWriter",dType)) { return me; }
  if ((res= vtkXMLStructuredDataWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLRectilinearGridWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLRectilinearGridWriter *op;
  const char    *temp20;

  op = (vtkXMLRectilinearGridWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLRectilinearGridWriter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLRectilinearGridWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLRectilinearGridWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLRectilinearGridWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLRectilinearGridWriter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLRectilinearGridWriter_GetDefaultFileExtension_12(JNIEnv *env, jobject obj)
{
  vtkXMLRectilinearGridWriter *op;
  const char    *temp20;

  op = (vtkXMLRectilinearGridWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLRectilinearGridWriter");
  temp20 = (op)->GetDefaultFileExtension();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLRectilinearGridWriter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkXMLRectilinearGridWriter *aNewOne = vtkXMLRectilinearGridWriter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLRectilinearGridWriter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLRectilinearGridWriter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLRectilinearGridWriter_Typecast);
}
