// java wrapper for vtkImageRectilinearWipe object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageRectilinearWipe.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageRectilinearWipe_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageRectilinearWipe",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageRectilinearWipe_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageRectilinearWipe *op;
  const char    *temp20;

  op = (vtkImageRectilinearWipe *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageRectilinearWipe");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageRectilinearWipe_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageRectilinearWipe *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageRectilinearWipe *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageRectilinearWipe");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageRectilinearWipe_SetPosition_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkImageRectilinearWipe *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkImageRectilinearWipe *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageRectilinearWipe");
  op->SetPosition(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageRectilinearWipe_SetPosition_13(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageRectilinearWipe *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkImageRectilinearWipe *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageRectilinearWipe");
  op->SetPosition(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageRectilinearWipe_GetPosition_14(JNIEnv *env, jobject obj)
{
  vtkImageRectilinearWipe *op;
  int     *temp20;

  op = (vtkImageRectilinearWipe *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageRectilinearWipe");
  temp20 = (op)->GetPosition();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageRectilinearWipe_SetInput1_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageRectilinearWipe *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkImageRectilinearWipe *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageRectilinearWipe");
  op->SetInput1(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageRectilinearWipe_SetInput2_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageRectilinearWipe *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkImageRectilinearWipe *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageRectilinearWipe");
  op->SetInput2(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageRectilinearWipe_SetWipe_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageRectilinearWipe *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageRectilinearWipe *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageRectilinearWipe");
  op->SetWipe(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageRectilinearWipe_GetWipeMinValue_18(JNIEnv *env, jobject obj)
{
  vtkImageRectilinearWipe *op;
  int      temp20;

  op = (vtkImageRectilinearWipe *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageRectilinearWipe");
  temp20 = (op)->GetWipeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageRectilinearWipe_GetWipeMaxValue_19(JNIEnv *env, jobject obj)
{
  vtkImageRectilinearWipe *op;
  int      temp20;

  op = (vtkImageRectilinearWipe *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageRectilinearWipe");
  temp20 = (op)->GetWipeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageRectilinearWipe_GetWipe_110(JNIEnv *env, jobject obj)
{
  vtkImageRectilinearWipe *op;
  int      temp20;

  op = (vtkImageRectilinearWipe *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageRectilinearWipe");
  temp20 = (op)->GetWipe();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageRectilinearWipe_SetWipeToQuad_111(JNIEnv *env, jobject obj)
{
  vtkImageRectilinearWipe *op;

  op = (vtkImageRectilinearWipe *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageRectilinearWipe");
  op->SetWipeToQuad();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageRectilinearWipe_SetWipeToHorizontal_112(JNIEnv *env, jobject obj)
{
  vtkImageRectilinearWipe *op;

  op = (vtkImageRectilinearWipe *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageRectilinearWipe");
  op->SetWipeToHorizontal();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageRectilinearWipe_SetWipeToVertical_113(JNIEnv *env, jobject obj)
{
  vtkImageRectilinearWipe *op;

  op = (vtkImageRectilinearWipe *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageRectilinearWipe");
  op->SetWipeToVertical();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageRectilinearWipe_SetWipeToLowerLeft_114(JNIEnv *env, jobject obj)
{
  vtkImageRectilinearWipe *op;

  op = (vtkImageRectilinearWipe *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageRectilinearWipe");
  op->SetWipeToLowerLeft();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageRectilinearWipe_SetWipeToLowerRight_115(JNIEnv *env, jobject obj)
{
  vtkImageRectilinearWipe *op;

  op = (vtkImageRectilinearWipe *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageRectilinearWipe");
  op->SetWipeToLowerRight();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageRectilinearWipe_SetWipeToUpperLeft_116(JNIEnv *env, jobject obj)
{
  vtkImageRectilinearWipe *op;

  op = (vtkImageRectilinearWipe *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageRectilinearWipe");
  op->SetWipeToUpperLeft();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageRectilinearWipe_SetWipeToUpperRight_117(JNIEnv *env, jobject obj)
{
  vtkImageRectilinearWipe *op;

  op = (vtkImageRectilinearWipe *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageRectilinearWipe");
  op->SetWipeToUpperRight();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageRectilinearWipe_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageRectilinearWipe *aNewOne = vtkImageRectilinearWipe::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageRectilinearWipe_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageRectilinearWipe_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageRectilinearWipe_Typecast);
}
