// java wrapper for vtkDistributedStreamTracer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDistributedStreamTracer.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPStreamTracer_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDistributedStreamTracer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDistributedStreamTracer",dType)) { return me; }
  if ((res= vtkPStreamTracer_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDistributedStreamTracer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDistributedStreamTracer *op;
  const char    *temp20;

  op = (vtkDistributedStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedStreamTracer");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistributedStreamTracer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDistributedStreamTracer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDistributedStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedStreamTracer");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDistributedStreamTracer_VTKInit(JNIEnv *env, jobject obj)
{
  vtkDistributedStreamTracer *aNewOne = vtkDistributedStreamTracer::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDistributedStreamTracer_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDistributedStreamTracer_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDistributedStreamTracer_Typecast);
}
