// java wrapper for vtkPDataSetWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPDataSetWriter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataSetWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPDataSetWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPDataSetWriter",dType)) { return me; }
  if ((res= vtkDataSetWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPDataSetWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPDataSetWriter *op;
  const char    *temp20;

  op = (vtkPDataSetWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPDataSetWriter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPDataSetWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPDataSetWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPDataSetWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPDataSetWriter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPDataSetWriter_Write_12(JNIEnv *env, jobject obj)
{
  vtkPDataSetWriter *op;
  int      temp20;

  op = (vtkPDataSetWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPDataSetWriter");
  temp20 = (op)->Write();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPDataSetWriter_SetNumberOfPieces_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkPDataSetWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPDataSetWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPDataSetWriter");
  op->SetNumberOfPieces(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPDataSetWriter_GetNumberOfPieces_14(JNIEnv *env, jobject obj)
{
  vtkPDataSetWriter *op;
  int      temp20;

  op = (vtkPDataSetWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPDataSetWriter");
  temp20 = (op)->GetNumberOfPieces();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPDataSetWriter_SetGhostLevel_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkPDataSetWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPDataSetWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPDataSetWriter");
  op->SetGhostLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPDataSetWriter_GetGhostLevel_16(JNIEnv *env, jobject obj)
{
  vtkPDataSetWriter *op;
  int      temp20;

  op = (vtkPDataSetWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPDataSetWriter");
  temp20 = (op)->GetGhostLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPDataSetWriter_SetStartPiece_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkPDataSetWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPDataSetWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPDataSetWriter");
  op->SetStartPiece(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPDataSetWriter_GetStartPiece_18(JNIEnv *env, jobject obj)
{
  vtkPDataSetWriter *op;
  int      temp20;

  op = (vtkPDataSetWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPDataSetWriter");
  temp20 = (op)->GetStartPiece();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPDataSetWriter_SetEndPiece_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkPDataSetWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPDataSetWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPDataSetWriter");
  op->SetEndPiece(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPDataSetWriter_GetEndPiece_110(JNIEnv *env, jobject obj)
{
  vtkPDataSetWriter *op;
  int      temp20;

  op = (vtkPDataSetWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPDataSetWriter");
  temp20 = (op)->GetEndPiece();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPDataSetWriter_SetFilePattern_111(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPDataSetWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPDataSetWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPDataSetWriter");
  op->SetFilePattern(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPDataSetWriter_GetFilePattern_112(JNIEnv *env, jobject obj)
{
  vtkPDataSetWriter *op;
  char    *temp20;

  op = (vtkPDataSetWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPDataSetWriter");
  temp20 = (op)->GetFilePattern();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPDataSetWriter_SetUseRelativeFileNames_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkPDataSetWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPDataSetWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPDataSetWriter");
  op->SetUseRelativeFileNames(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPDataSetWriter_GetUseRelativeFileNames_114(JNIEnv *env, jobject obj)
{
  vtkPDataSetWriter *op;
  int      temp20;

  op = (vtkPDataSetWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPDataSetWriter");
  temp20 = (op)->GetUseRelativeFileNames();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPDataSetWriter_UseRelativeFileNamesOn_115(JNIEnv *env, jobject obj)
{
  vtkPDataSetWriter *op;

  op = (vtkPDataSetWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPDataSetWriter");
  op->UseRelativeFileNamesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPDataSetWriter_UseRelativeFileNamesOff_116(JNIEnv *env, jobject obj)
{
  vtkPDataSetWriter *op;

  op = (vtkPDataSetWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPDataSetWriter");
  op->UseRelativeFileNamesOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPDataSetWriter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkPDataSetWriter *aNewOne = vtkPDataSetWriter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPDataSetWriter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPDataSetWriter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPDataSetWriter_Typecast);
}
