// java wrapper for vtkParallelRenderManager object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParallelRenderManager.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkParallelRenderManager_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkParallelRenderManager",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkParallelRenderManager_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  const char    *temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelRenderManager_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkParallelRenderManager *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkParallelRenderManager_MakeRenderWindow_12(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  vtkRenderWindow  *temp20;
  jobject tempH;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  temp20 = (op)->MakeRenderWindow();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRenderWindow", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkParallelRenderManager_MakeRenderer_13(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  vtkRenderer  *temp20;
  jobject tempH;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  temp20 = (op)->MakeRenderer();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRenderer", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkParallelRenderManager_GetRenderWindow_14(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  vtkRenderWindow  *temp20;
  jobject tempH;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  temp20 = (op)->GetRenderWindow();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRenderWindow", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetRenderWindow_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelRenderManager *op;
  vtkRenderWindow  *temp0;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderWindow"));

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->SetRenderWindow(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkParallelRenderManager_GetController_16(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  vtkMultiProcessController  *temp20;
  jobject tempH;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  temp20 = (op)->GetController();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkMultiProcessController", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetController_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelRenderManager *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkMultiProcessController"));

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->SetController(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_InitializePieces_18(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->InitializePieces();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_InitializeOffScreen_19(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->InitializeOffScreen();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_StartInteractor_110(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->StartInteractor();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_StartServices_111(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->StartServices();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_StopServices_112(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->StopServices();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_StartRender_113(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->StartRender();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_EndRender_114(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->EndRender();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SatelliteStartRender_115(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->SatelliteStartRender();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SatelliteEndRender_116(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->SatelliteEndRender();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_RenderRMI_117(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->RenderRMI();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_ResetCamera_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelRenderManager *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->ResetCamera(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_ResetCameraClippingRange_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelRenderManager *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->ResetCameraClippingRange(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_ComputeVisiblePropBoundsRMI_120(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->ComputeVisiblePropBoundsRMI();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_InitializeRMIs_121(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->InitializeRMIs();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_ResetAllCameras_122(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->ResetAllCameras();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_ComputeVisiblePropBounds_123(JNIEnv *env, jobject obj,jobject id0,jdoubleArray id1)
{
  vtkParallelRenderManager *op;
  vtkRenderer  *temp0;
  double temp1[6];
  void *tempArray1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->ComputeVisiblePropBounds(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetParallelRendering_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelRenderManager *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->SetParallelRendering(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelRenderManager_GetParallelRendering_125(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  int      temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  temp20 = (op)->GetParallelRendering();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_ParallelRenderingOn_126(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->ParallelRenderingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_ParallelRenderingOff_127(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->ParallelRenderingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetRenderEventPropagation_128(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelRenderManager *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->SetRenderEventPropagation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelRenderManager_GetRenderEventPropagation_129(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  int      temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  temp20 = (op)->GetRenderEventPropagation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_RenderEventPropagationOn_130(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->RenderEventPropagationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_RenderEventPropagationOff_131(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->RenderEventPropagationOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetUseCompositing_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelRenderManager *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->SetUseCompositing(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelRenderManager_GetUseCompositing_133(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  int      temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  temp20 = (op)->GetUseCompositing();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_UseCompositingOn_134(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->UseCompositingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_UseCompositingOff_135(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->UseCompositingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetImageReductionFactor_136(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkParallelRenderManager *op;
  double   temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->SetImageReductionFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkParallelRenderManager_GetImageReductionFactor_137(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  double   temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  temp20 = (op)->GetImageReductionFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetMaxImageReductionFactor_138(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkParallelRenderManager *op;
  double   temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->SetMaxImageReductionFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkParallelRenderManager_GetMaxImageReductionFactor_139(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  double   temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  temp20 = (op)->GetMaxImageReductionFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetImageReductionFactorForUpdateRate_140(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkParallelRenderManager *op;
  double   temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->SetImageReductionFactorForUpdateRate(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetAutoImageReductionFactor_141(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelRenderManager *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->SetAutoImageReductionFactor(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelRenderManager_GetAutoImageReductionFactor_142(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  int      temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  temp20 = (op)->GetAutoImageReductionFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_AutoImageReductionFactorOn_143(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->AutoImageReductionFactorOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_AutoImageReductionFactorOff_144(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->AutoImageReductionFactorOff();
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkParallelRenderManager_GetRenderTime_145(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  double   temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  temp20 = (op)->GetRenderTime();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkParallelRenderManager_GetImageProcessingTime_146(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  double   temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  temp20 = (op)->GetImageProcessingTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetWriteBackImages_147(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelRenderManager *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->SetWriteBackImages(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelRenderManager_GetWriteBackImages_148(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  int      temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  temp20 = (op)->GetWriteBackImages();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_WriteBackImagesOn_149(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->WriteBackImagesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_WriteBackImagesOff_150(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->WriteBackImagesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetMagnifyImages_151(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelRenderManager *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->SetMagnifyImages(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelRenderManager_GetMagnifyImages_152(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  int      temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  temp20 = (op)->GetMagnifyImages();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_MagnifyImagesOn_153(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->MagnifyImagesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_MagnifyImagesOff_154(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->MagnifyImagesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetMagnifyImageMethod_155(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelRenderManager *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->SetMagnifyImageMethod(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelRenderManager_GetMagnifyImageMethod_156(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  int      temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  temp20 = (op)->GetMagnifyImageMethod();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetMagnifyImageMethodToNearest_157(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->SetMagnifyImageMethodToNearest();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetMagnifyImageMethodToLinear_158(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->SetMagnifyImageMethodToLinear();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_GetPixelData_159(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelRenderManager *op;
  vtkUnsignedCharArray  *temp0;
  temp0 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkUnsignedCharArray"));

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->GetPixelData(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_GetPixelData_160(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jobject id4)
{
  vtkParallelRenderManager *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkUnsignedCharArray  *temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id4,(char *) "vtkUnsignedCharArray"));

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->GetPixelData(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_GetReducedPixelData_161(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelRenderManager *op;
  vtkUnsignedCharArray  *temp0;
  temp0 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkUnsignedCharArray"));

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->GetReducedPixelData(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_GetReducedPixelData_162(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jobject id4)
{
  vtkParallelRenderManager *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkUnsignedCharArray  *temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id4,(char *) "vtkUnsignedCharArray"));

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->GetReducedPixelData(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkParallelRenderManager_GetFullImageSize_163(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  int     *temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  temp20 = (op)->GetFullImageSize();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkParallelRenderManager_GetReducedImageSize_164(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  int     *temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  temp20 = (op)->GetReducedImageSize();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_TileWindows_165(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkParallelRenderManager *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->TileWindows(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetUseRGBA_166(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelRenderManager *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->SetUseRGBA(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelRenderManager_GetUseRGBA_167(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  int      temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  temp20 = (op)->GetUseRGBA();
  return temp20;
}

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_StartService_168(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParallelRenderManager");
  op->StartService();
}
#endif

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkParallelRenderManager_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkParallelRenderManager_Typecast);
}
