// java wrapper for vtkAbstractMapper3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAbstractMapper3D.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkAbstractMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAbstractMapper3D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAbstractMapper3D",dType)) { return me; }
  if ((res= vtkAbstractMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAbstractMapper3D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAbstractMapper3D *op;
  const char    *temp20;

  op = (vtkAbstractMapper3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractMapper3D");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractMapper3D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAbstractMapper3D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAbstractMapper3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractMapper3D");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAbstractMapper3D_GetBounds_12(JNIEnv *env, jobject obj)
{
  vtkAbstractMapper3D *op;
  double  *temp20;

  op = (vtkAbstractMapper3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractMapper3D");
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractMapper3D_GetBounds_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAbstractMapper3D *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkAbstractMapper3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractMapper3D");
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAbstractMapper3D_GetCenter_14(JNIEnv *env, jobject obj)
{
  vtkAbstractMapper3D *op;
  double  *temp20;

  op = (vtkAbstractMapper3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractMapper3D");
  temp20 = (op)->GetCenter();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractMapper3D_GetCenter_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAbstractMapper3D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAbstractMapper3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractMapper3D");
  op->GetCenter(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAbstractMapper3D_GetLength_16(JNIEnv *env, jobject obj)
{
  vtkAbstractMapper3D *op;
  double   temp20;

  op = (vtkAbstractMapper3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractMapper3D");
  temp20 = (op)->GetLength();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractMapper3D_IsARayCastMapper_17(JNIEnv *env, jobject obj)
{
  vtkAbstractMapper3D *op;
  int      temp20;

  op = (vtkAbstractMapper3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractMapper3D");
  temp20 = (op)->IsARayCastMapper();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractMapper3D_IsARenderIntoImageMapper_18(JNIEnv *env, jobject obj)
{
  vtkAbstractMapper3D *op;
  int      temp20;

  op = (vtkAbstractMapper3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractMapper3D");
  temp20 = (op)->IsARenderIntoImageMapper();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAbstractMapper3D_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAbstractMapper3D_Typecast);
}
