// java wrapper for vtkAbstractPropPicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAbstractPropPicker.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkAbstractPicker_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAbstractPropPicker_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAbstractPropPicker",dType)) { return me; }
  if ((res= vtkAbstractPicker_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAbstractPropPicker_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAbstractPropPicker *op;
  const char    *temp20;

  op = (vtkAbstractPropPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPropPicker");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractPropPicker_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAbstractPropPicker *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAbstractPropPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPropPicker");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPropPicker_SetPath_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractPropPicker *op;
  vtkAssemblyPath  *temp0;
  temp0 = (vtkAssemblyPath *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAssemblyPath"));

  op = (vtkAbstractPropPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPropPicker");
  op->SetPath(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAbstractPropPicker_GetPath_13(JNIEnv *env, jobject obj)
{
  vtkAbstractPropPicker *op;
  vtkAssemblyPath  *temp20;
  jobject tempH;

  op = (vtkAbstractPropPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPropPicker");
  temp20 = (op)->GetPath();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAssemblyPath", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAbstractPropPicker_GetViewProp_14(JNIEnv *env, jobject obj)
{
  vtkAbstractPropPicker *op;
  vtkProp  *temp20;
  jobject tempH;

  op = (vtkAbstractPropPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPropPicker");
  temp20 = (op)->GetViewProp();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProp", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAbstractPropPicker_GetProp3D_15(JNIEnv *env, jobject obj)
{
  vtkAbstractPropPicker *op;
  vtkProp3D  *temp20;
  jobject tempH;

  op = (vtkAbstractPropPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPropPicker");
  temp20 = (op)->GetProp3D();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProp3D", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAbstractPropPicker_GetActor_16(JNIEnv *env, jobject obj)
{
  vtkAbstractPropPicker *op;
  vtkActor  *temp20;
  jobject tempH;

  op = (vtkAbstractPropPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPropPicker");
  temp20 = (op)->GetActor();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkActor", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAbstractPropPicker_GetActor2D_17(JNIEnv *env, jobject obj)
{
  vtkAbstractPropPicker *op;
  vtkActor2D  *temp20;
  jobject tempH;

  op = (vtkAbstractPropPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPropPicker");
  temp20 = (op)->GetActor2D();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkActor2D", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAbstractPropPicker_GetVolume_18(JNIEnv *env, jobject obj)
{
  vtkAbstractPropPicker *op;
  vtkVolume  *temp20;
  jobject tempH;

  op = (vtkAbstractPropPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPropPicker");
  temp20 = (op)->GetVolume();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkVolume", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAbstractPropPicker_GetAssembly_19(JNIEnv *env, jobject obj)
{
  vtkAbstractPropPicker *op;
  vtkAssembly  *temp20;
  jobject tempH;

  op = (vtkAbstractPropPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPropPicker");
  temp20 = (op)->GetAssembly();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAssembly", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAbstractPropPicker_GetPropAssembly_110(JNIEnv *env, jobject obj)
{
  vtkAbstractPropPicker *op;
  vtkPropAssembly  *temp20;
  jobject tempH;

  op = (vtkAbstractPropPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPropPicker");
  temp20 = (op)->GetPropAssembly();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPropAssembly", (void *)temp20);
      }
    }
  return tempH;
}

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAbstractPropPicker_GetProp_111(JNIEnv *env, jobject obj)
{
  vtkAbstractPropPicker *op;
  vtkProp  *temp20;
  jobject tempH;

  op = (vtkAbstractPropPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPropPicker");
  temp20 = (op)->GetProp();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProp", (void *)temp20);
      }
    }
  return tempH;
}
#endif

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAbstractPropPicker_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAbstractPropPicker_Typecast);
}
