// java wrapper for vtkAbstractVolumeMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAbstractVolumeMapper.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkAbstractMapper3D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAbstractVolumeMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAbstractVolumeMapper",dType)) { return me; }
  if ((res= vtkAbstractMapper3D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAbstractVolumeMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAbstractVolumeMapper *op;
  const char    *temp20;

  op = (vtkAbstractVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractVolumeMapper");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractVolumeMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAbstractVolumeMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAbstractVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractVolumeMapper");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractVolumeMapper_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractVolumeMapper *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkAbstractVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractVolumeMapper");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAbstractVolumeMapper_GetDataSetInput_13(JNIEnv *env, jobject obj)
{
  vtkAbstractVolumeMapper *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkAbstractVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractVolumeMapper");
  temp20 = (op)->GetDataSetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractVolumeMapper_GetBounds_14(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAbstractVolumeMapper *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkAbstractVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractVolumeMapper");
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAbstractVolumeMapper_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAbstractVolumeMapper_Typecast);
}
