// java wrapper for vtkFollower object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFollower.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkActor_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkFollower_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkFollower",dType)) { return me; }
  if ((res= vtkActor_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkFollower_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkFollower *op;
  const char    *temp20;

  op = (vtkFollower *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFollower");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFollower_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFollower *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFollower *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFollower");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFollower_SetCamera_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkFollower *op;
  vtkCamera  *temp0;
  temp0 = (vtkCamera *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCamera"));

  op = (vtkFollower *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFollower");
  op->SetCamera(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkFollower_GetCamera_13(JNIEnv *env, jobject obj)
{
  vtkFollower *op;
  vtkCamera  *temp20;
  jobject tempH;

  op = (vtkFollower *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFollower");
  temp20 = (op)->GetCamera();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCamera", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFollower_RenderOpaqueGeometry_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkFollower *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkFollower *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFollower");
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFollower_RenderTranslucentGeometry_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkFollower *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkFollower *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFollower");
  temp20 = (op)->RenderTranslucentGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFollower_Render_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkFollower *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));

  op = (vtkFollower *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFollower");
  op->Render(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFollower_GetMatrix_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkFollower *op;
  vtkMatrix4x4  *temp0;
  temp0 = (vtkMatrix4x4 *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkMatrix4x4"));

  op = (vtkFollower *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFollower");
  op->GetMatrix(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFollower_GetMatrix_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkFollower *op;
  double temp0[16];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];
  temp0[9] = ((jdouble *)tempArray0)[9];
  temp0[10] = ((jdouble *)tempArray0)[10];
  temp0[11] = ((jdouble *)tempArray0)[11];
  temp0[12] = ((jdouble *)tempArray0)[12];
  temp0[13] = ((jdouble *)tempArray0)[13];
  temp0[14] = ((jdouble *)tempArray0)[14];
  temp0[15] = ((jdouble *)tempArray0)[15];

  op = (vtkFollower *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFollower");
  op->GetMatrix(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  ((jdouble *)tempArray0)[9] = temp0[9];
  ((jdouble *)tempArray0)[10] = temp0[10];
  ((jdouble *)tempArray0)[11] = temp0[11];
  ((jdouble *)tempArray0)[12] = temp0[12];
  ((jdouble *)tempArray0)[13] = temp0[13];
  ((jdouble *)tempArray0)[14] = temp0[14];
  ((jdouble *)tempArray0)[15] = temp0[15];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkFollower_GetMatrix_19(JNIEnv *env, jobject obj)
{
  vtkFollower *op;
  vtkMatrix4x4  *temp20;
  jobject tempH;

  op = (vtkFollower *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFollower");
  temp20 = (op)->GetMatrix();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkMatrix4x4", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFollower_ShallowCopy_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkFollower *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkFollower *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFollower");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkFollower_VTKInit(JNIEnv *env, jobject obj)
{
  vtkFollower *aNewOne = vtkFollower::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkFollower_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkFollower_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkFollower_Typecast);
}
