// java wrapper for vtkIVExporter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkIVExporter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkExporter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkIVExporter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkIVExporter",dType)) { return me; }
  if ((res= vtkExporter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkIVExporter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkIVExporter *op;
  const char    *temp20;

  op = (vtkIVExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIVExporter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIVExporter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkIVExporter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkIVExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIVExporter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIVExporter_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkIVExporter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkIVExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIVExporter");
  op->SetFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkIVExporter_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkIVExporter *op;
  char    *temp20;

  op = (vtkIVExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIVExporter");
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkIVExporter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkIVExporter *aNewOne = vtkIVExporter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkIVExporter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkIVExporter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkIVExporter_Typecast);
}
