// java wrapper for vtkInteractorStyle object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorStyle.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkInteractorObserver_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInteractorStyle_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInteractorStyle",dType)) { return me; }
  if ((res= vtkInteractorObserver_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInteractorStyle_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;
  const char    *temp20;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyle_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInteractorStyle *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_SetInteractor_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInteractorStyle *op;
  vtkRenderWindowInteractor  *temp0;
  temp0 = (vtkRenderWindowInteractor *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderWindowInteractor"));

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->SetInteractor(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_SetEnabled_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkInteractorStyle *op;
  int      temp0;
  temp0 = id0;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_SetAutoAdjustCameraClippingRange_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkInteractorStyle *op;
  int      temp0;
  temp0 = id0;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->SetAutoAdjustCameraClippingRange(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyle_GetAutoAdjustCameraClippingRangeMinValue_15(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;
  int      temp20;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  temp20 = (op)->GetAutoAdjustCameraClippingRangeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyle_GetAutoAdjustCameraClippingRangeMaxValue_16(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;
  int      temp20;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  temp20 = (op)->GetAutoAdjustCameraClippingRangeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyle_GetAutoAdjustCameraClippingRange_17(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;
  int      temp20;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  temp20 = (op)->GetAutoAdjustCameraClippingRange();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_AutoAdjustCameraClippingRangeOn_18(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->AutoAdjustCameraClippingRangeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_AutoAdjustCameraClippingRangeOff_19(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->AutoAdjustCameraClippingRangeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_FindPokedRenderer_110(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkInteractorStyle *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->FindPokedRenderer(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyle_GetState_111(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;
  int      temp20;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  temp20 = (op)->GetState();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyle_GetUseTimers_112(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;
  int      temp20;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  temp20 = (op)->GetUseTimers();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_SetUseTimers_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkInteractorStyle *op;
  int      temp0;
  temp0 = id0;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->SetUseTimers(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_UseTimersOn_114(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->UseTimersOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_UseTimersOff_115(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->UseTimersOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_SetHandleObservers_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkInteractorStyle *op;
  int      temp0;
  temp0 = id0;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->SetHandleObservers(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyle_GetHandleObservers_117(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;
  int      temp20;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  temp20 = (op)->GetHandleObservers();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_HandleObserversOn_118(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->HandleObserversOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_HandleObserversOff_119(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->HandleObserversOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnMouseMove_120(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->OnMouseMove();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnLeftButtonDown_121(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->OnLeftButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnLeftButtonUp_122(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->OnLeftButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnMiddleButtonDown_123(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->OnMiddleButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnMiddleButtonUp_124(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->OnMiddleButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnRightButtonDown_125(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->OnRightButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnRightButtonUp_126(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->OnRightButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnMouseWheelForward_127(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->OnMouseWheelForward();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnMouseWheelBackward_128(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->OnMouseWheelBackward();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnChar_129(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->OnChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnKeyDown_130(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->OnKeyDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnKeyUp_131(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->OnKeyUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnKeyPress_132(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->OnKeyPress();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnKeyRelease_133(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->OnKeyRelease();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnExpose_134(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->OnExpose();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnConfigure_135(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->OnConfigure();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnEnter_136(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->OnEnter();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnLeave_137(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->OnLeave();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnTimer_138(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->OnTimer();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_Rotate_139(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->Rotate();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_Spin_140(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->Spin();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_Pan_141(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->Pan();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_Dolly_142(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->Dolly();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_Zoom_143(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->Zoom();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_UniformScale_144(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->UniformScale();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_StartState_145(JNIEnv *env, jobject obj,jint id0)
{
  vtkInteractorStyle *op;
  int      temp0;
  temp0 = id0;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->StartState(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_StopState_146(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->StopState();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_StartAnimate_147(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->StartAnimate();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_StopAnimate_148(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->StopAnimate();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_StartRotate_149(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->StartRotate();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_EndRotate_150(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->EndRotate();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_StartZoom_151(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->StartZoom();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_EndZoom_152(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->EndZoom();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_StartPan_153(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->StartPan();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_EndPan_154(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->EndPan();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_StartSpin_155(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->StartSpin();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_EndSpin_156(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->EndSpin();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_StartDolly_157(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->StartDolly();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_EndDolly_158(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->EndDolly();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_StartUniformScale_159(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->StartUniformScale();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_EndUniformScale_160(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->EndUniformScale();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_StartTimer_161(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->StartTimer();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_EndTimer_162(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->EndTimer();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_HighlightProp_163(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInteractorStyle *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->HighlightProp(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_HighlightActor2D_164(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInteractorStyle *op;
  vtkActor2D  *temp0;
  temp0 = (vtkActor2D *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkActor2D"));

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->HighlightActor2D(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_HighlightProp3D_165(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInteractorStyle *op;
  vtkProp3D  *temp0;
  temp0 = (vtkProp3D *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp3D"));

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->HighlightProp3D(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_SetPickColor_166(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkInteractorStyle *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->SetPickColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_SetPickColor_167(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkInteractorStyle *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->SetPickColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkInteractorStyle_GetPickColor_168(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;
  double  *temp20;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  temp20 = (op)->GetPickColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_SetMouseWheelMotionFactor_169(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkInteractorStyle *op;
  double   temp0;
  temp0 = id0;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  op->SetMouseWheelMotionFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkInteractorStyle_GetMouseWheelMotionFactor_170(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;
  double   temp20;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyle");
  temp20 = (op)->GetMouseWheelMotionFactor();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInteractorStyle_VTKInit(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *aNewOne = vtkInteractorStyle::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInteractorStyle_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInteractorStyle_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInteractorStyle_Typecast);
}
