// java wrapper for vtkOpenGLActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLActor.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkActor_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLActor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLActor",dType)) { return me; }
  if ((res= vtkActor_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLActor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLActor *op;
  const char    *temp20;

  op = (vtkOpenGLActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLActor");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLActor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLActor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLActor");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLActor_Render_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkOpenGLActor *op;
  vtkRenderer  *temp0;
  vtkMapper  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));
  temp1 = (vtkMapper *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkMapper"));

  op = (vtkOpenGLActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLActor");
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkOpenGLActor_VTKInit(JNIEnv *env, jobject obj)
{
  vtkOpenGLActor *aNewOne = vtkOpenGLActor::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkOpenGLActor_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkOpenGLActor_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkOpenGLActor_Typecast);
}
