// java wrapper for vtkOpenGLProperty object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLProperty.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkProperty_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLProperty_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLProperty",dType)) { return me; }
  if ((res= vtkProperty_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLProperty_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLProperty *op;
  const char    *temp20;

  op = (vtkOpenGLProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLProperty");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLProperty_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLProperty *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLProperty");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLProperty_Render_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkOpenGLProperty *op;
  vtkActor  *temp0;
  vtkRenderer  *temp1;
  temp0 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkActor"));
  temp1 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkRenderer"));

  op = (vtkOpenGLProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLProperty");
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLProperty_BackfaceRender_13(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkOpenGLProperty *op;
  vtkActor  *temp0;
  vtkRenderer  *temp1;
  temp0 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkActor"));
  temp1 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkRenderer"));

  op = (vtkOpenGLProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLProperty");
  op->BackfaceRender(temp0,temp1);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkOpenGLProperty_VTKInit(JNIEnv *env, jobject obj)
{
  vtkOpenGLProperty *aNewOne = vtkOpenGLProperty::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkOpenGLProperty_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkOpenGLProperty_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkOpenGLProperty_Typecast);
}
