// java wrapper for vtkPointPicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPointPicker.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPicker_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPointPicker_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPointPicker",dType)) { return me; }
  if ((res= vtkPicker_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPointPicker_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPointPicker *op;
  const char    *temp20;

  op = (vtkPointPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointPicker");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointPicker_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPointPicker *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPointPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointPicker");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointPicker_GetPointId_12(JNIEnv *env, jobject obj)
{
  vtkPointPicker *op;
  vtkIdType   temp20;

  op = (vtkPointPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointPicker");
  temp20 = (op)->GetPointId();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPointPicker_VTKInit(JNIEnv *env, jobject obj)
{
  vtkPointPicker *aNewOne = vtkPointPicker::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPointPicker_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPointPicker_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPointPicker_Typecast);
}
