// java wrapper for vtkTesting object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTesting.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTesting_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTesting",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTesting_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTesting *op;
  const char    *temp20;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTesting");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTesting_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTesting *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTesting");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTesting_SetFrontBuffer_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkTesting *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTesting");
  op->SetFrontBuffer(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTesting_GetFrontBufferMinValue_13(JNIEnv *env, jobject obj)
{
  vtkTesting *op;
  int      temp20;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTesting");
  temp20 = (op)->GetFrontBufferMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTesting_GetFrontBufferMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkTesting *op;
  int      temp20;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTesting");
  temp20 = (op)->GetFrontBufferMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTesting_FrontBufferOn_15(JNIEnv *env, jobject obj)
{
  vtkTesting *op;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTesting");
  op->FrontBufferOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTesting_FrontBufferOff_16(JNIEnv *env, jobject obj)
{
  vtkTesting *op;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTesting");
  op->FrontBufferOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTesting_GetFrontBuffer_17(JNIEnv *env, jobject obj)
{
  vtkTesting *op;
  int      temp20;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTesting");
  temp20 = (op)->GetFrontBuffer();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTesting_RegressionTest_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTesting *op;
  double   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTesting");
  temp20 = (op)->RegressionTest(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTesting_RegressionTest_19(JNIEnv *env, jobject obj,jobject id0,jdouble id1)
{
  vtkTesting *op;
  vtkImageData  *temp0;
  double   temp1;
  int      temp20;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkImageData"));
  temp1 = id1;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTesting");
  temp20 = (op)->RegressionTest(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTesting_SetRenderWindow_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTesting *op;
  vtkRenderWindow  *temp0;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderWindow"));

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTesting");
  op->SetRenderWindow(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkTesting_GetRenderWindow_111(JNIEnv *env, jobject obj)
{
  vtkTesting *op;
  vtkRenderWindow  *temp20;
  jobject tempH;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTesting");
  temp20 = (op)->GetRenderWindow();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRenderWindow", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTesting_SetValidImageFileName_112(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTesting *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTesting");
  op->SetValidImageFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTesting_GetValidImageFileName_113(JNIEnv *env, jobject obj)
{
  vtkTesting *op;
  const char    *temp20;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTesting");
  temp20 = (op)->GetValidImageFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTesting_GetImageDifference_114(JNIEnv *env, jobject obj)
{
  vtkTesting *op;
  double   temp20;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTesting");
  temp20 = (op)->GetImageDifference();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTesting_AddArgument_115(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTesting *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTesting");
  op->AddArgument(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTesting_CleanArguments_116(JNIEnv *env, jobject obj)
{
  vtkTesting *op;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTesting");
  op->CleanArguments();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTesting_GetDataRoot_117(JNIEnv *env, jobject obj)
{
  vtkTesting *op;
  const char    *temp20;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTesting");
  temp20 = (op)->GetDataRoot();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTesting_SetDataRoot_118(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTesting *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTesting");
  op->SetDataRoot(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTesting_GetTempDirectory_119(JNIEnv *env, jobject obj)
{
  vtkTesting *op;
  const char    *temp20;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTesting");
  temp20 = (op)->GetTempDirectory();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTesting_SetTempDirectory_120(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTesting *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTesting");
  op->SetTempDirectory(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTesting_IsValidImageSpecified_121(JNIEnv *env, jobject obj)
{
  vtkTesting *op;
  int      temp20;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTesting");
  temp20 = (op)->IsValidImageSpecified();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTesting_IsInteractiveModeSpecified_122(JNIEnv *env, jobject obj)
{
  vtkTesting *op;
  int      temp20;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTesting");
  temp20 = (op)->IsInteractiveModeSpecified();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTesting_SetBorderOffset_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkTesting *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTesting");
  op->SetBorderOffset(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTesting_GetBorderOffset_124(JNIEnv *env, jobject obj)
{
  vtkTesting *op;
  int      temp20;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTesting");
  temp20 = (op)->GetBorderOffset();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTesting_VTKInit(JNIEnv *env, jobject obj)
{
  vtkTesting *aNewOne = vtkTesting::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTesting_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTesting_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTesting_Typecast);
}
