// java wrapper for vtkTextActor3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTextActor3D.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkProp3D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTextActor3D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTextActor3D",dType)) { return me; }
  if ((res= vtkProp3D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTextActor3D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTextActor3D *op;
  const char    *temp20;

  op = (vtkTextActor3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor3D");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextActor3D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTextActor3D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTextActor3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor3D");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor3D_SetInput_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTextActor3D *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTextActor3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor3D");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTextActor3D_GetInput_13(JNIEnv *env, jobject obj)
{
  vtkTextActor3D *op;
  char    *temp20;

  op = (vtkTextActor3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor3D");
  temp20 = (op)->GetInput();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor3D_SetTextProperty_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTextActor3D *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkTextProperty"));

  op = (vtkTextActor3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor3D");
  op->SetTextProperty(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkTextActor3D_GetTextProperty_15(JNIEnv *env, jobject obj)
{
  vtkTextActor3D *op;
  vtkTextProperty  *temp20;
  jobject tempH;

  op = (vtkTextActor3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor3D");
  temp20 = (op)->GetTextProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkTextProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor3D_ShallowCopy_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTextActor3D *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkTextActor3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextActor3D");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTextActor3D_VTKInit(JNIEnv *env, jobject obj)
{
  vtkTextActor3D *aNewOne = vtkTextActor3D::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTextActor3D_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTextActor3D_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTextActor3D_Typecast);
}
