// java wrapper for vtkXRenderWindowInteractor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXRenderWindowInteractor.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkRenderWindowInteractor_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXRenderWindowInteractor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXRenderWindowInteractor",dType)) { return me; }
  if ((res= vtkRenderWindowInteractor_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXRenderWindowInteractor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXRenderWindowInteractor *op;
  const char    *temp20;

  op = (vtkXRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXRenderWindowInteractor");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXRenderWindowInteractor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXRenderWindowInteractor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXRenderWindowInteractor");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXRenderWindowInteractor_Initialize_12(JNIEnv *env, jobject obj)
{
  vtkXRenderWindowInteractor *op;

  op = (vtkXRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXRenderWindowInteractor");
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXRenderWindowInteractor_TerminateApp_13(JNIEnv *env, jobject obj)
{
  vtkXRenderWindowInteractor *op;

  op = (vtkXRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXRenderWindowInteractor");
  op->TerminateApp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXRenderWindowInteractor_SetBreakLoopFlag_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkXRenderWindowInteractor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXRenderWindowInteractor");
  op->SetBreakLoopFlag(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXRenderWindowInteractor_GetBreakLoopFlag_15(JNIEnv *env, jobject obj)
{
  vtkXRenderWindowInteractor *op;
  int      temp20;

  op = (vtkXRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXRenderWindowInteractor");
  temp20 = (op)->GetBreakLoopFlag();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXRenderWindowInteractor_BreakLoopFlagOn_16(JNIEnv *env, jobject obj)
{
  vtkXRenderWindowInteractor *op;

  op = (vtkXRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXRenderWindowInteractor");
  op->BreakLoopFlagOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXRenderWindowInteractor_BreakLoopFlagOff_17(JNIEnv *env, jobject obj)
{
  vtkXRenderWindowInteractor *op;

  op = (vtkXRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXRenderWindowInteractor");
  op->BreakLoopFlagOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXRenderWindowInteractor_CreateTimer_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkXRenderWindowInteractor *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkXRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXRenderWindowInteractor");
  temp20 = (op)->CreateTimer(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXRenderWindowInteractor_DestroyTimer_19(JNIEnv *env, jobject obj)
{
  vtkXRenderWindowInteractor *op;
  int      temp20;

  op = (vtkXRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXRenderWindowInteractor");
  temp20 = (op)->DestroyTimer();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXRenderWindowInteractor_Enable_110(JNIEnv *env, jobject obj)
{
  vtkXRenderWindowInteractor *op;

  op = (vtkXRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXRenderWindowInteractor");
  op->Enable();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXRenderWindowInteractor_Disable_111(JNIEnv *env, jobject obj)
{
  vtkXRenderWindowInteractor *op;

  op = (vtkXRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXRenderWindowInteractor");
  op->Disable();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXRenderWindowInteractor_Start_112(JNIEnv *env, jobject obj)
{
  vtkXRenderWindowInteractor *op;

  op = (vtkXRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXRenderWindowInteractor");
  op->Start();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXRenderWindowInteractor_VTKInit(JNIEnv *env, jobject obj)
{
  vtkXRenderWindowInteractor *aNewOne = vtkXRenderWindowInteractor::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXRenderWindowInteractor_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXRenderWindowInteractor_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXRenderWindowInteractor_Typecast);
}
