// java wrapper for vtkUnstructuredGridVolumeMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnstructuredGridVolumeMapper.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkAbstractVolumeMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUnstructuredGridVolumeMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUnstructuredGridVolumeMapper",dType)) { return me; }
  if ((res= vtkAbstractVolumeMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnstructuredGridVolumeMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeMapper *op;
  const char    *temp20;

  op = (vtkUnstructuredGridVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeMapper");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnstructuredGridVolumeMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnstructuredGridVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeMapper");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeMapper_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUnstructuredGridVolumeMapper *op;
  vtkUnstructuredGrid  *temp0;
  temp0 = (vtkUnstructuredGrid *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkUnstructuredGrid"));

  op = (vtkUnstructuredGridVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeMapper");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeMapper_SetInput_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUnstructuredGridVolumeMapper *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkUnstructuredGridVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeMapper");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkUnstructuredGridVolumeMapper_GetInput_14(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeMapper *op;
  vtkUnstructuredGrid  *temp20;
  jobject tempH;

  op = (vtkUnstructuredGridVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeMapper");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnstructuredGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeMapper_SetBlendMode_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridVolumeMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeMapper");
  op->SetBlendMode(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeMapper_SetBlendModeToComposite_16(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeMapper *op;

  op = (vtkUnstructuredGridVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeMapper");
  op->SetBlendModeToComposite();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeMapper_SetBlendModeToMaximumIntensity_17(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeMapper *op;

  op = (vtkUnstructuredGridVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeMapper");
  op->SetBlendModeToMaximumIntensity();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeMapper_GetBlendMode_18(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeMapper");
  temp20 = (op)->GetBlendMode();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkUnstructuredGridVolumeMapper_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkUnstructuredGridVolumeMapper_Typecast);
}
