// java wrapper for vtkVolumeTextureMapper3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVolumeTextureMapper3D.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkVolumeMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVolumeTextureMapper3D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVolumeTextureMapper3D",dType)) { return me; }
  if ((res= vtkVolumeMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVolumeTextureMapper3D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper3D *op;
  const char    *temp20;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeTextureMapper3D");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeTextureMapper3D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVolumeTextureMapper3D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeTextureMapper3D");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeTextureMapper3D_SetSampleDistance_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkVolumeTextureMapper3D *op;
  float    temp0;
  temp0 = id0;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeTextureMapper3D");
  op->SetSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVolumeTextureMapper3D_GetSampleDistance_13(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper3D *op;
  float    temp20;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeTextureMapper3D");
  temp20 = (op)->GetSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVolumeTextureMapper3D_GetVolumeDimensions_14(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper3D *op;
  int     *temp20;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeTextureMapper3D");
  temp20 = (op)->GetVolumeDimensions();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVolumeTextureMapper3D_GetVolumeSpacing_15(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper3D *op;
  float   *temp20;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeTextureMapper3D");
  temp20 = (op)->GetVolumeSpacing();
    return vtkJavaMakeJArrayOfDoubleFromFloat(env,temp20,3);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeTextureMapper3D_IsRenderSupported_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVolumeTextureMapper3D *op;
  vtkVolumeProperty  *temp0;
  int      temp20;
  temp0 = (vtkVolumeProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkVolumeProperty"));

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeTextureMapper3D");
  temp20 = (op)->IsRenderSupported(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeTextureMapper3D_GetNumberOfPolygons_17(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper3D *op;
  int      temp20;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeTextureMapper3D");
  temp20 = (op)->GetNumberOfPolygons();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVolumeTextureMapper3D_GetActualSampleDistance_18(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper3D *op;
  float    temp20;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeTextureMapper3D");
  temp20 = (op)->GetActualSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeTextureMapper3D_SetPreferredRenderMethod_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeTextureMapper3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeTextureMapper3D");
  op->SetPreferredRenderMethod(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeTextureMapper3D_GetPreferredRenderMethodMinValue_110(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper3D *op;
  int      temp20;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeTextureMapper3D");
  temp20 = (op)->GetPreferredRenderMethodMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeTextureMapper3D_GetPreferredRenderMethodMaxValue_111(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper3D *op;
  int      temp20;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeTextureMapper3D");
  temp20 = (op)->GetPreferredRenderMethodMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeTextureMapper3D_SetPreferredMethodToFragmentProgram_112(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper3D *op;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeTextureMapper3D");
  op->SetPreferredMethodToFragmentProgram();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeTextureMapper3D_SetPreferredMethodToNVidia_113(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper3D *op;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeTextureMapper3D");
  op->SetPreferredMethodToNVidia();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkVolumeTextureMapper3D_VTKInit(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper3D *aNewOne = vtkVolumeTextureMapper3D::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkVolumeTextureMapper3D_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkVolumeTextureMapper3D_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkVolumeTextureMapper3D_Typecast);
}
