// java wrapper for vtkSplineWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSplineWidget.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtk3DWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSplineWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSplineWidget",dType)) { return me; }
  if ((res= vtk3DWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSplineWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSplineWidget *op;
  const char    *temp20;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSplineWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSplineWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_SetEnabled_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkSplineWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_PlaceWidget_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSplineWidget *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->PlaceWidget(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_PlaceWidget_14(JNIEnv *env, jobject obj)
{
  vtkSplineWidget *op;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->PlaceWidget();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_PlaceWidget_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkSplineWidget *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_SetProjectToPlane_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkSplineWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->SetProjectToPlane(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSplineWidget_GetProjectToPlane_17(JNIEnv *env, jobject obj)
{
  vtkSplineWidget *op;
  int      temp20;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  temp20 = (op)->GetProjectToPlane();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_ProjectToPlaneOn_18(JNIEnv *env, jobject obj)
{
  vtkSplineWidget *op;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->ProjectToPlaneOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_ProjectToPlaneOff_19(JNIEnv *env, jobject obj)
{
  vtkSplineWidget *op;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->ProjectToPlaneOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_SetPlaneSource_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSplineWidget *op;
  vtkPlaneSource  *temp0;
  temp0 = (vtkPlaneSource *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPlaneSource"));

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->SetPlaneSource(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_SetProjectionNormal_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkSplineWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->SetProjectionNormal(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSplineWidget_GetProjectionNormalMinValue_112(JNIEnv *env, jobject obj)
{
  vtkSplineWidget *op;
  int      temp20;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  temp20 = (op)->GetProjectionNormalMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSplineWidget_GetProjectionNormalMaxValue_113(JNIEnv *env, jobject obj)
{
  vtkSplineWidget *op;
  int      temp20;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  temp20 = (op)->GetProjectionNormalMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSplineWidget_GetProjectionNormal_114(JNIEnv *env, jobject obj)
{
  vtkSplineWidget *op;
  int      temp20;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  temp20 = (op)->GetProjectionNormal();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_SetProjectionNormalToXAxes_115(JNIEnv *env, jobject obj)
{
  vtkSplineWidget *op;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->SetProjectionNormalToXAxes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_SetProjectionNormalToYAxes_116(JNIEnv *env, jobject obj)
{
  vtkSplineWidget *op;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->SetProjectionNormalToYAxes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_SetProjectionNormalToZAxes_117(JNIEnv *env, jobject obj)
{
  vtkSplineWidget *op;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->SetProjectionNormalToZAxes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_SetProjectionNormalToOblique_118(JNIEnv *env, jobject obj)
{
  vtkSplineWidget *op;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->SetProjectionNormalToOblique();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_SetProjectionPosition_119(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSplineWidget *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->SetProjectionPosition(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSplineWidget_GetProjectionPosition_120(JNIEnv *env, jobject obj)
{
  vtkSplineWidget *op;
  double   temp20;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  temp20 = (op)->GetProjectionPosition();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_GetPolyData_121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSplineWidget *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPolyData"));

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->GetPolyData(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_SetHandleProperty_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSplineWidget *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProperty"));

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->SetHandleProperty(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkSplineWidget_GetHandleProperty_123(JNIEnv *env, jobject obj)
{
  vtkSplineWidget *op;
  vtkProperty  *temp20;
  jobject tempH;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  temp20 = (op)->GetHandleProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_SetSelectedHandleProperty_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSplineWidget *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProperty"));

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->SetSelectedHandleProperty(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkSplineWidget_GetSelectedHandleProperty_125(JNIEnv *env, jobject obj)
{
  vtkSplineWidget *op;
  vtkProperty  *temp20;
  jobject tempH;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  temp20 = (op)->GetSelectedHandleProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_SetLineProperty_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSplineWidget *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProperty"));

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->SetLineProperty(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkSplineWidget_GetLineProperty_127(JNIEnv *env, jobject obj)
{
  vtkSplineWidget *op;
  vtkProperty  *temp20;
  jobject tempH;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  temp20 = (op)->GetLineProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_SetSelectedLineProperty_128(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSplineWidget *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProperty"));

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->SetSelectedLineProperty(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkSplineWidget_GetSelectedLineProperty_129(JNIEnv *env, jobject obj)
{
  vtkSplineWidget *op;
  vtkProperty  *temp20;
  jobject tempH;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  temp20 = (op)->GetSelectedLineProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_SetNumberOfHandles_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkSplineWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->SetNumberOfHandles(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSplineWidget_GetNumberOfHandles_131(JNIEnv *env, jobject obj)
{
  vtkSplineWidget *op;
  int      temp20;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  temp20 = (op)->GetNumberOfHandles();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_SetResolution_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkSplineWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->SetResolution(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSplineWidget_GetResolution_133(JNIEnv *env, jobject obj)
{
  vtkSplineWidget *op;
  int      temp20;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  temp20 = (op)->GetResolution();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_SetParametricSpline_134(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSplineWidget *op;
  vtkParametricSpline  *temp0;
  temp0 = (vtkParametricSpline *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkParametricSpline"));

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->SetParametricSpline(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkSplineWidget_GetParametricSpline_135(JNIEnv *env, jobject obj)
{
  vtkSplineWidget *op;
  vtkParametricSpline  *temp20;
  jobject tempH;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  temp20 = (op)->GetParametricSpline();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkParametricSpline", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_SetHandlePosition_136(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkSplineWidget *op;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->SetHandlePosition(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_SetHandlePosition_137(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkSplineWidget *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->SetHandlePosition(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_GetHandlePosition_138(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkSplineWidget *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->GetHandlePosition(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkSplineWidget_GetHandlePosition_139(JNIEnv *env, jobject obj,jint id0)
{
  vtkSplineWidget *op;
  int      temp0;
  double  *temp20;
  temp0 = id0;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  temp20 = (op)->GetHandlePosition(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_SetClosed_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkSplineWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->SetClosed(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSplineWidget_GetClosed_141(JNIEnv *env, jobject obj)
{
  vtkSplineWidget *op;
  int      temp20;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  temp20 = (op)->GetClosed();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_ClosedOn_142(JNIEnv *env, jobject obj)
{
  vtkSplineWidget *op;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->ClosedOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_ClosedOff_143(JNIEnv *env, jobject obj)
{
  vtkSplineWidget *op;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->ClosedOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSplineWidget_IsClosed_144(JNIEnv *env, jobject obj)
{
  vtkSplineWidget *op;
  int      temp20;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  temp20 = (op)->IsClosed();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSplineWidget_GetSummedLength_145(JNIEnv *env, jobject obj)
{
  vtkSplineWidget *op;
  double   temp20;

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  temp20 = (op)->GetSummedLength();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget_InitializeHandles_146(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSplineWidget *op;
  vtkPoints  *temp0;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPoints"));

  op = (vtkSplineWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplineWidget");
  op->InitializeHandles(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSplineWidget_VTKInit(JNIEnv *env, jobject obj)
{
  vtkSplineWidget *aNewOne = vtkSplineWidget::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSplineWidget_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSplineWidget_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSplineWidget_Typecast);
}
